"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const qwik = require("@builder.io/qwik");
const IconContext = qwik.createContextId("icon-context");
const defaultIconProps = {
  size: 24,
  color: "currentColor",
  strokeWidth: 2,
  strokeLineCap: "round",
  strokeLineJoin: "round",
  class: ""
};
const activityIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-activity ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-activity ${p1.class??p0.class}`"),
    "aria-label": "Activity Icon"
  }, /* @__PURE__ */ qwik._jsxQ("polyline", null, {
    points: "22 12 18 12 15 21 9 3 6 12 2 12"
  }, null, 3, null), 3, "ej_0");
}, "activity_icon_component_je0E9s7UJh0"));
const airplayIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-airplay ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-airplay ${p1.class??p0.class}`"),
    "aria-label": "Airplay Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M5 17H4a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h16a2 2 0 0 1 2 2v10a2 2 0 0 1-2 2h-1"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "12 15 17 21 7 21 12 15"
    }, null, 3, null)
  ], 3, "IS_0");
}, "airplay_icon_component_2pJdDKYviFI"));
const alertCircleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-alert-circle ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-alert-circle ${p1.class??p0.class}`"),
    "aria-label": "Alert Circle Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "8",
      x2: "12",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "16",
      x2: "12.01",
      y2: "16"
    }, null, 3, null)
  ], 3, "ab_0");
}, "alert_circle_icon_component_X1fTRvxlS7g"));
const alertOctagonIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-alert-octagon ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-alert-octagon ${p1.class??p0.class}`"),
    "aria-label": "Alert Octagon Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "7.86 2 16.14 2 22 7.86 22 16.14 16.14 22 7.86 22 2 16.14 2 7.86 7.86 2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "8",
      x2: "12",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "16",
      x2: "12.01",
      y2: "16"
    }, null, 3, null)
  ], 3, "RS_0");
}, "alert_octagon_icon_component_GJ4D2PiAuVA"));
const alertTriangleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-alert-triangle ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-alert-triangle ${p1.class??p0.class}`"),
    "aria-label": "Alert Triangle Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M10.29 3.86L1.82 18a2 2 0 0 0 1.71 3h16.94a2 2 0 0 0 1.71-3L13.71 3.86a2 2 0 0 0-3.42 0z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "9",
      x2: "12",
      y2: "13"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "17",
      x2: "12.01",
      y2: "17"
    }, null, 3, null)
  ], 3, "Ch_0");
}, "alert_triangle_icon_component_Umc2fo0O7r8"));
const alignCenterIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-align-center ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-align-center ${p1.class??p0.class}`"),
    "aria-label": "Align Center Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "18",
      y1: "10",
      x2: "6",
      y2: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21",
      y1: "6",
      x2: "3",
      y2: "6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21",
      y1: "14",
      x2: "3",
      y2: "14"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "18",
      y1: "18",
      x2: "6",
      y2: "18"
    }, null, 3, null)
  ], 3, "b6_0");
}, "align_center_icon_component_EeviE7a2yio"));
const alignJustifyIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-align-justify ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-align-justify ${p1.class??p0.class}`"),
    "aria-label": "Align Justify Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21",
      y1: "10",
      x2: "3",
      y2: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21",
      y1: "6",
      x2: "3",
      y2: "6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21",
      y1: "14",
      x2: "3",
      y2: "14"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21",
      y1: "18",
      x2: "3",
      y2: "18"
    }, null, 3, null)
  ], 3, "fy_0");
}, "align_justify_icon_component_pKKs5y0iUiM"));
const alignLeftIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-align-left ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-align-left ${p1.class??p0.class}`"),
    "aria-label": "Align Left Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "17",
      y1: "10",
      x2: "3",
      y2: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21",
      y1: "6",
      x2: "3",
      y2: "6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21",
      y1: "14",
      x2: "3",
      y2: "14"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "17",
      y1: "18",
      x2: "3",
      y2: "18"
    }, null, 3, null)
  ], 3, "27_0");
}, "align_left_icon_component_8jStdhhbffA"));
const alignRightIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-align-right ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-align-right ${p1.class??p0.class}`"),
    "aria-label": "Align Right Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21",
      y1: "10",
      x2: "7",
      y2: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21",
      y1: "6",
      x2: "3",
      y2: "6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21",
      y1: "14",
      x2: "3",
      y2: "14"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21",
      y1: "18",
      x2: "7",
      y2: "18"
    }, null, 3, null)
  ], 3, "Al_0");
}, "align_right_icon_component_JU8a0t4D9V8"));
const anchorIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-anchor ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-anchor ${p1.class??p0.class}`"),
    "aria-label": "Anchor Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "5",
      r: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "22",
      x2: "12",
      y2: "8"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M5 12H2a10 10 0 0 0 20 0h-3"
    }, null, 3, null)
  ], 3, "km_0");
}, "anchor_icon_component_hpkoKrNhd7U"));
const apertureIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-aperture ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-aperture ${p1.class??p0.class}`"),
    "aria-label": "Aperture Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "14.31",
      y1: "8",
      x2: "20.05",
      y2: "17.94"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "9.69",
      y1: "8",
      x2: "21.17",
      y2: "8"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "7.38",
      y1: "12",
      x2: "13.12",
      y2: "2.06"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "9.69",
      y1: "16",
      x2: "3.95",
      y2: "6.06"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "14.31",
      y1: "16",
      x2: "2.83",
      y2: "16"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "16.62",
      y1: "12",
      x2: "10.88",
      y2: "21.94"
    }, null, 3, null)
  ], 3, "qU_0");
}, "aperture_icon_component_s1i48qngC6c"));
const archiveIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-archive ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-archive ${p1.class??p0.class}`"),
    "aria-label": "Archive Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "21 8 21 21 3 21 3 8"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "1",
      y: "3",
      width: "22",
      height: "5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "10",
      y1: "12",
      x2: "14",
      y2: "12"
    }, null, 3, null)
  ], 3, "Yz_0");
}, "archive_icon_component_mXe919U1Svg"));
const arrowDownCircleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-arrow-down-circle ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-arrow-down-circle ${p1.class??p0.class}`"),
    "aria-label": "Arrow Down Circle Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "8 12 12 16 16 12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "8",
      x2: "12",
      y2: "16"
    }, null, 3, null)
  ], 3, "J3_0");
}, "arrow_down_circle_icon_component_JHK2ZN10hcE"));
const arrowDownLeftIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-arrow-down-left ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-arrow-down-left ${p1.class??p0.class}`"),
    "aria-label": "Arrow Down Left Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "17",
      y1: "7",
      x2: "7",
      y2: "17"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "17 17 7 17 7 7"
    }, null, 3, null)
  ], 3, "Lb_0");
}, "arrow_down_left_icon_component_TjH4G3JsLus"));
const arrowDownRightIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-arrow-down-right ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-arrow-down-right ${p1.class??p0.class}`"),
    "aria-label": "Arrow Down Right Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "7",
      y1: "7",
      x2: "17",
      y2: "17"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "17 7 17 17 7 17"
    }, null, 3, null)
  ], 3, "n4_0");
}, "arrow_down_right_icon_component_Rl7rQd4ViF0"));
const arrowDownIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-arrow-down ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-arrow-down ${p1.class??p0.class}`"),
    "aria-label": "Arrow Down Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "5",
      x2: "12",
      y2: "19"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "19 12 12 19 5 12"
    }, null, 3, null)
  ], 3, "eQ_0");
}, "arrow_down_icon_component_SbDdFO7lvls"));
const arrowLeftCircleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-arrow-left-circle ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-arrow-left-circle ${p1.class??p0.class}`"),
    "aria-label": "Arrow Left Circle Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "12 8 8 12 12 16"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "16",
      y1: "12",
      x2: "8",
      y2: "12"
    }, null, 3, null)
  ], 3, "kV_0");
}, "arrow_left_circle_icon_component_FXhC0PplqVY"));
const arrowLeftIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-arrow-left ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-arrow-left ${p1.class??p0.class}`"),
    "aria-label": "Arrow Left Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "19",
      y1: "12",
      x2: "5",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "12 19 5 12 12 5"
    }, null, 3, null)
  ], 3, "xS_0");
}, "arrow_left_icon_component_6Zg0HkwvNV4"));
const arrowRightCircleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-arrow-right-circle ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-arrow-right-circle ${p1.class??p0.class}`"),
    "aria-label": "Arrow Right Circle Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "12 16 16 12 12 8"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "12",
      x2: "16",
      y2: "12"
    }, null, 3, null)
  ], 3, "v9_0");
}, "arrow_right_circle_icon_component_qh8WFsQWJk8"));
const arrowRightIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-arrow-right ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-arrow-right ${p1.class??p0.class}`"),
    "aria-label": "Arrow Right Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "5",
      y1: "12",
      x2: "19",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "12 5 19 12 12 19"
    }, null, 3, null)
  ], 3, "0U_0");
}, "arrow_right_icon_component_XhX9JZHxgis"));
const arrowUpCircleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-arrow-up-circle ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-arrow-up-circle ${p1.class??p0.class}`"),
    "aria-label": "Arrow Up Circle Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "16 12 12 8 8 12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "16",
      x2: "12",
      y2: "8"
    }, null, 3, null)
  ], 3, "00_0");
}, "arrow_up_circle_icon_component_LxXtP4RhhPg"));
const arrowUpLeftIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-arrow-up-left ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-arrow-up-left ${p1.class??p0.class}`"),
    "aria-label": "Arrow Up Left Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "17",
      y1: "17",
      x2: "7",
      y2: "7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "7 17 7 7 17 7"
    }, null, 3, null)
  ], 3, "QN_0");
}, "arrow_up_left_icon_component_SA7OQsmnRuk"));
const arrowUpRightIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-arrow-up-right ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-arrow-up-right ${p1.class??p0.class}`"),
    "aria-label": "Arrow Up Right Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "7",
      y1: "17",
      x2: "17",
      y2: "7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "7 7 17 7 17 17"
    }, null, 3, null)
  ], 3, "e4_0");
}, "arrow_up_right_icon_component_q8bxTrSKE50"));
const arrowUpIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-arrow-up ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-arrow-up ${p1.class??p0.class}`"),
    "aria-label": "Arrow Up Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "19",
      x2: "12",
      y2: "5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "5 12 12 5 19 12"
    }, null, 3, null)
  ], 3, "cf_0");
}, "arrow_up_icon_component_h0gUXpsgIiU"));
const atSignIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-at-sign ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-at-sign ${p1.class??p0.class}`"),
    "aria-label": "At Sign Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M16 8v5a3 3 0 0 0 6 0v-1a10 10 0 1 0-3.92 7.94"
    }, null, 3, null)
  ], 3, "U0_0");
}, "at_sign_icon_component_ZUURKgW9zcg"));
const awardIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-award ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-award ${p1.class??p0.class}`"),
    "aria-label": "Award Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "8",
      r: "7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "8.21 13.89 7 23 12 20 17 23 15.79 13.88"
    }, null, 3, null)
  ], 3, "Vl_0");
}, "award_icon_component_SyiJSesqRGM"));
const barChart2Icon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-bar-chart-2 ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-bar-chart-2 ${p1.class??p0.class}`"),
    "aria-label": "Bar Chart 2 Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "18",
      y1: "20",
      x2: "18",
      y2: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "20",
      x2: "12",
      y2: "4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "6",
      y1: "20",
      x2: "6",
      y2: "14"
    }, null, 3, null)
  ], 3, "Oi_0");
}, "bar_chart_2_icon_component_FxHyFgNo0FU"));
const barChartIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-bar-chart ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-bar-chart ${p1.class??p0.class}`"),
    "aria-label": "Bar Chart Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "20",
      x2: "12",
      y2: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "18",
      y1: "20",
      x2: "18",
      y2: "4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "6",
      y1: "20",
      x2: "6",
      y2: "16"
    }, null, 3, null)
  ], 3, "Df_0");
}, "bar_chart_icon_component_4380symXlJc"));
const batteryChargingIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-battery-charging ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-battery-charging ${p1.class??p0.class}`"),
    "aria-label": "Battery Charging Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M5 18H3a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h3.19M15 6h2a2 2 0 0 1 2 2v8a2 2 0 0 1-2 2h-3.19"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "23",
      y1: "13",
      x2: "23",
      y2: "11"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "11 6 7 12 13 12 9 18"
    }, null, 3, null)
  ], 3, "Ey_0");
}, "battery_charging_icon_component_BmGgVoj4wb8"));
const batteryIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-battery ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-battery ${p1.class??p0.class}`"),
    "aria-label": "Battery Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "1",
      y: "6",
      width: "18",
      height: "12",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "23",
      y1: "13",
      x2: "23",
      y2: "11"
    }, null, 3, null)
  ], 3, "Do_0");
}, "battery_icon_component_sYrTtBbZosM"));
const bellOffIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-bell-off ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-bell-off ${p1.class??p0.class}`"),
    "aria-label": "Bell Off Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M13.73 21a2 2 0 0 1-3.46 0"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M18.63 13A17.89 17.89 0 0 1 18 8"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M6.26 6.26A5.86 5.86 0 0 0 6 8c0 7-3 9-3 9h14"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M18 8a6 6 0 0 0-9.33-5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "1",
      y1: "1",
      x2: "23",
      y2: "23"
    }, null, 3, null)
  ], 3, "9s_0");
}, "bell_off_icon_component_CbSvaG7Y70M"));
const bellIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-bell ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-bell ${p1.class??p0.class}`"),
    "aria-label": "Bell Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M18 8A6 6 0 0 0 6 8c0 7-3 9-3 9h18s-3-2-3-9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M13.73 21a2 2 0 0 1-3.46 0"
    }, null, 3, null)
  ], 3, "3H_0");
}, "bell_icon_component_pg0c9nQ59TQ"));
const bluetoothIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-bluetooth ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-bluetooth ${p1.class??p0.class}`"),
    "aria-label": "Bluetooth Icon"
  }, /* @__PURE__ */ qwik._jsxQ("polyline", null, {
    points: "6.5 6.5 17.5 17.5 12 23 12 1 17.5 6.5 6.5 17.5"
  }, null, 3, null), 3, "Da_0");
}, "bluetooth_icon_component_hBoW8EpUmGU"));
const boldIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-bold ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-bold ${p1.class??p0.class}`"),
    "aria-label": "Bold Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M6 4h8a4 4 0 0 1 4 4 4 4 0 0 1-4 4H6z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M6 12h9a4 4 0 0 1 4 4 4 4 0 0 1-4 4H6z"
    }, null, 3, null)
  ], 3, "ao_0");
}, "bold_icon_component_Jr0TIcPwXyo"));
const bookOpenIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-book-open ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-book-open ${p1.class??p0.class}`"),
    "aria-label": "Book Open Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M2 3h6a4 4 0 0 1 4 4v14a3 3 0 0 0-3-3H2z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M22 3h-6a4 4 0 0 0-4 4v14a3 3 0 0 1 3-3h7z"
    }, null, 3, null)
  ], 3, "wh_0");
}, "book_open_icon_component_xRKADvPxD3E"));
const bookIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-book ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-book ${p1.class??p0.class}`"),
    "aria-label": "Book Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M4 19.5A2.5 2.5 0 0 1 6.5 17H20"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M6.5 2H20v20H6.5A2.5 2.5 0 0 1 4 19.5v-15A2.5 2.5 0 0 1 6.5 2z"
    }, null, 3, null)
  ], 3, "vN_0");
}, "book_icon_component_YNoCIb1oJRs"));
const bookmarkIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-bookmark ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-bookmark ${p1.class??p0.class}`"),
    "aria-label": "Bookmark Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M19 21l-7-5-7 5V5a2 2 0 0 1 2-2h10a2 2 0 0 1 2 2z"
  }, null, 3, null), 3, "5W_0");
}, "bookmark_icon_component_yKA2GFzy2ug"));
const boxIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-box ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-box ${p1.class??p0.class}`"),
    "aria-label": "Box Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "3.27 6.96 12 12.01 20.73 6.96"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "22.08",
      x2: "12",
      y2: "12"
    }, null, 3, null)
  ], 3, "nT_0");
}, "box_icon_component_OBmE5CkmueQ"));
const briefcaseIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-briefcase ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-briefcase ${p1.class??p0.class}`"),
    "aria-label": "Briefcase Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "2",
      y: "7",
      width: "20",
      height: "14",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M16 21V5a2 2 0 0 0-2-2h-4a2 2 0 0 0-2 2v16"
    }, null, 3, null)
  ], 3, "W8_0");
}, "briefcase_icon_component_97QLm1cXb2k"));
const calendarIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-calendar ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-calendar ${p1.class??p0.class}`"),
    "aria-label": "Calendar Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "3",
      y: "4",
      width: "18",
      height: "18",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "16",
      y1: "2",
      x2: "16",
      y2: "6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "2",
      x2: "8",
      y2: "6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "3",
      y1: "10",
      x2: "21",
      y2: "10"
    }, null, 3, null)
  ], 3, "gf_0");
}, "calendar_icon_component_v1UsOk2t8ZE"));
const cameraOffIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-camera-off ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-camera-off ${p1.class??p0.class}`"),
    "aria-label": "Camera Off Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "1",
      y1: "1",
      x2: "23",
      y2: "23"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M21 21H3a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h3m3-3h6l2 3h4a2 2 0 0 1 2 2v9.34m-7.72-2.06a4 4 0 1 1-5.56-5.56"
    }, null, 3, null)
  ], 3, "i6_0");
}, "camera_off_icon_component_MQsIho6uyvc"));
const cameraIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-camera ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-camera ${p1.class??p0.class}`"),
    "aria-label": "Camera Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M23 19a2 2 0 0 1-2 2H3a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h4l2-3h6l2 3h4a2 2 0 0 1 2 2z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "13",
      r: "4"
    }, null, 3, null)
  ], 3, "0S_0");
}, "camera_icon_component_W7auvFXw4bg"));
const castIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-cast ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-cast ${p1.class??p0.class}`"),
    "aria-label": "Cast Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M2 16.1A5 5 0 0 1 5.9 20M2 12.05A9 9 0 0 1 9.95 20M2 8V6a2 2 0 0 1 2-2h16a2 2 0 0 1 2 2v12a2 2 0 0 1-2 2h-6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "2",
      y1: "20",
      x2: "2.01",
      y2: "20"
    }, null, 3, null)
  ], 3, "wz_0");
}, "cast_icon_component_HbL6ci40TeE"));
const checkCircleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-check-circle ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-check-circle ${p1.class??p0.class}`"),
    "aria-label": "Check Circle Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M22 11.08V12a10 10 0 1 1-5.93-9.14"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "22 4 12 14.01 9 11.01"
    }, null, 3, null)
  ], 3, "0X_0");
}, "check_circle_icon_component_lg2kgNowCDI"));
const checkSquareIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-check-square ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-check-square ${p1.class??p0.class}`"),
    "aria-label": "Check Square Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "9 11 12 14 22 4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M21 12v7a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h11"
    }, null, 3, null)
  ], 3, "rR_0");
}, "check_square_icon_component_c09ikIuP8FA"));
const checkIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-check ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-check ${p1.class??p0.class}`"),
    "aria-label": "Check Icon"
  }, /* @__PURE__ */ qwik._jsxQ("polyline", null, {
    points: "20 6 9 17 4 12"
  }, null, 3, null), 3, "Yd_0");
}, "check_icon_component_Xs0z5Dj1eds"));
const chevronDownIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-chevron-down ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-chevron-down ${p1.class??p0.class}`"),
    "aria-label": "Chevron Down Icon"
  }, /* @__PURE__ */ qwik._jsxQ("polyline", null, {
    points: "6 9 12 15 18 9"
  }, null, 3, null), 3, "Ve_0");
}, "chevron_down_icon_component_rj2Qx06UtnM"));
const chevronLeftIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-chevron-left ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-chevron-left ${p1.class??p0.class}`"),
    "aria-label": "Chevron Left Icon"
  }, /* @__PURE__ */ qwik._jsxQ("polyline", null, {
    points: "15 18 9 12 15 6"
  }, null, 3, null), 3, "NN_0");
}, "chevron_left_icon_component_dWnF5r5iw3c"));
const chevronRightIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-chevron-right ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-chevron-right ${p1.class??p0.class}`"),
    "aria-label": "Chevron Right Icon"
  }, /* @__PURE__ */ qwik._jsxQ("polyline", null, {
    points: "9 18 15 12 9 6"
  }, null, 3, null), 3, "p3_0");
}, "chevron_right_icon_component_cmEUW0y4U5E"));
const chevronUpIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-chevron-up ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-chevron-up ${p1.class??p0.class}`"),
    "aria-label": "Chevron Up Icon"
  }, /* @__PURE__ */ qwik._jsxQ("polyline", null, {
    points: "18 15 12 9 6 15"
  }, null, 3, null), 3, "L7_0");
}, "chevron_up_icon_component_07djn0l8wKA"));
const chevronsDownIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-chevrons-down ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-chevrons-down ${p1.class??p0.class}`"),
    "aria-label": "Chevrons Down Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "7 13 12 18 17 13"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "7 6 12 11 17 6"
    }, null, 3, null)
  ], 3, "t5_0");
}, "chevrons_down_icon_component_KrsiymUZock"));
const chevronsLeftIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-chevrons-left ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-chevrons-left ${p1.class??p0.class}`"),
    "aria-label": "Chevrons Left Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "11 17 6 12 11 7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "18 17 13 12 18 7"
    }, null, 3, null)
  ], 3, "1c_0");
}, "chevrons_left_icon_component_CBfxWowB1o0"));
const chevronsRightIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-chevrons-right ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-chevrons-right ${p1.class??p0.class}`"),
    "aria-label": "Chevrons Right Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "13 17 18 12 13 7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "6 17 11 12 6 7"
    }, null, 3, null)
  ], 3, "cG_0");
}, "chevrons_right_icon_component_4StVXeHf6EI"));
const chevronsUpIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-chevrons-up ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-chevrons-up ${p1.class??p0.class}`"),
    "aria-label": "Chevrons Up Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "17 11 12 6 7 11"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "17 18 12 13 7 18"
    }, null, 3, null)
  ], 3, "IU_0");
}, "chevrons_up_icon_component_y6u2NNu0cdA"));
const chromeIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-chrome ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-chrome ${p1.class??p0.class}`"),
    "aria-label": "Chrome Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21.17",
      y1: "8",
      x2: "12",
      y2: "8"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "3.95",
      y1: "6.06",
      x2: "8.54",
      y2: "14"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "10.88",
      y1: "21.94",
      x2: "15.46",
      y2: "14"
    }, null, 3, null)
  ], 3, "vX_0");
}, "chrome_icon_component_R0ohSa0ViM8"));
const circleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-circle ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-circle ${p1.class??p0.class}`"),
    "aria-label": "Circle Icon"
  }, /* @__PURE__ */ qwik._jsxQ("circle", null, {
    cx: "12",
    cy: "12",
    r: "10"
  }, null, 3, null), 3, "s8_0");
}, "circle_icon_component_qJNP0yO8UbY"));
const clipboardIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-clipboard ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-clipboard ${p1.class??p0.class}`"),
    "aria-label": "Clipboard Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M16 4h2a2 2 0 0 1 2 2v14a2 2 0 0 1-2 2H6a2 2 0 0 1-2-2V6a2 2 0 0 1 2-2h2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "8",
      y: "2",
      width: "8",
      height: "4",
      rx: "1",
      ry: "1"
    }, null, 3, null)
  ], 3, "fM_0");
}, "clipboard_icon_component_GLucuH9BUcU"));
const clockIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-clock ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-clock ${p1.class??p0.class}`"),
    "aria-label": "Clock Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "12 6 12 12 16 14"
    }, null, 3, null)
  ], 3, "py_0");
}, "clock_icon_component_7O9OPeUZtME"));
const cloudDrizzleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-cloud-drizzle ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-cloud-drizzle ${p1.class??p0.class}`"),
    "aria-label": "Cloud Drizzle Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "19",
      x2: "8",
      y2: "21"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "13",
      x2: "8",
      y2: "15"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "16",
      y1: "19",
      x2: "16",
      y2: "21"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "16",
      y1: "13",
      x2: "16",
      y2: "15"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "21",
      x2: "12",
      y2: "23"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "15",
      x2: "12",
      y2: "17"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M20 16.58A5 5 0 0 0 18 7h-1.26A8 8 0 1 0 4 15.25"
    }, null, 3, null)
  ], 3, "Il_0");
}, "cloud_drizzle_icon_component_yg4tqPIh1ag"));
const cloudLightningIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-cloud-lightning ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-cloud-lightning ${p1.class??p0.class}`"),
    "aria-label": "Cloud Lightning Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M19 16.9A5 5 0 0 0 18 7h-1.26a8 8 0 1 0-11.62 9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "13 11 9 17 15 17 11 23"
    }, null, 3, null)
  ], 3, "P7_0");
}, "cloud_lightning_icon_component_eJRbBqVd38E"));
const cloudOffIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-cloud-off ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-cloud-off ${p1.class??p0.class}`"),
    "aria-label": "Cloud Off Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M22.61 16.95A5 5 0 0 0 18 10h-1.26a8 8 0 0 0-7.05-6M5 5a8 8 0 0 0 4 15h9a5 5 0 0 0 1.7-.3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "1",
      y1: "1",
      x2: "23",
      y2: "23"
    }, null, 3, null)
  ], 3, "yH_0");
}, "cloud_off_icon_component_dE0OC5vCtVY"));
const cloudRainIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-cloud-rain ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-cloud-rain ${p1.class??p0.class}`"),
    "aria-label": "Cloud Rain Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "16",
      y1: "13",
      x2: "16",
      y2: "21"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "13",
      x2: "8",
      y2: "21"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "15",
      x2: "12",
      y2: "23"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M20 16.58A5 5 0 0 0 18 7h-1.26A8 8 0 1 0 4 15.25"
    }, null, 3, null)
  ], 3, "b1_0");
}, "cloud_rain_icon_component_YtY3U3EivSw"));
const cloudSnowIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-cloud-snow ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-cloud-snow ${p1.class??p0.class}`"),
    "aria-label": "Cloud Snow Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M20 17.58A5 5 0 0 0 18 8h-1.26A8 8 0 1 0 4 16.25"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "16",
      x2: "8.01",
      y2: "16"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "20",
      x2: "8.01",
      y2: "20"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "18",
      x2: "12.01",
      y2: "18"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "22",
      x2: "12.01",
      y2: "22"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "16",
      y1: "16",
      x2: "16.01",
      y2: "16"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "16",
      y1: "20",
      x2: "16.01",
      y2: "20"
    }, null, 3, null)
  ], 3, "o6_0");
}, "cloud_snow_icon_component_zM0GqKACuNE"));
const cloudIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-cloud ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-cloud ${p1.class??p0.class}`"),
    "aria-label": "Cloud Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M18 10h-1.26A8 8 0 1 0 9 20h9a5 5 0 0 0 0-10z"
  }, null, 3, null), 3, "4x_0");
}, "cloud_icon_component_SLi0sNYDDLg"));
const codeIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-code ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-code ${p1.class??p0.class}`"),
    "aria-label": "Code Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "16 18 22 12 16 6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "8 6 2 12 8 18"
    }, null, 3, null)
  ], 3, "5S_0");
}, "code_icon_component_Ecmxn7J5lbU"));
const codepenIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-codepen ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-codepen ${p1.class??p0.class}`"),
    "aria-label": "Codepen Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "12 2 22 8.5 22 15.5 12 22 2 15.5 2 8.5 12 2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "22",
      x2: "12",
      y2: "15.5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "22 8.5 12 15.5 2 8.5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "2 15.5 12 8.5 22 15.5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "2",
      x2: "12",
      y2: "8.5"
    }, null, 3, null)
  ], 3, "NW_0");
}, "codepen_icon_component_C6rx3ABjQUA"));
const codesandboxIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-codesandbox ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-codesandbox ${p1.class??p0.class}`"),
    "aria-label": "Codesandbox Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "7.5 4.21 12 6.81 16.5 4.21"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "7.5 19.79 7.5 14.6 3 12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "21 12 16.5 14.6 16.5 19.79"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "3.27 6.96 12 12.01 20.73 6.96"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "22.08",
      x2: "12",
      y2: "12"
    }, null, 3, null)
  ], 3, "y0_0");
}, "codesandbox_icon_component_0ighUbAh4Kg"));
const coffeeIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-coffee ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-coffee ${p1.class??p0.class}`"),
    "aria-label": "Coffee Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M18 8h1a4 4 0 0 1 0 8h-1"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M2 8h16v9a4 4 0 0 1-4 4H6a4 4 0 0 1-4-4V8z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "6",
      y1: "1",
      x2: "6",
      y2: "4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "10",
      y1: "1",
      x2: "10",
      y2: "4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "14",
      y1: "1",
      x2: "14",
      y2: "4"
    }, null, 3, null)
  ], 3, "kf_0");
}, "coffee_icon_component_0nnR5O4nkJM"));
const columnsIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-columns ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-columns ${p1.class??p0.class}`"),
    "aria-label": "Columns Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M12 3h7a2 2 0 0 1 2 2v14a2 2 0 0 1-2 2h-7m0-18H5a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h7m0-18v18"
  }, null, 3, null), 3, "0M_0");
}, "columns_icon_component_wojUnIQBvU0"));
const commandIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-command ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-command ${p1.class??p0.class}`"),
    "aria-label": "Command Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M18 3a3 3 0 0 0-3 3v12a3 3 0 0 0 3 3 3 3 0 0 0 3-3 3 3 0 0 0-3-3H6a3 3 0 0 0-3 3 3 3 0 0 0 3 3 3 3 0 0 0 3-3V6a3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3h12a3 3 0 0 0 3-3 3 3 0 0 0-3-3z"
  }, null, 3, null), 3, "P9_0");
}, "command_icon_component_ZT5DC2FDOOA"));
const compassIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-compass ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-compass ${p1.class??p0.class}`"),
    "aria-label": "Compass Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "16.24 7.76 14.12 14.12 7.76 16.24 9.88 9.88 16.24 7.76"
    }, null, 3, null)
  ], 3, "aU_0");
}, "compass_icon_component_rbCuvxvptak"));
const copyIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-copy ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-copy ${p1.class??p0.class}`"),
    "aria-label": "Copy Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "9",
      y: "9",
      width: "13",
      height: "13",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M5 15H4a2 2 0 0 1-2-2V4a2 2 0 0 1 2-2h9a2 2 0 0 1 2 2v1"
    }, null, 3, null)
  ], 3, "xN_0");
}, "copy_icon_component_jabt11OpYK0"));
const cornerDownLeftIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-corner-down-left ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-corner-down-left ${p1.class??p0.class}`"),
    "aria-label": "Corner Down Left Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "9 10 4 15 9 20"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M20 4v7a4 4 0 0 1-4 4H4"
    }, null, 3, null)
  ], 3, "g7_0");
}, "corner_down_left_icon_component_bkmueLlRcI0"));
const cornerDownRightIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-corner-down-right ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-corner-down-right ${p1.class??p0.class}`"),
    "aria-label": "Corner Down Right Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "15 10 20 15 15 20"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M4 4v7a4 4 0 0 0 4 4h12"
    }, null, 3, null)
  ], 3, "Rk_0");
}, "corner_down_right_icon_component_xmUozuTCIko"));
const cornerLeftDownIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-corner-left-down ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-corner-left-down ${p1.class??p0.class}`"),
    "aria-label": "Corner Left Down Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "14 15 9 20 4 15"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M20 4h-7a4 4 0 0 0-4 4v12"
    }, null, 3, null)
  ], 3, "kW_0");
}, "corner_left_down_icon_component_ItIGMBCFMAg"));
const cornerLeftUpIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-corner-left-up ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-corner-left-up ${p1.class??p0.class}`"),
    "aria-label": "Corner Left Up Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "14 9 9 4 4 9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M20 20h-7a4 4 0 0 1-4-4V4"
    }, null, 3, null)
  ], 3, "KV_0");
}, "corner_left_up_icon_component_c0V405e8LyM"));
const cornerRightDownIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-corner-right-down ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-corner-right-down ${p1.class??p0.class}`"),
    "aria-label": "Corner Right Down Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "10 15 15 20 20 15"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M4 4h7a4 4 0 0 1 4 4v12"
    }, null, 3, null)
  ], 3, "Qg_0");
}, "corner_right_down_icon_component_3JBnlul1nVg"));
const cornerRightUpIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-corner-right-up ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-corner-right-up ${p1.class??p0.class}`"),
    "aria-label": "Corner Right Up Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "10 9 15 4 20 9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M4 20h7a4 4 0 0 0 4-4V4"
    }, null, 3, null)
  ], 3, "0T_0");
}, "corner_right_up_icon_component_4Ia8RGOh0J0"));
const cornerUpLeftIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-corner-up-left ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-corner-up-left ${p1.class??p0.class}`"),
    "aria-label": "Corner Up Left Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "9 14 4 9 9 4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M20 20v-7a4 4 0 0 0-4-4H4"
    }, null, 3, null)
  ], 3, "mk_0");
}, "corner_up_left_icon_component_NJxSUciKTlE"));
const cornerUpRightIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-corner-up-right ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-corner-up-right ${p1.class??p0.class}`"),
    "aria-label": "Corner Up Right Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "15 14 20 9 15 4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M4 20v-7a4 4 0 0 1 4-4h12"
    }, null, 3, null)
  ], 3, "bp_0");
}, "corner_up_right_icon_component_3wBDKPa4RWE"));
const cpuIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-cpu ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-cpu ${p1.class??p0.class}`"),
    "aria-label": "Cpu Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "4",
      y: "4",
      width: "16",
      height: "16",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "9",
      y: "9",
      width: "6",
      height: "6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "9",
      y1: "1",
      x2: "9",
      y2: "4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "15",
      y1: "1",
      x2: "15",
      y2: "4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "9",
      y1: "20",
      x2: "9",
      y2: "23"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "15",
      y1: "20",
      x2: "15",
      y2: "23"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "20",
      y1: "9",
      x2: "23",
      y2: "9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "20",
      y1: "14",
      x2: "23",
      y2: "14"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "1",
      y1: "9",
      x2: "4",
      y2: "9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "1",
      y1: "14",
      x2: "4",
      y2: "14"
    }, null, 3, null)
  ], 3, "NF_0");
}, "cpu_icon_component_7v29oVvlTw8"));
const creditCardIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-credit-card ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-credit-card ${p1.class??p0.class}`"),
    "aria-label": "Credit Card Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "1",
      y: "4",
      width: "22",
      height: "16",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "1",
      y1: "10",
      x2: "23",
      y2: "10"
    }, null, 3, null)
  ], 3, "iI_0");
}, "credit_card_icon_component_nUZKrrEBkDo"));
const cropIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-crop ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-crop ${p1.class??p0.class}`"),
    "aria-label": "Crop Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M6.13 1L6 16a2 2 0 0 0 2 2h15"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M1 6.13L16 6a2 2 0 0 1 2 2v15"
    }, null, 3, null)
  ], 3, "Nv_0");
}, "crop_icon_component_5ddxJXQK1hs"));
const crosshairIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-crosshair ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-crosshair ${p1.class??p0.class}`"),
    "aria-label": "Crosshair Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "22",
      y1: "12",
      x2: "18",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "6",
      y1: "12",
      x2: "2",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "6",
      x2: "12",
      y2: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "22",
      x2: "12",
      y2: "18"
    }, null, 3, null)
  ], 3, "33_0");
}, "crosshair_icon_component_6osbI01VS58"));
const databaseIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-database ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-database ${p1.class??p0.class}`"),
    "aria-label": "Database Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("ellipse", null, {
      cx: "12",
      cy: "5",
      rx: "9",
      ry: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M21 12c0 1.66-4 3-9 3s-9-1.34-9-3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M3 5v14c0 1.66 4 3 9 3s9-1.34 9-3V5"
    }, null, 3, null)
  ], 3, "Ge_0");
}, "database_icon_component_72zIx6E5Ang"));
const deleteIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-delete ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-delete ${p1.class??p0.class}`"),
    "aria-label": "Delete Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M21 4H8l-7 8 7 8h13a2 2 0 0 0 2-2V6a2 2 0 0 0-2-2z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "18",
      y1: "9",
      x2: "12",
      y2: "15"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "9",
      x2: "18",
      y2: "15"
    }, null, 3, null)
  ], 3, "Od_0");
}, "delete_icon_component_xZIt8qRRYHg"));
const discIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-disc ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-disc ${p1.class??p0.class}`"),
    "aria-label": "Disc Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "3"
    }, null, 3, null)
  ], 3, "7d_0");
}, "disc_icon_component_Dym04cAnPGk"));
const divideCircleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-divide-circle ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-divide-circle ${p1.class??p0.class}`"),
    "aria-label": "Divide Circle Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "12",
      x2: "16",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "16",
      x2: "12",
      y2: "16"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "8",
      x2: "12",
      y2: "8"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null)
  ], 3, "91_0");
}, "divide_circle_icon_component_HtoOFgJsJO0"));
const divideSquareIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-divide-square ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-divide-square ${p1.class??p0.class}`"),
    "aria-label": "Divide Square Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "3",
      y: "3",
      width: "18",
      height: "18",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "12",
      x2: "16",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "16",
      x2: "12",
      y2: "16"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "8",
      x2: "12",
      y2: "8"
    }, null, 3, null)
  ], 3, "sK_0");
}, "divide_square_icon_component_WSvl0Qb1XOY"));
const divideIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-divide ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-divide ${p1.class??p0.class}`"),
    "aria-label": "Divide Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "6",
      r: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "5",
      y1: "12",
      x2: "19",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "18",
      r: "2"
    }, null, 3, null)
  ], 3, "vS_0");
}, "divide_icon_component_zd14v9oGVIE"));
const dollarSignIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-dollar-sign ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-dollar-sign ${p1.class??p0.class}`"),
    "aria-label": "Dollar Sign Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "1",
      x2: "12",
      y2: "23"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M17 5H9.5a3.5 3.5 0 0 0 0 7h5a3.5 3.5 0 0 1 0 7H6"
    }, null, 3, null)
  ], 3, "Ye_0");
}, "dollar_sign_icon_component_0lHdgHfxWlU"));
const downloadCloudIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-download-cloud ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-download-cloud ${p1.class??p0.class}`"),
    "aria-label": "Download Cloud Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "8 17 12 21 16 17"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "12",
      x2: "12",
      y2: "21"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M20.88 18.09A5 5 0 0 0 18 9h-1.26A8 8 0 1 0 3 16.29"
    }, null, 3, null)
  ], 3, "g1_0");
}, "download_cloud_icon_component_Cwy6e6955T4"));
const downloadIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-download ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-download ${p1.class??p0.class}`"),
    "aria-label": "Download Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M21 15v4a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "7 10 12 15 17 10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "15",
      x2: "12",
      y2: "3"
    }, null, 3, null)
  ], 3, "TZ_0");
}, "download_icon_component_wFt9KQTkon0"));
const dribbbleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-dribbble ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-dribbble ${p1.class??p0.class}`"),
    "aria-label": "Dribbble Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M8.56 2.75c4.37 6.03 6.02 9.42 8.03 17.72m2.54-15.38c-3.72 4.35-8.94 5.66-16.88 5.85m19.5 1.9c-3.5-.93-6.63-.82-8.94 0-2.58.92-5.01 2.86-7.44 6.32"
    }, null, 3, null)
  ], 3, "Ph_0");
}, "dribbble_icon_component_us0bWObFzlo"));
const dropletIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-droplet ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-droplet ${p1.class??p0.class}`"),
    "aria-label": "Droplet Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M12 2.69l5.66 5.66a8 8 0 1 1-11.31 0z"
  }, null, 3, null), 3, "56_0");
}, "droplet_icon_component_xf8pV0YbCqQ"));
const edit2Icon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-edit-2 ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-edit-2 ${p1.class??p0.class}`"),
    "aria-label": "Edit 2 Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M17 3a2.828 2.828 0 1 1 4 4L7.5 20.5 2 22l1.5-5.5L17 3z"
  }, null, 3, null), 3, "EI_0");
}, "edit_2_icon_component_oO91dE00nfc"));
const edit3Icon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-edit-3 ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-edit-3 ${p1.class??p0.class}`"),
    "aria-label": "Edit 3 Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M12 20h9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M16.5 3.5a2.121 2.121 0 0 1 3 3L7 19l-4 1 1-4L16.5 3.5z"
    }, null, 3, null)
  ], 3, "hY_0");
}, "edit_3_icon_component_iB7h4Sr2CyI"));
const editIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-edit ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-edit ${p1.class??p0.class}`"),
    "aria-label": "Edit Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M11 4H4a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2v-7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M18.5 2.5a2.121 2.121 0 0 1 3 3L12 15l-4 1 1-4 9.5-9.5z"
    }, null, 3, null)
  ], 3, "fJ_0");
}, "edit_icon_component_mv9VgIUkJR4"));
const externalLinkIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-external-link ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-external-link ${p1.class??p0.class}`"),
    "aria-label": "External Link Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M18 13v6a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "15 3 21 3 21 9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "10",
      y1: "14",
      x2: "21",
      y2: "3"
    }, null, 3, null)
  ], 3, "0m_0");
}, "external_link_icon_component_7HWl1QZKU2E"));
const eyeOffIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-eye-off ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-eye-off ${p1.class??p0.class}`"),
    "aria-label": "Eye Off Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M17.94 17.94A10.07 10.07 0 0 1 12 20c-7 0-11-8-11-8a18.45 18.45 0 0 1 5.06-5.94M9.9 4.24A9.12 9.12 0 0 1 12 4c7 0 11 8 11 8a18.5 18.5 0 0 1-2.16 3.19m-6.72-1.07a3 3 0 1 1-4.24-4.24"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "1",
      y1: "1",
      x2: "23",
      y2: "23"
    }, null, 3, null)
  ], 3, "W2_0");
}, "eye_off_icon_component_KN0gEq4ovIo"));
const eyeIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-eye ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-eye ${p1.class??p0.class}`"),
    "aria-label": "Eye Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M1 12s4-8 11-8 11 8 11 8-4 8-11 8-11-8-11-8z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "3"
    }, null, 3, null)
  ], 3, "p9_0");
}, "eye_icon_component_ztEOz2KjTj8"));
const facebookIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-facebook ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-facebook ${p1.class??p0.class}`"),
    "aria-label": "Facebook Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M18 2h-3a5 5 0 0 0-5 5v3H7v4h3v8h4v-8h3l1-4h-4V7a1 1 0 0 1 1-1h3z"
  }, null, 3, null), 3, "D7_0");
}, "facebook_icon_component_6MbWfe2LquQ"));
const fastForwardIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-fast-forward ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-fast-forward ${p1.class??p0.class}`"),
    "aria-label": "Fast Forward Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "13 19 22 12 13 5 13 19"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "2 19 11 12 2 5 2 19"
    }, null, 3, null)
  ], 3, "hS_0");
}, "fast_forward_icon_component_Lu0zP8LtBtU"));
const featherIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-feather ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-feather ${p1.class??p0.class}`"),
    "aria-label": "Feather Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M20.24 12.24a6 6 0 0 0-8.49-8.49L5 10.5V19h8.5z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "16",
      y1: "8",
      x2: "2",
      y2: "22"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "17.5",
      y1: "15",
      x2: "9",
      y2: "15"
    }, null, 3, null)
  ], 3, "79_0");
}, "feather_icon_component_Ffw0Eavhbrc"));
const figmaIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-figma ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-figma ${p1.class??p0.class}`"),
    "aria-label": "Figma Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M5 5.5A3.5 3.5 0 0 1 8.5 2H12v7H8.5A3.5 3.5 0 0 1 5 5.5z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M12 2h3.5a3.5 3.5 0 1 1 0 7H12V2z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M12 12.5a3.5 3.5 0 1 1 7 0 3.5 3.5 0 1 1-7 0z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M5 19.5A3.5 3.5 0 0 1 8.5 16H12v3.5a3.5 3.5 0 1 1-7 0z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M5 12.5A3.5 3.5 0 0 1 8.5 9H12v7H8.5A3.5 3.5 0 0 1 5 12.5z"
    }, null, 3, null)
  ], 3, "0x_0");
}, "figma_icon_component_dvSrDvZoe64"));
const fileMinusIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-file-minus ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-file-minus ${p1.class??p0.class}`"),
    "aria-label": "File Minus Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M14 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V8z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "14 2 14 8 20 8"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "9",
      y1: "15",
      x2: "15",
      y2: "15"
    }, null, 3, null)
  ], 3, "97_0");
}, "file_minus_icon_component_t6dPZiPa6gc"));
const filePlusIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-file-plus ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-file-plus ${p1.class??p0.class}`"),
    "aria-label": "File Plus Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M14 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V8z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "14 2 14 8 20 8"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "18",
      x2: "12",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "9",
      y1: "15",
      x2: "15",
      y2: "15"
    }, null, 3, null)
  ], 3, "r9_0");
}, "file_plus_icon_component_ZvCgN5VjcHE"));
const fileTextIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-file-text ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-file-text ${p1.class??p0.class}`"),
    "aria-label": "File Text Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M14 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V8z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "14 2 14 8 20 8"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "16",
      y1: "13",
      x2: "8",
      y2: "13"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "16",
      y1: "17",
      x2: "8",
      y2: "17"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "10 9 9 9 8 9"
    }, null, 3, null)
  ], 3, "n3_0");
}, "file_text_icon_component_HvwnCdgzHXU"));
const fileIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-file ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-file ${p1.class??p0.class}`"),
    "aria-label": "File Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M13 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V9z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "13 2 13 9 20 9"
    }, null, 3, null)
  ], 3, "LT_0");
}, "file_icon_component_joHpYQPF3EY"));
const filmIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-film ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-film ${p1.class??p0.class}`"),
    "aria-label": "Film Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "2",
      y: "2",
      width: "20",
      height: "20",
      rx: "2.18",
      ry: "2.18"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "7",
      y1: "2",
      x2: "7",
      y2: "22"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "17",
      y1: "2",
      x2: "17",
      y2: "22"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "2",
      y1: "12",
      x2: "22",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "2",
      y1: "7",
      x2: "7",
      y2: "7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "2",
      y1: "17",
      x2: "7",
      y2: "17"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "17",
      y1: "17",
      x2: "22",
      y2: "17"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "17",
      y1: "7",
      x2: "22",
      y2: "7"
    }, null, 3, null)
  ], 3, "ic_0");
}, "film_icon_component_zuqQU2JIluY"));
const filterIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-filter ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-filter ${p1.class??p0.class}`"),
    "aria-label": "Filter Icon"
  }, /* @__PURE__ */ qwik._jsxQ("polygon", null, {
    points: "22 3 2 3 10 12.46 10 19 14 21 14 12.46 22 3"
  }, null, 3, null), 3, "vY_0");
}, "filter_icon_component_03YMZ5MVU5g"));
const flagIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-flag ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-flag ${p1.class??p0.class}`"),
    "aria-label": "Flag Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M4 15s1-1 4-1 5 2 8 2 4-1 4-1V3s-1 1-4 1-5-2-8-2-4 1-4 1z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "4",
      y1: "22",
      x2: "4",
      y2: "15"
    }, null, 3, null)
  ], 3, "yX_0");
}, "flag_icon_component_OkeriR0dtFc"));
const folderMinusIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-folder-minus ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-folder-minus ${p1.class??p0.class}`"),
    "aria-label": "Folder Minus Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M22 19a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h5l2 3h9a2 2 0 0 1 2 2z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "9",
      y1: "14",
      x2: "15",
      y2: "14"
    }, null, 3, null)
  ], 3, "0R_0");
}, "folder_minus_icon_component_6H90wMSzUu8"));
const folderPlusIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-folder-plus ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-folder-plus ${p1.class??p0.class}`"),
    "aria-label": "Folder Plus Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M22 19a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h5l2 3h9a2 2 0 0 1 2 2z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "11",
      x2: "12",
      y2: "17"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "9",
      y1: "14",
      x2: "15",
      y2: "14"
    }, null, 3, null)
  ], 3, "xX_0");
}, "folder_plus_icon_component_lxHGCAF2QCM"));
const folderIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-folder ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-folder ${p1.class??p0.class}`"),
    "aria-label": "Folder Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M22 19a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h5l2 3h9a2 2 0 0 1 2 2z"
  }, null, 3, null), 3, "jU_0");
}, "folder_icon_component_28B2O2bGNcM"));
const framerIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-framer ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-framer ${p1.class??p0.class}`"),
    "aria-label": "Framer Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M5 16V9h14V2H5l14 14h-7m-7 0l7 7v-7m-7 0h7"
  }, null, 3, null), 3, "u6_0");
}, "framer_icon_component_cUhBTCorZzw"));
const frownIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-frown ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-frown ${p1.class??p0.class}`"),
    "aria-label": "Frown Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M16 16s-1.5-2-4-2-4 2-4 2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "9",
      y1: "9",
      x2: "9.01",
      y2: "9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "15",
      y1: "9",
      x2: "15.01",
      y2: "9"
    }, null, 3, null)
  ], 3, "Dt_0");
}, "frown_icon_component_jGNJL6ukpsg"));
const giftIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-gift ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-gift ${p1.class??p0.class}`"),
    "aria-label": "Gift Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "20 12 20 22 4 22 4 12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "2",
      y: "7",
      width: "20",
      height: "5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "22",
      x2: "12",
      y2: "7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M12 7H7.5a2.5 2.5 0 0 1 0-5C11 2 12 7 12 7z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M12 7h4.5a2.5 2.5 0 0 0 0-5C13 2 12 7 12 7z"
    }, null, 3, null)
  ], 3, "TC_0");
}, "gift_icon_component_fHZX3o7ZSOM"));
const gitBranchIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-git-branch ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-git-branch ${p1.class??p0.class}`"),
    "aria-label": "Git Branch Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "6",
      y1: "3",
      x2: "6",
      y2: "15"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "18",
      cy: "6",
      r: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "6",
      cy: "18",
      r: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M18 9a9 9 0 0 1-9 9"
    }, null, 3, null)
  ], 3, "QQ_0");
}, "git_branch_icon_component_2esBbydw7Pc"));
const gitCommitIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-git-commit ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-git-commit ${p1.class??p0.class}`"),
    "aria-label": "Git Commit Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "1.05",
      y1: "12",
      x2: "7",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "17.01",
      y1: "12",
      x2: "22.96",
      y2: "12"
    }, null, 3, null)
  ], 3, "5D_0");
}, "git_commit_icon_component_0iZXsZsHEYQ"));
const gitMergeIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-git-merge ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-git-merge ${p1.class??p0.class}`"),
    "aria-label": "Git Merge Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "18",
      cy: "18",
      r: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "6",
      cy: "6",
      r: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M6 21V9a9 9 0 0 0 9 9"
    }, null, 3, null)
  ], 3, "sV_0");
}, "git_merge_icon_component_7b1QV0Yczow"));
const gitPullRequestIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-git-pull-request ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-git-pull-request ${p1.class??p0.class}`"),
    "aria-label": "Git Pull Request Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "18",
      cy: "18",
      r: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "6",
      cy: "6",
      r: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M13 6h3a2 2 0 0 1 2 2v7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "6",
      y1: "9",
      x2: "6",
      y2: "21"
    }, null, 3, null)
  ], 3, "jl_0");
}, "git_pull_request_icon_component_KmrcZwxEyg4"));
const githubIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-github ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-github ${p1.class??p0.class}`"),
    "aria-label": "Github Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M9 19c-5 1.5-5-2.5-7-3m14 6v-3.87a3.37 3.37 0 0 0-.94-2.61c3.14-.35 6.44-1.54 6.44-7A5.44 5.44 0 0 0 20 4.77 5.07 5.07 0 0 0 19.91 1S18.73.65 16 2.48a13.38 13.38 0 0 0-7 0C6.27.65 5.09 1 5.09 1A5.07 5.07 0 0 0 5 4.77a5.44 5.44 0 0 0-1.5 3.78c0 5.42 3.3 6.61 6.44 7A3.37 3.37 0 0 0 9 18.13V22"
  }, null, 3, null), 3, "qL_0");
}, "github_icon_component_ZUiBvEjXzbg"));
const gitlabIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-gitlab ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-gitlab ${p1.class??p0.class}`"),
    "aria-label": "Gitlab Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M22.65 14.39L12 22.13 1.35 14.39a.84.84 0 0 1-.3-.94l1.22-3.78 2.44-7.51A.42.42 0 0 1 4.82 2a.43.43 0 0 1 .58 0 .42.42 0 0 1 .11.18l2.44 7.49h8.1l2.44-7.51A.42.42 0 0 1 18.6 2a.43.43 0 0 1 .58 0 .42.42 0 0 1 .11.18l2.44 7.51L23 13.45a.84.84 0 0 1-.35.94z"
  }, null, 3, null), 3, "rx_0");
}, "gitlab_icon_component_MGfJKG973y4"));
const globeIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-globe ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-globe ${p1.class??p0.class}`"),
    "aria-label": "Globe Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "2",
      y1: "12",
      x2: "22",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M12 2a15.3 15.3 0 0 1 4 10 15.3 15.3 0 0 1-4 10 15.3 15.3 0 0 1-4-10 15.3 15.3 0 0 1 4-10z"
    }, null, 3, null)
  ], 3, "Lb_0");
}, "globe_icon_component_eLizJHLREVw"));
const gridIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-grid ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-grid ${p1.class??p0.class}`"),
    "aria-label": "Grid Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "3",
      y: "3",
      width: "7",
      height: "7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "14",
      y: "3",
      width: "7",
      height: "7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "14",
      y: "14",
      width: "7",
      height: "7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "3",
      y: "14",
      width: "7",
      height: "7"
    }, null, 3, null)
  ], 3, "Ng_0");
}, "grid_icon_component_WRthxGePn0Q"));
const hardDriveIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-hard-drive ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-hard-drive ${p1.class??p0.class}`"),
    "aria-label": "Hard Drive Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "22",
      y1: "12",
      x2: "2",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M5.45 5.11L2 12v6a2 2 0 0 0 2 2h16a2 2 0 0 0 2-2v-6l-3.45-6.89A2 2 0 0 0 16.76 4H7.24a2 2 0 0 0-1.79 1.11z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "6",
      y1: "16",
      x2: "6.01",
      y2: "16"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "10",
      y1: "16",
      x2: "10.01",
      y2: "16"
    }, null, 3, null)
  ], 3, "Ug_0");
}, "hard_drive_icon_component_6GdpzVxgyj0"));
const hashIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-hash ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-hash ${p1.class??p0.class}`"),
    "aria-label": "Hash Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "4",
      y1: "9",
      x2: "20",
      y2: "9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "4",
      y1: "15",
      x2: "20",
      y2: "15"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "10",
      y1: "3",
      x2: "8",
      y2: "21"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "16",
      y1: "3",
      x2: "14",
      y2: "21"
    }, null, 3, null)
  ], 3, "cz_0");
}, "hash_icon_component_bj0xwjk0j0c"));
const headphonesIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-headphones ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-headphones ${p1.class??p0.class}`"),
    "aria-label": "Headphones Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M3 18v-6a9 9 0 0 1 18 0v6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M21 19a2 2 0 0 1-2 2h-1a2 2 0 0 1-2-2v-3a2 2 0 0 1 2-2h3zM3 19a2 2 0 0 0 2 2h1a2 2 0 0 0 2-2v-3a2 2 0 0 0-2-2H3z"
    }, null, 3, null)
  ], 3, "w9_0");
}, "headphones_icon_component_ZNfnvmeLfmY"));
const heartIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-heart ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-heart ${p1.class??p0.class}`"),
    "aria-label": "Heart Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M20.84 4.61a5.5 5.5 0 0 0-7.78 0L12 5.67l-1.06-1.06a5.5 5.5 0 0 0-7.78 7.78l1.06 1.06L12 21.23l7.78-7.78 1.06-1.06a5.5 5.5 0 0 0 0-7.78z"
  }, null, 3, null), 3, "u6_0");
}, "heart_icon_component_hBUQge2q0VY"));
const helpCircleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-help-circle ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-help-circle ${p1.class??p0.class}`"),
    "aria-label": "Help Circle Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M9.09 9a3 3 0 0 1 5.83 1c0 2-3 3-3 3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "17",
      x2: "12.01",
      y2: "17"
    }, null, 3, null)
  ], 3, "Tq_0");
}, "help_circle_icon_component_ds5yjViWowo"));
const hexagonIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-hexagon ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-hexagon ${p1.class??p0.class}`"),
    "aria-label": "Hexagon Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z"
  }, null, 3, null), 3, "cD_0");
}, "hexagon_icon_component_DehrPH5f3rU"));
const homeIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-home ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-home ${p1.class??p0.class}`"),
    "aria-label": "Home Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "9 22 9 12 15 12 15 22"
    }, null, 3, null)
  ], 3, "C1_0");
}, "home_icon_component_nwI0xnVijt0"));
const imageIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-image ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-image ${p1.class??p0.class}`"),
    "aria-label": "Image Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "3",
      y: "3",
      width: "18",
      height: "18",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "8.5",
      cy: "8.5",
      r: "1.5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "21 15 16 10 5 21"
    }, null, 3, null)
  ], 3, "TU_0");
}, "image_icon_component_UTzB0b14SfI"));
const inboxIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-inbox ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-inbox ${p1.class??p0.class}`"),
    "aria-label": "Inbox Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "22 12 16 12 14 15 10 15 8 12 2 12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M5.45 5.11L2 12v6a2 2 0 0 0 2 2h16a2 2 0 0 0 2-2v-6l-3.45-6.89A2 2 0 0 0 16.76 4H7.24a2 2 0 0 0-1.79 1.11z"
    }, null, 3, null)
  ], 3, "Uc_0");
}, "inbox_icon_component_ahW9QDXog5c"));
const infoIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-info ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-info ${p1.class??p0.class}`"),
    "aria-label": "Info Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "16",
      x2: "12",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "8",
      x2: "12.01",
      y2: "8"
    }, null, 3, null)
  ], 3, "jD_0");
}, "info_icon_component_X0PaLyGhdqE"));
const instagramIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-instagram ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-instagram ${p1.class??p0.class}`"),
    "aria-label": "Instagram Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "2",
      y: "2",
      width: "20",
      height: "20",
      rx: "5",
      ry: "5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M16 11.37A4 4 0 1 1 12.63 8 4 4 0 0 1 16 11.37z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "17.5",
      y1: "6.5",
      x2: "17.51",
      y2: "6.5"
    }, null, 3, null)
  ], 3, "id_0");
}, "instagram_icon_component_dOPQFj8nDpA"));
const italicIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-italic ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-italic ${p1.class??p0.class}`"),
    "aria-label": "Italic Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "19",
      y1: "4",
      x2: "10",
      y2: "4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "14",
      y1: "20",
      x2: "5",
      y2: "20"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "15",
      y1: "4",
      x2: "9",
      y2: "20"
    }, null, 3, null)
  ], 3, "3D_0");
}, "italic_icon_component_yTt8Fzr5n2M"));
const keyIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-key ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-key ${p1.class??p0.class}`"),
    "aria-label": "Key Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M21 2l-2 2m-7.61 7.61a5.5 5.5 0 1 1-7.778 7.778 5.5 5.5 0 0 1 7.777-7.777zm0 0L15.5 7.5m0 0l3 3L22 7l-3-3m-3.5 3.5L19 4"
  }, null, 3, null), 3, "nv_0");
}, "key_icon_component_Qs7ijyBLh80"));
const layersIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-layers ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-layers ${p1.class??p0.class}`"),
    "aria-label": "Layers Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "12 2 2 7 12 12 22 7 12 2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "2 17 12 22 22 17"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "2 12 12 17 22 12"
    }, null, 3, null)
  ], 3, "uu_0");
}, "layers_icon_component_FJMpgglYGw8"));
const layoutIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-layout ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-layout ${p1.class??p0.class}`"),
    "aria-label": "Layout Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "3",
      y: "3",
      width: "18",
      height: "18",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "3",
      y1: "9",
      x2: "21",
      y2: "9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "9",
      y1: "21",
      x2: "9",
      y2: "9"
    }, null, 3, null)
  ], 3, "4G_0");
}, "layout_icon_component_kAhll6hZKnE"));
const lifeBuoyIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-life-buoy ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-life-buoy ${p1.class??p0.class}`"),
    "aria-label": "Life Buoy Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "4.93",
      y1: "4.93",
      x2: "9.17",
      y2: "9.17"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "14.83",
      y1: "14.83",
      x2: "19.07",
      y2: "19.07"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "14.83",
      y1: "9.17",
      x2: "19.07",
      y2: "4.93"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "14.83",
      y1: "9.17",
      x2: "18.36",
      y2: "5.64"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "4.93",
      y1: "19.07",
      x2: "9.17",
      y2: "14.83"
    }, null, 3, null)
  ], 3, "k0_0");
}, "life_buoy_icon_component_SBdmGjzDvEk"));
const link2Icon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-link-2 ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-link-2 ${p1.class??p0.class}`"),
    "aria-label": "Link 2 Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M15 7h3a5 5 0 0 1 5 5 5 5 0 0 1-5 5h-3m-6 0H6a5 5 0 0 1-5-5 5 5 0 0 1 5-5h3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "12",
      x2: "16",
      y2: "12"
    }, null, 3, null)
  ], 3, "4o_0");
}, "link_2_icon_component_4vxriYMc0po"));
const linkIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-link ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-link ${p1.class??p0.class}`"),
    "aria-label": "Link Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M10 13a5 5 0 0 0 7.54.54l3-3a5 5 0 0 0-7.07-7.07l-1.72 1.71"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M14 11a5 5 0 0 0-7.54-.54l-3 3a5 5 0 0 0 7.07 7.07l1.71-1.71"
    }, null, 3, null)
  ], 3, "Ag_0");
}, "link_icon_component_mICmaSLohyw"));
const linkedinIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-linkedin ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-linkedin ${p1.class??p0.class}`"),
    "aria-label": "Linkedin Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M16 8a6 6 0 0 1 6 6v7h-4v-7a2 2 0 0 0-2-2 2 2 0 0 0-2 2v7h-4v-7a6 6 0 0 1 6-6z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "2",
      y: "9",
      width: "4",
      height: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "4",
      cy: "4",
      r: "2"
    }, null, 3, null)
  ], 3, "0o_0");
}, "linkedin_icon_component_GJEi2hTwlXY"));
const listIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-list ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-list ${p1.class??p0.class}`"),
    "aria-label": "List Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "6",
      x2: "21",
      y2: "6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "12",
      x2: "21",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "18",
      x2: "21",
      y2: "18"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "3",
      y1: "6",
      x2: "3.01",
      y2: "6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "3",
      y1: "12",
      x2: "3.01",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "3",
      y1: "18",
      x2: "3.01",
      y2: "18"
    }, null, 3, null)
  ], 3, "9i_0");
}, "list_icon_component_jFp78cM2Ve4"));
const loaderIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-loader ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-loader ${p1.class??p0.class}`"),
    "aria-label": "Loader Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "2",
      x2: "12",
      y2: "6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "18",
      x2: "12",
      y2: "22"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "4.93",
      y1: "4.93",
      x2: "7.76",
      y2: "7.76"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "16.24",
      y1: "16.24",
      x2: "19.07",
      y2: "19.07"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "2",
      y1: "12",
      x2: "6",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "18",
      y1: "12",
      x2: "22",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "4.93",
      y1: "19.07",
      x2: "7.76",
      y2: "16.24"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "16.24",
      y1: "7.76",
      x2: "19.07",
      y2: "4.93"
    }, null, 3, null)
  ], 3, "h7_0");
}, "loader_icon_component_O2P0d889wcY"));
const lockIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-lock ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-lock ${p1.class??p0.class}`"),
    "aria-label": "Lock Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "3",
      y: "11",
      width: "18",
      height: "11",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M7 11V7a5 5 0 0 1 10 0v4"
    }, null, 3, null)
  ], 3, "Xq_0");
}, "lock_icon_component_QwJr2MRvKbk"));
const logInIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-log-in ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-log-in ${p1.class??p0.class}`"),
    "aria-label": "Log In Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M15 3h4a2 2 0 0 1 2 2v14a2 2 0 0 1-2 2h-4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "10 17 15 12 10 7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "15",
      y1: "12",
      x2: "3",
      y2: "12"
    }, null, 3, null)
  ], 3, "jh_0");
}, "log_in_icon_component_IAfQmJp5lnA"));
const logOutIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-log-out ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-log-out ${p1.class??p0.class}`"),
    "aria-label": "Log Out Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M9 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "16 17 21 12 16 7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21",
      y1: "12",
      x2: "9",
      y2: "12"
    }, null, 3, null)
  ], 3, "n2_0");
}, "log_out_icon_component_ozXqWoMGDT8"));
const mailIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-mail ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-mail ${p1.class??p0.class}`"),
    "aria-label": "Mail Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M4 4h16c1.1 0 2 .9 2 2v12c0 1.1-.9 2-2 2H4c-1.1 0-2-.9-2-2V6c0-1.1.9-2 2-2z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "22,6 12,13 2,6"
    }, null, 3, null)
  ], 3, "gK_0");
}, "mail_icon_component_YRGHTUEzplo"));
const mapPinIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-map-pin ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-map-pin ${p1.class??p0.class}`"),
    "aria-label": "Map Pin Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M21 10c0 7-9 13-9 13s-9-6-9-13a9 9 0 0 1 18 0z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "10",
      r: "3"
    }, null, 3, null)
  ], 3, "eP_0");
}, "map_pin_icon_component_mYJyTjlyNxc"));
const mapIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-map ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-map ${p1.class??p0.class}`"),
    "aria-label": "Map Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "1 6 1 22 8 18 16 22 23 18 23 2 16 6 8 2 1 6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "2",
      x2: "8",
      y2: "18"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "16",
      y1: "6",
      x2: "16",
      y2: "22"
    }, null, 3, null)
  ], 3, "qi_0");
}, "map_icon_component_lA03xJIjfQY"));
const maximize2Icon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-maximize-2 ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-maximize-2 ${p1.class??p0.class}`"),
    "aria-label": "Maximize 2 Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "15 3 21 3 21 9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "9 21 3 21 3 15"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21",
      y1: "3",
      x2: "14",
      y2: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "3",
      y1: "21",
      x2: "10",
      y2: "14"
    }, null, 3, null)
  ], 3, "Yv_0");
}, "maximize_2_icon_component_zUrEkz8eTFM"));
const maximizeIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-maximize ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-maximize ${p1.class??p0.class}`"),
    "aria-label": "Maximize Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M8 3H5a2 2 0 0 0-2 2v3m18 0V5a2 2 0 0 0-2-2h-3m0 18h3a2 2 0 0 0 2-2v-3M3 16v3a2 2 0 0 0 2 2h3"
  }, null, 3, null), 3, "oo_0");
}, "maximize_icon_component_aG78ZMZoaKY"));
const mehIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-meh ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-meh ${p1.class??p0.class}`"),
    "aria-label": "Meh Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "15",
      x2: "16",
      y2: "15"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "9",
      y1: "9",
      x2: "9.01",
      y2: "9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "15",
      y1: "9",
      x2: "15.01",
      y2: "9"
    }, null, 3, null)
  ], 3, "2T_0");
}, "meh_icon_component_WXUDfO1erII"));
const menuIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-menu ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-menu ${p1.class??p0.class}`"),
    "aria-label": "Menu Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "3",
      y1: "12",
      x2: "21",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "3",
      y1: "6",
      x2: "21",
      y2: "6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "3",
      y1: "18",
      x2: "21",
      y2: "18"
    }, null, 3, null)
  ], 3, "VB_0");
}, "menu_icon_component_frgXzgCW6lE"));
const messageCircleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-message-circle ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-message-circle ${p1.class??p0.class}`"),
    "aria-label": "Message Circle Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M21 11.5a8.38 8.38 0 0 1-.9 3.8 8.5 8.5 0 0 1-7.6 4.7 8.38 8.38 0 0 1-3.8-.9L3 21l1.9-5.7a8.38 8.38 0 0 1-.9-3.8 8.5 8.5 0 0 1 4.7-7.6 8.38 8.38 0 0 1 3.8-.9h.5a8.48 8.48 0 0 1 8 8v.5z"
  }, null, 3, null), 3, "cI_0");
}, "message_circle_icon_component_uBHBlvrUTNI"));
const messageSquareIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-message-square ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-message-square ${p1.class??p0.class}`"),
    "aria-label": "Message Square Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M21 15a2 2 0 0 1-2 2H7l-4 4V5a2 2 0 0 1 2-2h14a2 2 0 0 1 2 2z"
  }, null, 3, null), 3, "w4_0");
}, "message_square_icon_component_FB90hOi6mlU"));
const micOffIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-mic-off ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-mic-off ${p1.class??p0.class}`"),
    "aria-label": "Mic Off Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "1",
      y1: "1",
      x2: "23",
      y2: "23"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M9 9v3a3 3 0 0 0 5.12 2.12M15 9.34V4a3 3 0 0 0-5.94-.6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M17 16.95A7 7 0 0 1 5 12v-2m14 0v2a7 7 0 0 1-.11 1.23"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "19",
      x2: "12",
      y2: "23"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "23",
      x2: "16",
      y2: "23"
    }, null, 3, null)
  ], 3, "t5_0");
}, "mic_off_icon_component_hgeoHvzjBbw"));
const micIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-mic ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-mic ${p1.class??p0.class}`"),
    "aria-label": "Mic Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M12 1a3 3 0 0 0-3 3v8a3 3 0 0 0 6 0V4a3 3 0 0 0-3-3z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M19 10v2a7 7 0 0 1-14 0v-2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "19",
      x2: "12",
      y2: "23"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "23",
      x2: "16",
      y2: "23"
    }, null, 3, null)
  ], 3, "VU_0");
}, "mic_icon_component_IlZ2vXywCe8"));
const minimize2Icon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-minimize-2 ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-minimize-2 ${p1.class??p0.class}`"),
    "aria-label": "Minimize 2 Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "4 14 10 14 10 20"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "20 10 14 10 14 4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "14",
      y1: "10",
      x2: "21",
      y2: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "3",
      y1: "21",
      x2: "10",
      y2: "14"
    }, null, 3, null)
  ], 3, "0N_0");
}, "minimize_2_icon_component_31VeapDLmNo"));
const minimizeIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-minimize ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-minimize ${p1.class??p0.class}`"),
    "aria-label": "Minimize Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M8 3v3a2 2 0 0 1-2 2H3m18 0h-3a2 2 0 0 1-2-2V3m0 18v-3a2 2 0 0 1 2-2h3M3 16h3a2 2 0 0 1 2 2v3"
  }, null, 3, null), 3, "0z_0");
}, "minimize_icon_component_IyxtqFR36G0"));
const minusCircleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-minus-circle ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-minus-circle ${p1.class??p0.class}`"),
    "aria-label": "Minus Circle Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "12",
      x2: "16",
      y2: "12"
    }, null, 3, null)
  ], 3, "12_0");
}, "minus_circle_icon_component_LXAAXSrlfos"));
const minusSquareIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-minus-square ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-minus-square ${p1.class??p0.class}`"),
    "aria-label": "Minus Square Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "3",
      y: "3",
      width: "18",
      height: "18",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "12",
      x2: "16",
      y2: "12"
    }, null, 3, null)
  ], 3, "m2_0");
}, "minus_square_icon_component_t4JDlQuKqx4"));
const minusIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-minus ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-minus ${p1.class??p0.class}`"),
    "aria-label": "Minus Icon"
  }, /* @__PURE__ */ qwik._jsxQ("line", null, {
    x1: "5",
    y1: "12",
    x2: "19",
    y2: "12"
  }, null, 3, null), 3, "jn_0");
}, "minus_icon_component_P8YbQt0c6iI"));
const monitorIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-monitor ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-monitor ${p1.class??p0.class}`"),
    "aria-label": "Monitor Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "2",
      y: "3",
      width: "20",
      height: "14",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "21",
      x2: "16",
      y2: "21"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "17",
      x2: "12",
      y2: "21"
    }, null, 3, null)
  ], 3, "jA_0");
}, "monitor_icon_component_6CceN90813E"));
const moonIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-moon ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-moon ${p1.class??p0.class}`"),
    "aria-label": "Moon Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M21 12.79A9 9 0 1 1 11.21 3 7 7 0 0 0 21 12.79z"
  }, null, 3, null), 3, "SK_0");
}, "moon_icon_component_ItFFSKS4RMk"));
const moreHorizontalIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-more-horizontal ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-more-horizontal ${p1.class??p0.class}`"),
    "aria-label": "More Horizontal Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "1"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "19",
      cy: "12",
      r: "1"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "5",
      cy: "12",
      r: "1"
    }, null, 3, null)
  ], 3, "az_0");
}, "more_horizontal_icon_component_c3Xan7sSuFM"));
const moreVerticalIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-more-vertical ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-more-vertical ${p1.class??p0.class}`"),
    "aria-label": "More Vertical Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "1"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "5",
      r: "1"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "19",
      r: "1"
    }, null, 3, null)
  ], 3, "Q0_0");
}, "more_vertical_icon_component_y0Bys8wVSUI"));
const mousePointerIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-mouse-pointer ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-mouse-pointer ${p1.class??p0.class}`"),
    "aria-label": "Mouse Pointer Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M3 3l7.07 16.97 2.51-7.39 7.39-2.51L3 3z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M13 13l6 6"
    }, null, 3, null)
  ], 3, "Ts_0");
}, "mouse_pointer_icon_component_HnM4yt08u1E"));
const moveIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-move ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-move ${p1.class??p0.class}`"),
    "aria-label": "Move Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "5 9 2 12 5 15"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "9 5 12 2 15 5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "15 19 12 22 9 19"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "19 9 22 12 19 15"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "2",
      y1: "12",
      x2: "22",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "2",
      x2: "12",
      y2: "22"
    }, null, 3, null)
  ], 3, "3W_0");
}, "move_icon_component_HdYWUHHqBqc"));
const musicIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-music ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-music ${p1.class??p0.class}`"),
    "aria-label": "Music Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M9 18V5l12-2v13"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "6",
      cy: "18",
      r: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "18",
      cy: "16",
      r: "3"
    }, null, 3, null)
  ], 3, "iH_0");
}, "music_icon_component_tSiRyokzq74"));
const navigation2Icon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-navigation-2 ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-navigation-2 ${p1.class??p0.class}`"),
    "aria-label": "Navigation 2 Icon"
  }, /* @__PURE__ */ qwik._jsxQ("polygon", null, {
    points: "12 2 19 21 12 17 5 21 12 2"
  }, null, 3, null), 3, "j7_0");
}, "navigation_2_icon_component_Z6qVVIqAVz4"));
const navigationIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-navigation ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-navigation ${p1.class??p0.class}`"),
    "aria-label": "Navigation Icon"
  }, /* @__PURE__ */ qwik._jsxQ("polygon", null, {
    points: "3 11 22 2 13 21 11 13 3 11"
  }, null, 3, null), 3, "Oq_0");
}, "navigation_icon_component_7JkgZ95cf3E"));
const octagonIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-octagon ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-octagon ${p1.class??p0.class}`"),
    "aria-label": "Octagon Icon"
  }, /* @__PURE__ */ qwik._jsxQ("polygon", null, {
    points: "7.86 2 16.14 2 22 7.86 22 16.14 16.14 22 7.86 22 2 16.14 2 7.86 7.86 2"
  }, null, 3, null), 3, "oO_0");
}, "octagon_icon_component_VPf2M2tLirM"));
const packageIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-package ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-package ${p1.class??p0.class}`"),
    "aria-label": "Package Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "16.5",
      y1: "9.4",
      x2: "7.5",
      y2: "4.21"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "3.27 6.96 12 12.01 20.73 6.96"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "22.08",
      x2: "12",
      y2: "12"
    }, null, 3, null)
  ], 3, "MQ_0");
}, "package_icon_component_p5Sh009fz20"));
const paperclipIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-paperclip ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-paperclip ${p1.class??p0.class}`"),
    "aria-label": "Paperclip Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M21.44 11.05l-9.19 9.19a6 6 0 0 1-8.49-8.49l9.19-9.19a4 4 0 0 1 5.66 5.66l-9.2 9.19a2 2 0 0 1-2.83-2.83l8.49-8.48"
  }, null, 3, null), 3, "HO_0");
}, "paperclip_icon_component_FJHdfkE4eGk"));
const pauseCircleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-pause-circle ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-pause-circle ${p1.class??p0.class}`"),
    "aria-label": "Pause Circle Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "10",
      y1: "15",
      x2: "10",
      y2: "9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "14",
      y1: "15",
      x2: "14",
      y2: "9"
    }, null, 3, null)
  ], 3, "C2_0");
}, "pause_circle_icon_component_RZ7MCXZCO2A"));
const pauseIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-pause ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-pause ${p1.class??p0.class}`"),
    "aria-label": "Pause Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "6",
      y: "4",
      width: "4",
      height: "16"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "14",
      y: "4",
      width: "4",
      height: "16"
    }, null, 3, null)
  ], 3, "95_0");
}, "pause_icon_component_NqQX0q5xAFg"));
const penToolIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-pen-tool ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-pen-tool ${p1.class??p0.class}`"),
    "aria-label": "Pen Tool Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M12 19l7-7 3 3-7 7-3-3z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M18 13l-1.5-7.5L2 2l3.5 14.5L13 18l5-5z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M2 2l7.586 7.586"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "11",
      cy: "11",
      r: "2"
    }, null, 3, null)
  ], 3, "F2_0");
}, "pen_tool_icon_component_RZLQtBkuL10"));
const percentIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-percent ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-percent ${p1.class??p0.class}`"),
    "aria-label": "Percent Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "19",
      y1: "5",
      x2: "5",
      y2: "19"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "6.5",
      cy: "6.5",
      r: "2.5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "17.5",
      cy: "17.5",
      r: "2.5"
    }, null, 3, null)
  ], 3, "cS_0");
}, "percent_icon_component_j4xmM6ccxEU"));
const phoneCallIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-phone-call ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-phone-call ${p1.class??p0.class}`"),
    "aria-label": "Phone Call Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M15.05 5A5 5 0 0 1 19 8.95M15.05 1A9 9 0 0 1 23 8.94m-1 7.98v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"
  }, null, 3, null), 3, "kg_0");
}, "phone_call_icon_component_sh6iwo5QwSA"));
const phoneForwardedIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-phone-forwarded ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-phone-forwarded ${p1.class??p0.class}`"),
    "aria-label": "Phone Forwarded Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "19 1 23 5 19 9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "15",
      y1: "5",
      x2: "23",
      y2: "5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M22 16.92v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"
    }, null, 3, null)
  ], 3, "TB_0");
}, "phone_forwarded_icon_component_DNs0uHRyvSM"));
const phoneIncomingIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-phone-incoming ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-phone-incoming ${p1.class??p0.class}`"),
    "aria-label": "Phone Incoming Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "16 2 16 8 22 8"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "23",
      y1: "1",
      x2: "16",
      y2: "8"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M22 16.92v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"
    }, null, 3, null)
  ], 3, "8q_0");
}, "phone_incoming_icon_component_8phSYWHnEIg"));
const phoneMissedIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-phone-missed ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-phone-missed ${p1.class??p0.class}`"),
    "aria-label": "Phone Missed Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "23",
      y1: "1",
      x2: "17",
      y2: "7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "17",
      y1: "1",
      x2: "23",
      y2: "7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M22 16.92v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"
    }, null, 3, null)
  ], 3, "Dz_0");
}, "phone_missed_icon_component_Ij1oxZvp8fg"));
const phoneOffIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-phone-off ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-phone-off ${p1.class??p0.class}`"),
    "aria-label": "Phone Off Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M10.68 13.31a16 16 0 0 0 3.41 2.6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7 2 2 0 0 1 1.72 2v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.42 19.42 0 0 1-3.33-2.67m-2.67-3.34a19.79 19.79 0 0 1-3.07-8.63A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "23",
      y1: "1",
      x2: "1",
      y2: "23"
    }, null, 3, null)
  ], 3, "9j_0");
}, "phone_off_icon_component_01mtSwNZ900"));
const phoneOutgoingIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-phone-outgoing ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-phone-outgoing ${p1.class??p0.class}`"),
    "aria-label": "Phone Outgoing Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "23 7 23 1 17 1"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "16",
      y1: "8",
      x2: "23",
      y2: "1"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M22 16.92v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"
    }, null, 3, null)
  ], 3, "9c_0");
}, "phone_outgoing_icon_component_0LP0HrmP36I"));
const phoneIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-phone ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-phone ${p1.class??p0.class}`"),
    "aria-label": "Phone Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M22 16.92v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"
  }, null, 3, null), 3, "wO_0");
}, "phone_icon_component_oO0GnHlu4s4"));
const pieChartIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-pie-chart ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-pie-chart ${p1.class??p0.class}`"),
    "aria-label": "Pie Chart Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M21.21 15.89A10 10 0 1 1 8 2.83"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M22 12A10 10 0 0 0 12 2v10z"
    }, null, 3, null)
  ], 3, "nd_0");
}, "pie_chart_icon_component_mfXKLNBM8r4"));
const playCircleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-play-circle ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-play-circle ${p1.class??p0.class}`"),
    "aria-label": "Play Circle Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "10 8 16 12 10 16 10 8"
    }, null, 3, null)
  ], 3, "4b_0");
}, "play_circle_icon_component_0snBHoYdcU8"));
const playIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-play ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-play ${p1.class??p0.class}`"),
    "aria-label": "Play Icon"
  }, /* @__PURE__ */ qwik._jsxQ("polygon", null, {
    points: "5 3 19 12 5 21 5 3"
  }, null, 3, null), 3, "dx_0");
}, "play_icon_component_bx0q8PTcKU8"));
const plusCircleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-plus-circle ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-plus-circle ${p1.class??p0.class}`"),
    "aria-label": "Plus Circle Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "8",
      x2: "12",
      y2: "16"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "12",
      x2: "16",
      y2: "12"
    }, null, 3, null)
  ], 3, "Hd_0");
}, "plus_circle_icon_component_SGh1rsVJu0Q"));
const plusSquareIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-plus-square ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-plus-square ${p1.class??p0.class}`"),
    "aria-label": "Plus Square Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "3",
      y: "3",
      width: "18",
      height: "18",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "8",
      x2: "12",
      y2: "16"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "12",
      x2: "16",
      y2: "12"
    }, null, 3, null)
  ], 3, "Tj_0");
}, "plus_square_icon_component_MhwGihWpm0k"));
const plusIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-plus ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-plus ${p1.class??p0.class}`"),
    "aria-label": "Plus Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "5",
      x2: "12",
      y2: "19"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "5",
      y1: "12",
      x2: "19",
      y2: "12"
    }, null, 3, null)
  ], 3, "I1_0");
}, "plus_icon_component_AI008SC4xqI"));
const pocketIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-pocket ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-pocket ${p1.class??p0.class}`"),
    "aria-label": "Pocket Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M4 3h16a2 2 0 0 1 2 2v6a10 10 0 0 1-10 10A10 10 0 0 1 2 11V5a2 2 0 0 1 2-2z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "8 10 12 14 16 10"
    }, null, 3, null)
  ], 3, "rc_0");
}, "pocket_icon_component_cZbhVJeQw6k"));
const powerIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-power ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-power ${p1.class??p0.class}`"),
    "aria-label": "Power Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M18.36 6.64a9 9 0 1 1-12.73 0"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "2",
      x2: "12",
      y2: "12"
    }, null, 3, null)
  ], 3, "v2_0");
}, "power_icon_component_OTqaagSqGjw"));
const printerIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-printer ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-printer ${p1.class??p0.class}`"),
    "aria-label": "Printer Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "6 9 6 2 18 2 18 9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M6 18H4a2 2 0 0 1-2-2v-5a2 2 0 0 1 2-2h16a2 2 0 0 1 2 2v5a2 2 0 0 1-2 2h-2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "6",
      y: "14",
      width: "12",
      height: "8"
    }, null, 3, null)
  ], 3, "VE_0");
}, "printer_icon_component_VGoFMYoSS7U"));
const radioIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-radio ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-radio ${p1.class??p0.class}`"),
    "aria-label": "Radio Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M16.24 7.76a6 6 0 0 1 0 8.49m-8.48-.01a6 6 0 0 1 0-8.49m11.31-2.82a10 10 0 0 1 0 14.14m-14.14 0a10 10 0 0 1 0-14.14"
    }, null, 3, null)
  ], 3, "Iy_0");
}, "radio_icon_component_fYYrif5CQoI"));
const refreshCcwIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-refresh-ccw ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-refresh-ccw ${p1.class??p0.class}`"),
    "aria-label": "Refresh Ccw Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "1 4 1 10 7 10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "23 20 23 14 17 14"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M20.49 9A9 9 0 0 0 5.64 5.64L1 10m22 4l-4.64 4.36A9 9 0 0 1 3.51 15"
    }, null, 3, null)
  ], 3, "dd_0");
}, "refresh_ccw_icon_component_DE7g1DgPyBE"));
const refreshCwIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-refresh-cw ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-refresh-cw ${p1.class??p0.class}`"),
    "aria-label": "Refresh Cw Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "23 4 23 10 17 10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "1 20 1 14 7 14"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M3.51 9a9 9 0 0 1 14.85-3.36L23 10M1 14l4.64 4.36A9 9 0 0 0 20.49 15"
    }, null, 3, null)
  ], 3, "dQ_0");
}, "refresh_cw_icon_component_i0QUp0J7ScU"));
const repeatIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-repeat ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-repeat ${p1.class??p0.class}`"),
    "aria-label": "Repeat Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "17 1 21 5 17 9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M3 11V9a4 4 0 0 1 4-4h14"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "7 23 3 19 7 15"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M21 13v2a4 4 0 0 1-4 4H3"
    }, null, 3, null)
  ], 3, "z7_0");
}, "repeat_icon_component_WuVZHEQn1Zg"));
const rewindIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-rewind ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-rewind ${p1.class??p0.class}`"),
    "aria-label": "Rewind Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "11 19 2 12 11 5 11 19"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "22 19 13 12 22 5 22 19"
    }, null, 3, null)
  ], 3, "68_0");
}, "rewind_icon_component_xTHRgE8rRMo"));
const rotateCcwIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-rotate-ccw ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-rotate-ccw ${p1.class??p0.class}`"),
    "aria-label": "Rotate Ccw Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "1 4 1 10 7 10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M3.51 15a9 9 0 1 0 2.13-9.36L1 10"
    }, null, 3, null)
  ], 3, "wA_0");
}, "rotate_ccw_icon_component_UeIu774QHmo"));
const rotateCwIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-rotate-cw ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-rotate-cw ${p1.class??p0.class}`"),
    "aria-label": "Rotate Cw Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "23 4 23 10 17 10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M20.49 15a9 9 0 1 1-2.12-9.36L23 10"
    }, null, 3, null)
  ], 3, "Yg_0");
}, "rotate_cw_icon_component_chGu77yq0mg"));
const rssIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-rss ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-rss ${p1.class??p0.class}`"),
    "aria-label": "Rss Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M4 11a9 9 0 0 1 9 9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M4 4a16 16 0 0 1 16 16"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "5",
      cy: "19",
      r: "1"
    }, null, 3, null)
  ], 3, "SE_0");
}, "rss_icon_component_QXJ3AELaxzM"));
const saveIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-save ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-save ${p1.class??p0.class}`"),
    "aria-label": "Save Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M19 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h11l5 5v11a2 2 0 0 1-2 2z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "17 21 17 13 7 13 7 21"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "7 3 7 8 15 8"
    }, null, 3, null)
  ], 3, "0g_0");
}, "save_icon_component_56quE6IJc6Q"));
const scissorsIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-scissors ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-scissors ${p1.class??p0.class}`"),
    "aria-label": "Scissors Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "6",
      cy: "6",
      r: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "6",
      cy: "18",
      r: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "20",
      y1: "4",
      x2: "8.12",
      y2: "15.88"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "14.47",
      y1: "14.48",
      x2: "20",
      y2: "20"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8.12",
      y1: "8.12",
      x2: "12",
      y2: "12"
    }, null, 3, null)
  ], 3, "Wz_0");
}, "scissors_icon_component_QLM3NnWGeoI"));
const searchIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-search ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-search ${p1.class??p0.class}`"),
    "aria-label": "Search Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "11",
      cy: "11",
      r: "8"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21",
      y1: "21",
      x2: "16.65",
      y2: "16.65"
    }, null, 3, null)
  ], 3, "YS_0");
}, "search_icon_component_ItfOBQ7NSr0"));
const sendIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-send ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-send ${p1.class??p0.class}`"),
    "aria-label": "Send Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "22",
      y1: "2",
      x2: "11",
      y2: "13"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "22 2 15 22 11 13 2 9 22 2"
    }, null, 3, null)
  ], 3, "kc_0");
}, "send_icon_component_huyEm71pP7s"));
const serverIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-server ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-server ${p1.class??p0.class}`"),
    "aria-label": "Server Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "2",
      y: "2",
      width: "20",
      height: "8",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "2",
      y: "14",
      width: "20",
      height: "8",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "6",
      y1: "6",
      x2: "6.01",
      y2: "6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "6",
      y1: "18",
      x2: "6.01",
      y2: "18"
    }, null, 3, null)
  ], 3, "94_0");
}, "server_icon_component_FValvy1PM0w"));
const settingsIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-settings ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-settings ${p1.class??p0.class}`"),
    "aria-label": "Settings Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M19.4 15a1.65 1.65 0 0 0 .33 1.82l.06.06a2 2 0 0 1 0 2.83 2 2 0 0 1-2.83 0l-.06-.06a1.65 1.65 0 0 0-1.82-.33 1.65 1.65 0 0 0-1 1.51V21a2 2 0 0 1-2 2 2 2 0 0 1-2-2v-.09A1.65 1.65 0 0 0 9 19.4a1.65 1.65 0 0 0-1.82.33l-.06.06a2 2 0 0 1-2.83 0 2 2 0 0 1 0-2.83l.06-.06a1.65 1.65 0 0 0 .33-1.82 1.65 1.65 0 0 0-1.51-1H3a2 2 0 0 1-2-2 2 2 0 0 1 2-2h.09A1.65 1.65 0 0 0 4.6 9a1.65 1.65 0 0 0-.33-1.82l-.06-.06a2 2 0 0 1 0-2.83 2 2 0 0 1 2.83 0l.06.06a1.65 1.65 0 0 0 1.82.33H9a1.65 1.65 0 0 0 1-1.51V3a2 2 0 0 1 2-2 2 2 0 0 1 2 2v.09a1.65 1.65 0 0 0 1 1.51 1.65 1.65 0 0 0 1.82-.33l.06-.06a2 2 0 0 1 2.83 0 2 2 0 0 1 0 2.83l-.06.06a1.65 1.65 0 0 0-.33 1.82V9a1.65 1.65 0 0 0 1.51 1H21a2 2 0 0 1 2 2 2 2 0 0 1-2 2h-.09a1.65 1.65 0 0 0-1.51 1z"
    }, null, 3, null)
  ], 3, "ut_0");
}, "settings_icon_component_BDP66sb59CU"));
const share2Icon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-share-2 ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-share-2 ${p1.class??p0.class}`"),
    "aria-label": "Share 2 Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "18",
      cy: "5",
      r: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "6",
      cy: "12",
      r: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "18",
      cy: "19",
      r: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8.59",
      y1: "13.51",
      x2: "15.42",
      y2: "17.49"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "15.41",
      y1: "6.51",
      x2: "8.59",
      y2: "10.49"
    }, null, 3, null)
  ], 3, "dx_0");
}, "share_2_icon_component_iXcHCkZwQ0E"));
const shareIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-share ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-share ${p1.class??p0.class}`"),
    "aria-label": "Share Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M4 12v8a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2v-8"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "16 6 12 2 8 6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "2",
      x2: "12",
      y2: "15"
    }, null, 3, null)
  ], 3, "m2_0");
}, "share_icon_component_whn71TTjNrY"));
const shieldOffIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-shield-off ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-shield-off ${p1.class??p0.class}`"),
    "aria-label": "Shield Off Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M19.69 14a6.9 6.9 0 0 0 .31-2V5l-8-3-3.16 1.18"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M4.73 4.73L4 5v7c0 6 8 10 8 10a20.29 20.29 0 0 0 5.62-4.38"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "1",
      y1: "1",
      x2: "23",
      y2: "23"
    }, null, 3, null)
  ], 3, "vM_0");
}, "shield_off_icon_component_04KLGowJGKw"));
const shieldIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-shield ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-shield ${p1.class??p0.class}`"),
    "aria-label": "Shield Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M12 22s8-4 8-10V5l-8-3-8 3v7c0 6 8 10 8 10z"
  }, null, 3, null), 3, "Ia_0");
}, "shield_icon_component_vlclKQRcAQ8"));
const shoppingBagIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-shopping-bag ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-shopping-bag ${p1.class??p0.class}`"),
    "aria-label": "Shopping Bag Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M6 2L3 6v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2V6l-3-4z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "3",
      y1: "6",
      x2: "21",
      y2: "6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M16 10a4 4 0 0 1-8 0"
    }, null, 3, null)
  ], 3, "nF_0");
}, "shopping_bag_icon_component_tepe2rYeDWA"));
const shoppingCartIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-shopping-cart ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-shopping-cart ${p1.class??p0.class}`"),
    "aria-label": "Shopping Cart Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "9",
      cy: "21",
      r: "1"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "20",
      cy: "21",
      r: "1"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M1 1h4l2.68 13.39a2 2 0 0 0 2 1.61h9.72a2 2 0 0 0 2-1.61L23 6H6"
    }, null, 3, null)
  ], 3, "mN_0");
}, "shopping_cart_icon_component_rF9mzYzFS0c"));
const shuffleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-shuffle ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-shuffle ${p1.class??p0.class}`"),
    "aria-label": "Shuffle Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "16 3 21 3 21 8"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "4",
      y1: "20",
      x2: "21",
      y2: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "21 16 21 21 16 21"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "15",
      y1: "15",
      x2: "21",
      y2: "21"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "4",
      y1: "4",
      x2: "9",
      y2: "9"
    }, null, 3, null)
  ], 3, "0v_0");
}, "shuffle_icon_component_QAozVyVqJME"));
const sidebarIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-sidebar ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-sidebar ${p1.class??p0.class}`"),
    "aria-label": "Sidebar Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "3",
      y: "3",
      width: "18",
      height: "18",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "9",
      y1: "3",
      x2: "9",
      y2: "21"
    }, null, 3, null)
  ], 3, "R1_0");
}, "sidebar_icon_component_p0ypDiA8Kzo"));
const skipBackIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-skip-back ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-skip-back ${p1.class??p0.class}`"),
    "aria-label": "Skip Back Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "19 20 9 12 19 4 19 20"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "5",
      y1: "19",
      x2: "5",
      y2: "5"
    }, null, 3, null)
  ], 3, "hy_0");
}, "skip_back_icon_component_DupYAVx10Cg"));
const skipForwardIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-skip-forward ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-skip-forward ${p1.class??p0.class}`"),
    "aria-label": "Skip Forward Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "5 4 15 12 5 20 5 4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "19",
      y1: "5",
      x2: "19",
      y2: "19"
    }, null, 3, null)
  ], 3, "ca_0");
}, "skip_forward_icon_component_yhkr000yudI"));
const slackIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-slack ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-slack ${p1.class??p0.class}`"),
    "aria-label": "Slack Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M14.5 10c-.83 0-1.5-.67-1.5-1.5v-5c0-.83.67-1.5 1.5-1.5s1.5.67 1.5 1.5v5c0 .83-.67 1.5-1.5 1.5z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M20.5 10H19V8.5c0-.83.67-1.5 1.5-1.5s1.5.67 1.5 1.5-.67 1.5-1.5 1.5z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M9.5 14c.83 0 1.5.67 1.5 1.5v5c0 .83-.67 1.5-1.5 1.5S8 21.33 8 20.5v-5c0-.83.67-1.5 1.5-1.5z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M3.5 14H5v1.5c0 .83-.67 1.5-1.5 1.5S2 16.33 2 15.5 2.67 14 3.5 14z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M14 14.5c0-.83.67-1.5 1.5-1.5h5c.83 0 1.5.67 1.5 1.5s-.67 1.5-1.5 1.5h-5c-.83 0-1.5-.67-1.5-1.5z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M15.5 19H14v1.5c0 .83.67 1.5 1.5 1.5s1.5-.67 1.5-1.5-.67-1.5-1.5-1.5z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M10 9.5C10 8.67 9.33 8 8.5 8h-5C2.67 8 2 8.67 2 9.5S2.67 11 3.5 11h5c.83 0 1.5-.67 1.5-1.5z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M8.5 5H10V3.5C10 2.67 9.33 2 8.5 2S7 2.67 7 3.5 7.67 5 8.5 5z"
    }, null, 3, null)
  ], 3, "Jj_0");
}, "slack_icon_component_96wqGcxg02o"));
const slashIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-slash ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-slash ${p1.class??p0.class}`"),
    "aria-label": "Slash Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "4.93",
      y1: "4.93",
      x2: "19.07",
      y2: "19.07"
    }, null, 3, null)
  ], 3, "nB_0");
}, "slash_icon_component_zs3NZsN7iIc"));
const slidersIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-sliders ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-sliders ${p1.class??p0.class}`"),
    "aria-label": "Sliders Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "4",
      y1: "21",
      x2: "4",
      y2: "14"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "4",
      y1: "10",
      x2: "4",
      y2: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "21",
      x2: "12",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "8",
      x2: "12",
      y2: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "20",
      y1: "21",
      x2: "20",
      y2: "16"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "20",
      y1: "12",
      x2: "20",
      y2: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "1",
      y1: "14",
      x2: "7",
      y2: "14"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "9",
      y1: "8",
      x2: "15",
      y2: "8"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "17",
      y1: "16",
      x2: "23",
      y2: "16"
    }, null, 3, null)
  ], 3, "RO_0");
}, "sliders_icon_component_ERFUQA1LLcg"));
const smartphoneIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-smartphone ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-smartphone ${p1.class??p0.class}`"),
    "aria-label": "Smartphone Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "5",
      y: "2",
      width: "14",
      height: "20",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "18",
      x2: "12.01",
      y2: "18"
    }, null, 3, null)
  ], 3, "ra_0");
}, "smartphone_icon_component_IuTjF0f4O1A"));
const smileIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-smile ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-smile ${p1.class??p0.class}`"),
    "aria-label": "Smile Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M8 14s1.5 2 4 2 4-2 4-2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "9",
      y1: "9",
      x2: "9.01",
      y2: "9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "15",
      y1: "9",
      x2: "15.01",
      y2: "9"
    }, null, 3, null)
  ], 3, "vk_0");
}, "smile_icon_component_QbWQVECWLLI"));
const speakerIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-speaker ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-speaker ${p1.class??p0.class}`"),
    "aria-label": "Speaker Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "4",
      y: "2",
      width: "16",
      height: "20",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "14",
      r: "4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "6",
      x2: "12.01",
      y2: "6"
    }, null, 3, null)
  ], 3, "pl_0");
}, "speaker_icon_component_8qaF6Ef4AO0"));
const squareIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-square ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-square ${p1.class??p0.class}`"),
    "aria-label": "Square Icon"
  }, /* @__PURE__ */ qwik._jsxQ("rect", null, {
    x: "3",
    y: "3",
    width: "18",
    height: "18",
    rx: "2",
    ry: "2"
  }, null, 3, null), 3, "eJ_0");
}, "square_icon_component_4RAoyU5dKL0"));
const starIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-star ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-star ${p1.class??p0.class}`"),
    "aria-label": "Star Icon"
  }, /* @__PURE__ */ qwik._jsxQ("polygon", null, {
    points: "12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2"
  }, null, 3, null), 3, "dK_0");
}, "star_icon_component_9VVAhHoZwrA"));
const stopCircleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-stop-circle ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-stop-circle ${p1.class??p0.class}`"),
    "aria-label": "Stop Circle Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "9",
      y: "9",
      width: "6",
      height: "6"
    }, null, 3, null)
  ], 3, "zl_0");
}, "stop_circle_icon_component_wUHDJAic4cE"));
const sunIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-sun ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-sun ${p1.class??p0.class}`"),
    "aria-label": "Sun Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "1",
      x2: "12",
      y2: "3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "21",
      x2: "12",
      y2: "23"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "4.22",
      y1: "4.22",
      x2: "5.64",
      y2: "5.64"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "18.36",
      y1: "18.36",
      x2: "19.78",
      y2: "19.78"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "1",
      y1: "12",
      x2: "3",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21",
      y1: "12",
      x2: "23",
      y2: "12"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "4.22",
      y1: "19.78",
      x2: "5.64",
      y2: "18.36"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "18.36",
      y1: "5.64",
      x2: "19.78",
      y2: "4.22"
    }, null, 3, null)
  ], 3, "Va_0");
}, "sun_icon_component_oBOVs5DaReo"));
const sunriseIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-sunrise ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-sunrise ${p1.class??p0.class}`"),
    "aria-label": "Sunrise Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M17 18a5 5 0 0 0-10 0"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "2",
      x2: "12",
      y2: "9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "4.22",
      y1: "10.22",
      x2: "5.64",
      y2: "11.64"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "1",
      y1: "18",
      x2: "3",
      y2: "18"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21",
      y1: "18",
      x2: "23",
      y2: "18"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "18.36",
      y1: "11.64",
      x2: "19.78",
      y2: "10.22"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "23",
      y1: "22",
      x2: "1",
      y2: "22"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "8 6 12 2 16 6"
    }, null, 3, null)
  ], 3, "tI_0");
}, "sunrise_icon_component_p4vEji1075M"));
const sunsetIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-sunset ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-sunset ${p1.class??p0.class}`"),
    "aria-label": "Sunset Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M17 18a5 5 0 0 0-10 0"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "9",
      x2: "12",
      y2: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "4.22",
      y1: "10.22",
      x2: "5.64",
      y2: "11.64"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "1",
      y1: "18",
      x2: "3",
      y2: "18"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21",
      y1: "18",
      x2: "23",
      y2: "18"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "18.36",
      y1: "11.64",
      x2: "19.78",
      y2: "10.22"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "23",
      y1: "22",
      x2: "1",
      y2: "22"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "16 5 12 9 8 5"
    }, null, 3, null)
  ], 3, "jk_0");
}, "sunset_icon_component_67HPqEOifpQ"));
const tableIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-table ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-table ${p1.class??p0.class}`"),
    "aria-label": "Table Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M9 3H5a2 2 0 0 0-2 2v4m6-6h10a2 2 0 0 1 2 2v4M9 3v18m0 0h10a2 2 0 0 0 2-2V9M9 21H5a2 2 0 0 1-2-2V9m0 0h18"
  }, null, 3, null), 3, "n3_0");
}, "table_icon_component_bAOeUvqORYM"));
const tabletIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-tablet ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-tablet ${p1.class??p0.class}`"),
    "aria-label": "Tablet Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "4",
      y: "2",
      width: "16",
      height: "20",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "18",
      x2: "12.01",
      y2: "18"
    }, null, 3, null)
  ], 3, "MU_0");
}, "tablet_icon_component_7T74wM0W4T4"));
const tagIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-tag ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-tag ${p1.class??p0.class}`"),
    "aria-label": "Tag Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M20.59 13.41l-7.17 7.17a2 2 0 0 1-2.83 0L2 12V2h10l8.59 8.59a2 2 0 0 1 0 2.82z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "7",
      y1: "7",
      x2: "7.01",
      y2: "7"
    }, null, 3, null)
  ], 3, "Rm_0");
}, "tag_icon_component_ZlduZ0oPplY"));
const targetIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-target ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-target ${p1.class??p0.class}`"),
    "aria-label": "Target Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "2"
    }, null, 3, null)
  ], 3, "tJ_0");
}, "target_icon_component_RgrjBM0C6Fs"));
const terminalIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-terminal ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-terminal ${p1.class??p0.class}`"),
    "aria-label": "Terminal Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "4 17 10 11 4 5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "19",
      x2: "20",
      y2: "19"
    }, null, 3, null)
  ], 3, "A0_0");
}, "terminal_icon_component_znZXmq0kAJ4"));
const thermometerIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-thermometer ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-thermometer ${p1.class??p0.class}`"),
    "aria-label": "Thermometer Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M14 14.76V3.5a2.5 2.5 0 0 0-5 0v11.26a4.5 4.5 0 1 0 5 0z"
  }, null, 3, null), 3, "u8_0");
}, "thermometer_icon_component_ioPStJIZGac"));
const thumbsDownIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-thumbs-down ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-thumbs-down ${p1.class??p0.class}`"),
    "aria-label": "Thumbs Down Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M10 15v4a3 3 0 0 0 3 3l4-9V2H5.72a2 2 0 0 0-2 1.7l-1.38 9a2 2 0 0 0 2 2.3zm7-13h2.67A2.31 2.31 0 0 1 22 4v7a2.31 2.31 0 0 1-2.33 2H17"
  }, null, 3, null), 3, "Ao_0");
}, "thumbs_down_icon_component_0bNCrCt9igs"));
const thumbsUpIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-thumbs-up ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-thumbs-up ${p1.class??p0.class}`"),
    "aria-label": "Thumbs Up Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M14 9V5a3 3 0 0 0-3-3l-4 9v11h11.28a2 2 0 0 0 2-1.7l1.38-9a2 2 0 0 0-2-2.3zM7 22H4a2 2 0 0 1-2-2v-7a2 2 0 0 1 2-2h3"
  }, null, 3, null), 3, "go_0");
}, "thumbs_up_icon_component_Vir0G1NmF28"));
const toggleLeftIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-toggle-left ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-toggle-left ${p1.class??p0.class}`"),
    "aria-label": "Toggle Left Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "1",
      y: "5",
      width: "22",
      height: "14",
      rx: "7",
      ry: "7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "8",
      cy: "12",
      r: "3"
    }, null, 3, null)
  ], 3, "FB_0");
}, "toggle_left_icon_component_jC02h1vQVeE"));
const toggleRightIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-toggle-right ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-toggle-right ${p1.class??p0.class}`"),
    "aria-label": "Toggle Right Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "1",
      y: "5",
      width: "22",
      height: "14",
      rx: "7",
      ry: "7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "16",
      cy: "12",
      r: "3"
    }, null, 3, null)
  ], 3, "qE_0");
}, "toggle_right_icon_component_kCZ7FwWKcoY"));
const toolIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-tool ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-tool ${p1.class??p0.class}`"),
    "aria-label": "Tool Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M14.7 6.3a1 1 0 0 0 0 1.4l1.6 1.6a1 1 0 0 0 1.4 0l3.77-3.77a6 6 0 0 1-7.94 7.94l-6.91 6.91a2.12 2.12 0 0 1-3-3l6.91-6.91a6 6 0 0 1 7.94-7.94l-3.76 3.76z"
  }, null, 3, null), 3, "8W_0");
}, "tool_icon_component_mWOU0gA2cAI"));
const trash2Icon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-trash-2 ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-trash-2 ${p1.class??p0.class}`"),
    "aria-label": "Trash 2 Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "3 6 5 6 21 6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "10",
      y1: "11",
      x2: "10",
      y2: "17"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "14",
      y1: "11",
      x2: "14",
      y2: "17"
    }, null, 3, null)
  ], 3, "Di_0");
}, "trash_2_icon_component_CghZusc872Q"));
const trashIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-trash ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-trash ${p1.class??p0.class}`"),
    "aria-label": "Trash Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "3 6 5 6 21 6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"
    }, null, 3, null)
  ], 3, "9q_0");
}, "trash_icon_component_LdFhURSaiOk"));
const trelloIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-trello ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-trello ${p1.class??p0.class}`"),
    "aria-label": "Trello Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "3",
      y: "3",
      width: "18",
      height: "18",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "7",
      y: "7",
      width: "3",
      height: "9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "14",
      y: "7",
      width: "3",
      height: "5"
    }, null, 3, null)
  ], 3, "7W_0");
}, "trello_icon_component_LR6Hsb5ZHkI"));
const trendingDownIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-trending-down ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-trending-down ${p1.class??p0.class}`"),
    "aria-label": "Trending Down Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "23 18 13.5 8.5 8.5 13.5 1 6"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "17 18 23 18 23 12"
    }, null, 3, null)
  ], 3, "IJ_0");
}, "trending_down_icon_component_D88wo9SHJ9k"));
const trendingUpIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-trending-up ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-trending-up ${p1.class??p0.class}`"),
    "aria-label": "Trending Up Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "23 6 13.5 15.5 8.5 10.5 1 18"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "17 6 23 6 23 12"
    }, null, 3, null)
  ], 3, "Sg_0");
}, "trending_up_icon_component_qRlwnbRhF0Y"));
const triangleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-triangle ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-triangle ${p1.class??p0.class}`"),
    "aria-label": "Triangle Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M10.29 3.86L1.82 18a2 2 0 0 0 1.71 3h16.94a2 2 0 0 0 1.71-3L13.71 3.86a2 2 0 0 0-3.42 0z"
  }, null, 3, null), 3, "NE_0");
}, "triangle_icon_component_JvdWZOa9QHs"));
const truckIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-truck ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-truck ${p1.class??p0.class}`"),
    "aria-label": "Truck Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "1",
      y: "3",
      width: "15",
      height: "13"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "16 8 20 8 23 11 23 16 16 16 16 8"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "5.5",
      cy: "18.5",
      r: "2.5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "18.5",
      cy: "18.5",
      r: "2.5"
    }, null, 3, null)
  ], 3, "1T_0");
}, "truck_icon_component_XYAPCjr4wm8"));
const tvIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-tv ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-tv ${p1.class??p0.class}`"),
    "aria-label": "Tv Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "2",
      y: "7",
      width: "20",
      height: "15",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "17 2 12 7 7 2"
    }, null, 3, null)
  ], 3, "2A_0");
}, "tv_icon_component_ddYDaKVIefs"));
const twitchIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-twitch ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-twitch ${p1.class??p0.class}`"),
    "aria-label": "Twitch Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M21 2H3v16h5v4l4-4h5l4-4V2zm-10 9V7m5 4V7"
  }, null, 3, null), 3, "F3_0");
}, "twitch_icon_component_UNu79M0kP9I"));
const twitterIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-twitter ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-twitter ${p1.class??p0.class}`"),
    "aria-label": "Twitter Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M23 3a10.9 10.9 0 0 1-3.14 1.53 4.48 4.48 0 0 0-7.86 3v1A10.66 10.66 0 0 1 3 4s-4 9 5 13a11.64 11.64 0 0 1-7 2c9 5 20 0 20-11.5a4.5 4.5 0 0 0-.08-.83A7.72 7.72 0 0 0 23 3z"
  }, null, 3, null), 3, "R0_0");
}, "twitter_icon_component_3Y7USEm6XME"));
const typeIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-type ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-type ${p1.class??p0.class}`"),
    "aria-label": "Type Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "4 7 4 4 20 4 20 7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "9",
      y1: "20",
      x2: "15",
      y2: "20"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "4",
      x2: "12",
      y2: "20"
    }, null, 3, null)
  ], 3, "s3_0");
}, "type_icon_component_gZFg7b0k5jE"));
const umbrellaIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-umbrella ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-umbrella ${p1.class??p0.class}`"),
    "aria-label": "Umbrella Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M23 12a11.05 11.05 0 0 0-22 0zm-5 7a3 3 0 0 1-6 0v-7"
  }, null, 3, null), 3, "1a_0");
}, "umbrella_icon_component_1XvEhyvf00g"));
const underlineIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-underline ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-underline ${p1.class??p0.class}`"),
    "aria-label": "Underline Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M6 3v7a6 6 0 0 0 6 6 6 6 0 0 0 6-6V3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "4",
      y1: "21",
      x2: "20",
      y2: "21"
    }, null, 3, null)
  ], 3, "h6_0");
}, "underline_icon_component_kNC2yOcGoaU"));
const unlockIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-unlock ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-unlock ${p1.class??p0.class}`"),
    "aria-label": "Unlock Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "3",
      y: "11",
      width: "18",
      height: "11",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M7 11V7a5 5 0 0 1 9.9-1"
    }, null, 3, null)
  ], 3, "cG_0");
}, "unlock_icon_component_gBf70hlEoXQ"));
const uploadCloudIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-upload-cloud ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-upload-cloud ${p1.class??p0.class}`"),
    "aria-label": "Upload Cloud Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "16 16 12 12 8 16"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "12",
      x2: "12",
      y2: "21"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M20.39 18.39A5 5 0 0 0 18 9h-1.26A8 8 0 1 0 3 16.3"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "16 16 12 12 8 16"
    }, null, 3, null)
  ], 3, "tL_0");
}, "upload_cloud_icon_component_38oQvfXhe0c"));
const uploadIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-upload ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-upload ${p1.class??p0.class}`"),
    "aria-label": "Upload Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M21 15v4a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "17 8 12 3 7 8"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "3",
      x2: "12",
      y2: "15"
    }, null, 3, null)
  ], 3, "u2_0");
}, "upload_icon_component_MNspUd7Ev9w"));
const userCheckIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-user-check ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-user-check ${p1.class??p0.class}`"),
    "aria-label": "User Check Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M16 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "8.5",
      cy: "7",
      r: "4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "17 11 19 13 23 9"
    }, null, 3, null)
  ], 3, "Zn_0");
}, "user_check_icon_component_HFDVhr5x2VA"));
const userMinusIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-user-minus ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-user-minus ${p1.class??p0.class}`"),
    "aria-label": "User Minus Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M16 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "8.5",
      cy: "7",
      r: "4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "23",
      y1: "11",
      x2: "17",
      y2: "11"
    }, null, 3, null)
  ], 3, "aK_0");
}, "user_minus_icon_component_S5P3VMCUW44"));
const userPlusIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-user-plus ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-user-plus ${p1.class??p0.class}`"),
    "aria-label": "User Plus Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M16 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "8.5",
      cy: "7",
      r: "4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "20",
      y1: "8",
      x2: "20",
      y2: "14"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "23",
      y1: "11",
      x2: "17",
      y2: "11"
    }, null, 3, null)
  ], 3, "0S_0");
}, "user_plus_icon_component_HzhB0DUhzUU"));
const userXIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-user-x ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-user-x ${p1.class??p0.class}`"),
    "aria-label": "User X Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M16 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "8.5",
      cy: "7",
      r: "4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "18",
      y1: "8",
      x2: "23",
      y2: "13"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "23",
      y1: "8",
      x2: "18",
      y2: "13"
    }, null, 3, null)
  ], 3, "kX_0");
}, "user_x_icon_component_tOEf1ANtkxI"));
const userIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-user ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-user ${p1.class??p0.class}`"),
    "aria-label": "User Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "7",
      r: "4"
    }, null, 3, null)
  ], 3, "3n_0");
}, "user_icon_component_wF3CqMKJNc0"));
const usersIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-users ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-users ${p1.class??p0.class}`"),
    "aria-label": "Users Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M17 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "9",
      cy: "7",
      r: "4"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M23 21v-2a4 4 0 0 0-3-3.87"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M16 3.13a4 4 0 0 1 0 7.75"
    }, null, 3, null)
  ], 3, "c1_0");
}, "users_icon_component_vbR2Vh70NIA"));
const videoOffIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-video-off ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-video-off ${p1.class??p0.class}`"),
    "aria-label": "Video Off Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M16 16v1a2 2 0 0 1-2 2H3a2 2 0 0 1-2-2V7a2 2 0 0 1 2-2h2m5.66 0H14a2 2 0 0 1 2 2v3.34l1 1L23 7v10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "1",
      y1: "1",
      x2: "23",
      y2: "23"
    }, null, 3, null)
  ], 3, "2z_0");
}, "video_off_icon_component_0yTWfKAmb0c"));
const videoIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-video ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-video ${p1.class??p0.class}`"),
    "aria-label": "Video Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "23 7 16 12 23 17 23 7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "1",
      y: "5",
      width: "15",
      height: "14",
      rx: "2",
      ry: "2"
    }, null, 3, null)
  ], 3, "Vo_0");
}, "video_icon_component_JEZSIOvOxKg"));
const voicemailIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-voicemail ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-voicemail ${p1.class??p0.class}`"),
    "aria-label": "Voicemail Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "5.5",
      cy: "11.5",
      r: "4.5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "18.5",
      cy: "11.5",
      r: "4.5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "5.5",
      y1: "16",
      x2: "18.5",
      y2: "16"
    }, null, 3, null)
  ], 3, "wK_0");
}, "voicemail_icon_component_cGrBqYjkqLw"));
const volume1Icon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-volume-1 ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-volume-1 ${p1.class??p0.class}`"),
    "aria-label": "Volume 1 Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "11 5 6 9 2 9 2 15 6 15 11 19 11 5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M15.54 8.46a5 5 0 0 1 0 7.07"
    }, null, 3, null)
  ], 3, "3c_0");
}, "volume_1_icon_component_MVaxPRX0hH4"));
const volume2Icon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-volume-2 ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-volume-2 ${p1.class??p0.class}`"),
    "aria-label": "Volume 2 Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "11 5 6 9 2 9 2 15 6 15 11 19 11 5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M19.07 4.93a10 10 0 0 1 0 14.14M15.54 8.46a5 5 0 0 1 0 7.07"
    }, null, 3, null)
  ], 3, "Xg_0");
}, "volume_2_icon_component_xPT6xAB1GNM"));
const volumeXIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-volume-x ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-volume-x ${p1.class??p0.class}`"),
    "aria-label": "Volume X Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "11 5 6 9 2 9 2 15 6 15 11 19 11 5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "23",
      y1: "9",
      x2: "17",
      y2: "15"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "17",
      y1: "9",
      x2: "23",
      y2: "15"
    }, null, 3, null)
  ], 3, "sx_0");
}, "volume_x_icon_component_opF70exdarw"));
const volumeIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-volume ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-volume ${p1.class??p0.class}`"),
    "aria-label": "Volume Icon"
  }, /* @__PURE__ */ qwik._jsxQ("polygon", null, {
    points: "11 5 6 9 2 9 2 15 6 15 11 19 11 5"
  }, null, 3, null), 3, "NR_0");
}, "volume_icon_component_5DMdbS0ZyVo"));
const watchIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-watch ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-watch ${p1.class??p0.class}`"),
    "aria-label": "Watch Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "7"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "12 9 12 12 13.5 13.5"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M16.51 17.35l-.35 3.83a2 2 0 0 1-2 1.82H9.83a2 2 0 0 1-2-1.82l-.35-3.83m.01-10.7l.35-3.83A2 2 0 0 1 9.83 1h4.35a2 2 0 0 1 2 1.82l.35 3.83"
    }, null, 3, null)
  ], 3, "PH_0");
}, "watch_icon_component_PIDgbDtPiL8"));
const wifiOffIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-wifi-off ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-wifi-off ${p1.class??p0.class}`"),
    "aria-label": "Wifi Off Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "1",
      y1: "1",
      x2: "23",
      y2: "23"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M16.72 11.06A10.94 10.94 0 0 1 19 12.55"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M5 12.55a10.94 10.94 0 0 1 5.17-2.39"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M10.71 5.05A16 16 0 0 1 22.58 9"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M1.42 9a15.91 15.91 0 0 1 4.7-2.88"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M8.53 16.11a6 6 0 0 1 6.95 0"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "20",
      x2: "12.01",
      y2: "20"
    }, null, 3, null)
  ], 3, "UI_0");
}, "wifi_off_icon_component_mIcd3lg3jns"));
const wifiIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-wifi ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-wifi ${p1.class??p0.class}`"),
    "aria-label": "Wifi Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M5 12.55a11 11 0 0 1 14.08 0"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M1.42 9a16 16 0 0 1 21.16 0"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M8.53 16.11a6 6 0 0 1 6.95 0"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "12",
      y1: "20",
      x2: "12.01",
      y2: "20"
    }, null, 3, null)
  ], 3, "Gi_0");
}, "wifi_icon_component_vpJZN0ODWp0"));
const windIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-wind ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-wind ${p1.class??p0.class}`"),
    "aria-label": "Wind Icon"
  }, /* @__PURE__ */ qwik._jsxQ("path", null, {
    d: "M9.59 4.59A2 2 0 1 1 11 8H2m10.59 11.41A2 2 0 1 0 14 16H2m15.73-8.27A2.5 2.5 0 1 1 19.5 12H2"
  }, null, 3, null), 3, "Gj_0");
}, "wind_icon_component_sKoXVcMBNAU"));
const xCircleIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-x-circle ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-x-circle ${p1.class??p0.class}`"),
    "aria-label": "X Circle Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "12",
      cy: "12",
      r: "10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "15",
      y1: "9",
      x2: "9",
      y2: "15"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "9",
      y1: "9",
      x2: "15",
      y2: "15"
    }, null, 3, null)
  ], 3, "uu_0");
}, "x_circle_icon_component_gqoL0x1UKRE"));
const xOctagonIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-x-octagon ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-x-octagon ${p1.class??p0.class}`"),
    "aria-label": "X Octagon Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "7.86 2 16.14 2 22 7.86 22 16.14 16.14 22 7.86 22 2 16.14 2 7.86 7.86 2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "15",
      y1: "9",
      x2: "9",
      y2: "15"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "9",
      y1: "9",
      x2: "15",
      y2: "15"
    }, null, 3, null)
  ], 3, "1x_0");
}, "x_octagon_icon_component_haEzrHZ2qaA"));
const xSquareIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-x-square ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-x-square ${p1.class??p0.class}`"),
    "aria-label": "X Square Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("rect", null, {
      x: "3",
      y: "3",
      width: "18",
      height: "18",
      rx: "2",
      ry: "2"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "9",
      y1: "9",
      x2: "15",
      y2: "15"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "15",
      y1: "9",
      x2: "9",
      y2: "15"
    }, null, 3, null)
  ], 3, "z9_0");
}, "x_square_icon_component_os0q4h2WwE8"));
const xIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-x ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-x ${p1.class??p0.class}`"),
    "aria-label": "X Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "18",
      y1: "6",
      x2: "6",
      y2: "18"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "6",
      y1: "6",
      x2: "18",
      y2: "18"
    }, null, 3, null)
  ], 3, "Y4_0");
}, "x_icon_component_IA0thcC4A4Q"));
const youtubeIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-youtube ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-youtube ${p1.class??p0.class}`"),
    "aria-label": "Youtube Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("path", null, {
      d: "M22.54 6.42a2.78 2.78 0 0 0-1.94-2C18.88 4 12 4 12 4s-6.88 0-8.6.46a2.78 2.78 0 0 0-1.94 2A29 29 0 0 0 1 11.75a29 29 0 0 0 .46 5.33A2.78 2.78 0 0 0 3.4 19c1.72.46 8.6.46 8.6.46s6.88 0 8.6-.46a2.78 2.78 0 0 0 1.94-2 29 29 0 0 0 .46-5.25 29 29 0 0 0-.46-5.33z"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polygon", null, {
      points: "9.75 15.02 15.5 11.75 9.75 8.48 9.75 15.02"
    }, null, 3, null)
  ], 3, "MS_0");
}, "youtube_icon_component_QJll0pheqMA"));
const zapOffIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-zap-off ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-zap-off ${p1.class??p0.class}`"),
    "aria-label": "Zap Off Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "12.41 6.75 13 2 10.57 4.92"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "18.57 12.91 21 10 15.66 10"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("polyline", null, {
      points: "8 8 3 14 12 14 11 22 16 16"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "1",
      y1: "1",
      x2: "23",
      y2: "23"
    }, null, 3, null)
  ], 3, "xn_0");
}, "zap_off_icon_component_rnG0JEfP4uA"));
const zapIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-zap ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-zap ${p1.class??p0.class}`"),
    "aria-label": "Zap Icon"
  }, /* @__PURE__ */ qwik._jsxQ("polygon", null, {
    points: "13 2 3 14 12 14 11 22 21 10 12 10 13 2"
  }, null, 3, null), 3, "pP_0");
}, "zap_icon_component_vVPTvgz0fXY"));
const zoomInIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-zoom-in ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-zoom-in ${p1.class??p0.class}`"),
    "aria-label": "Zoom In Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "11",
      cy: "11",
      r: "8"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21",
      y1: "21",
      x2: "16.65",
      y2: "16.65"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "11",
      y1: "8",
      x2: "11",
      y2: "14"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "11",
      x2: "14",
      y2: "11"
    }, null, 3, null)
  ], 3, "vx_0");
}, "zoom_in_icon_component_HRACk3YLrxI"));
const zoomOutIcon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-zoom-out ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-zoom-out ${p1.class??p0.class}`"),
    "aria-label": "Zoom Out Icon"
  }, [
    /* @__PURE__ */ qwik._jsxQ("circle", null, {
      cx: "11",
      cy: "11",
      r: "8"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "21",
      y1: "21",
      x2: "16.65",
      y2: "16.65"
    }, null, 3, null),
    /* @__PURE__ */ qwik._jsxQ("line", null, {
      x1: "8",
      y1: "11",
      x2: "14",
      y2: "11"
    }, null, 3, null)
  ], 3, "C5_0");
}, "zoom_out_icon_component_RVTKdZ5orGo"));
const IconContentMap = {
  "activity": `<polyline points="22 12 18 12 15 21 9 3 6 12 2 12"></polyline>`,
  "airplay": `<path d="M5 17H4a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h16a2 2 0 0 1 2 2v10a2 2 0 0 1-2 2h-1"></path><polygon points="12 15 17 21 7 21 12 15"></polygon>`,
  "alert-circle": `<circle cx="12" cy="12" r="10"></circle><line x1="12" y1="8" x2="12" y2="12"></line><line x1="12" y1="16" x2="12.01" y2="16"></line>`,
  "alert-octagon": `<polygon points="7.86 2 16.14 2 22 7.86 22 16.14 16.14 22 7.86 22 2 16.14 2 7.86 7.86 2"></polygon><line x1="12" y1="8" x2="12" y2="12"></line><line x1="12" y1="16" x2="12.01" y2="16"></line>`,
  "alert-triangle": `<path d="M10.29 3.86L1.82 18a2 2 0 0 0 1.71 3h16.94a2 2 0 0 0 1.71-3L13.71 3.86a2 2 0 0 0-3.42 0z"></path><line x1="12" y1="9" x2="12" y2="13"></line><line x1="12" y1="17" x2="12.01" y2="17"></line>`,
  "align-center": `<line x1="18" y1="10" x2="6" y2="10"></line><line x1="21" y1="6" x2="3" y2="6"></line><line x1="21" y1="14" x2="3" y2="14"></line><line x1="18" y1="18" x2="6" y2="18"></line>`,
  "align-justify": `<line x1="21" y1="10" x2="3" y2="10"></line><line x1="21" y1="6" x2="3" y2="6"></line><line x1="21" y1="14" x2="3" y2="14"></line><line x1="21" y1="18" x2="3" y2="18"></line>`,
  "align-left": `<line x1="17" y1="10" x2="3" y2="10"></line><line x1="21" y1="6" x2="3" y2="6"></line><line x1="21" y1="14" x2="3" y2="14"></line><line x1="17" y1="18" x2="3" y2="18"></line>`,
  "align-right": `<line x1="21" y1="10" x2="7" y2="10"></line><line x1="21" y1="6" x2="3" y2="6"></line><line x1="21" y1="14" x2="3" y2="14"></line><line x1="21" y1="18" x2="7" y2="18"></line>`,
  "anchor": `<circle cx="12" cy="5" r="3"></circle><line x1="12" y1="22" x2="12" y2="8"></line><path d="M5 12H2a10 10 0 0 0 20 0h-3"></path>`,
  "aperture": `<circle cx="12" cy="12" r="10"></circle><line x1="14.31" y1="8" x2="20.05" y2="17.94"></line><line x1="9.69" y1="8" x2="21.17" y2="8"></line><line x1="7.38" y1="12" x2="13.12" y2="2.06"></line><line x1="9.69" y1="16" x2="3.95" y2="6.06"></line><line x1="14.31" y1="16" x2="2.83" y2="16"></line><line x1="16.62" y1="12" x2="10.88" y2="21.94"></line>`,
  "archive": `<polyline points="21 8 21 21 3 21 3 8"></polyline><rect x="1" y="3" width="22" height="5"></rect><line x1="10" y1="12" x2="14" y2="12"></line>`,
  "arrow-down-circle": `<circle cx="12" cy="12" r="10"></circle><polyline points="8 12 12 16 16 12"></polyline><line x1="12" y1="8" x2="12" y2="16"></line>`,
  "arrow-down-left": `<line x1="17" y1="7" x2="7" y2="17"></line><polyline points="17 17 7 17 7 7"></polyline>`,
  "arrow-down-right": `<line x1="7" y1="7" x2="17" y2="17"></line><polyline points="17 7 17 17 7 17"></polyline>`,
  "arrow-down": `<line x1="12" y1="5" x2="12" y2="19"></line><polyline points="19 12 12 19 5 12"></polyline>`,
  "arrow-left-circle": `<circle cx="12" cy="12" r="10"></circle><polyline points="12 8 8 12 12 16"></polyline><line x1="16" y1="12" x2="8" y2="12"></line>`,
  "arrow-left": `<line x1="19" y1="12" x2="5" y2="12"></line><polyline points="12 19 5 12 12 5"></polyline>`,
  "arrow-right-circle": `<circle cx="12" cy="12" r="10"></circle><polyline points="12 16 16 12 12 8"></polyline><line x1="8" y1="12" x2="16" y2="12"></line>`,
  "arrow-right": `<line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline>`,
  "arrow-up-circle": `<circle cx="12" cy="12" r="10"></circle><polyline points="16 12 12 8 8 12"></polyline><line x1="12" y1="16" x2="12" y2="8"></line>`,
  "arrow-up-left": `<line x1="17" y1="17" x2="7" y2="7"></line><polyline points="7 17 7 7 17 7"></polyline>`,
  "arrow-up-right": `<line x1="7" y1="17" x2="17" y2="7"></line><polyline points="7 7 17 7 17 17"></polyline>`,
  "arrow-up": `<line x1="12" y1="19" x2="12" y2="5"></line><polyline points="5 12 12 5 19 12"></polyline>`,
  "at-sign": `<circle cx="12" cy="12" r="4"></circle><path d="M16 8v5a3 3 0 0 0 6 0v-1a10 10 0 1 0-3.92 7.94"></path>`,
  "award": `<circle cx="12" cy="8" r="7"></circle><polyline points="8.21 13.89 7 23 12 20 17 23 15.79 13.88"></polyline>`,
  "bar-chart-2": `<line x1="18" y1="20" x2="18" y2="10"></line><line x1="12" y1="20" x2="12" y2="4"></line><line x1="6" y1="20" x2="6" y2="14"></line>`,
  "bar-chart": `<line x1="12" y1="20" x2="12" y2="10"></line><line x1="18" y1="20" x2="18" y2="4"></line><line x1="6" y1="20" x2="6" y2="16"></line>`,
  "battery-charging": `<path d="M5 18H3a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h3.19M15 6h2a2 2 0 0 1 2 2v8a2 2 0 0 1-2 2h-3.19"></path><line x1="23" y1="13" x2="23" y2="11"></line><polyline points="11 6 7 12 13 12 9 18"></polyline>`,
  "battery": `<rect x="1" y="6" width="18" height="12" rx="2" ry="2"></rect><line x1="23" y1="13" x2="23" y2="11"></line>`,
  "bell-off": `<path d="M13.73 21a2 2 0 0 1-3.46 0"></path><path d="M18.63 13A17.89 17.89 0 0 1 18 8"></path><path d="M6.26 6.26A5.86 5.86 0 0 0 6 8c0 7-3 9-3 9h14"></path><path d="M18 8a6 6 0 0 0-9.33-5"></path><line x1="1" y1="1" x2="23" y2="23"></line>`,
  "bell": `<path d="M18 8A6 6 0 0 0 6 8c0 7-3 9-3 9h18s-3-2-3-9"></path><path d="M13.73 21a2 2 0 0 1-3.46 0"></path>`,
  "bluetooth": `<polyline points="6.5 6.5 17.5 17.5 12 23 12 1 17.5 6.5 6.5 17.5"></polyline>`,
  "bold": `<path d="M6 4h8a4 4 0 0 1 4 4 4 4 0 0 1-4 4H6z"></path><path d="M6 12h9a4 4 0 0 1 4 4 4 4 0 0 1-4 4H6z"></path>`,
  "book-open": `<path d="M2 3h6a4 4 0 0 1 4 4v14a3 3 0 0 0-3-3H2z"></path><path d="M22 3h-6a4 4 0 0 0-4 4v14a3 3 0 0 1 3-3h7z"></path>`,
  "book": `<path d="M4 19.5A2.5 2.5 0 0 1 6.5 17H20"></path><path d="M6.5 2H20v20H6.5A2.5 2.5 0 0 1 4 19.5v-15A2.5 2.5 0 0 1 6.5 2z"></path>`,
  "bookmark": `<path d="M19 21l-7-5-7 5V5a2 2 0 0 1 2-2h10a2 2 0 0 1 2 2z"></path>`,
  "box": `<path d="M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z"></path><polyline points="3.27 6.96 12 12.01 20.73 6.96"></polyline><line x1="12" y1="22.08" x2="12" y2="12"></line>`,
  "briefcase": `<rect x="2" y="7" width="20" height="14" rx="2" ry="2"></rect><path d="M16 21V5a2 2 0 0 0-2-2h-4a2 2 0 0 0-2 2v16"></path>`,
  "calendar": `<rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect><line x1="16" y1="2" x2="16" y2="6"></line><line x1="8" y1="2" x2="8" y2="6"></line><line x1="3" y1="10" x2="21" y2="10"></line>`,
  "camera-off": `<line x1="1" y1="1" x2="23" y2="23"></line><path d="M21 21H3a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h3m3-3h6l2 3h4a2 2 0 0 1 2 2v9.34m-7.72-2.06a4 4 0 1 1-5.56-5.56"></path>`,
  "camera": `<path d="M23 19a2 2 0 0 1-2 2H3a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h4l2-3h6l2 3h4a2 2 0 0 1 2 2z"></path><circle cx="12" cy="13" r="4"></circle>`,
  "cast": `<path d="M2 16.1A5 5 0 0 1 5.9 20M2 12.05A9 9 0 0 1 9.95 20M2 8V6a2 2 0 0 1 2-2h16a2 2 0 0 1 2 2v12a2 2 0 0 1-2 2h-6"></path><line x1="2" y1="20" x2="2.01" y2="20"></line>`,
  "check-circle": `<path d="M22 11.08V12a10 10 0 1 1-5.93-9.14"></path><polyline points="22 4 12 14.01 9 11.01"></polyline>`,
  "check-square": `<polyline points="9 11 12 14 22 4"></polyline><path d="M21 12v7a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h11"></path>`,
  "check": `<polyline points="20 6 9 17 4 12"></polyline>`,
  "chevron-down": `<polyline points="6 9 12 15 18 9"></polyline>`,
  "chevron-left": `<polyline points="15 18 9 12 15 6"></polyline>`,
  "chevron-right": `<polyline points="9 18 15 12 9 6"></polyline>`,
  "chevron-up": `<polyline points="18 15 12 9 6 15"></polyline>`,
  "chevrons-down": `<polyline points="7 13 12 18 17 13"></polyline><polyline points="7 6 12 11 17 6"></polyline>`,
  "chevrons-left": `<polyline points="11 17 6 12 11 7"></polyline><polyline points="18 17 13 12 18 7"></polyline>`,
  "chevrons-right": `<polyline points="13 17 18 12 13 7"></polyline><polyline points="6 17 11 12 6 7"></polyline>`,
  "chevrons-up": `<polyline points="17 11 12 6 7 11"></polyline><polyline points="17 18 12 13 7 18"></polyline>`,
  "chrome": `<circle cx="12" cy="12" r="10"></circle><circle cx="12" cy="12" r="4"></circle><line x1="21.17" y1="8" x2="12" y2="8"></line><line x1="3.95" y1="6.06" x2="8.54" y2="14"></line><line x1="10.88" y1="21.94" x2="15.46" y2="14"></line>`,
  "circle": `<circle cx="12" cy="12" r="10"></circle>`,
  "clipboard": `<path d="M16 4h2a2 2 0 0 1 2 2v14a2 2 0 0 1-2 2H6a2 2 0 0 1-2-2V6a2 2 0 0 1 2-2h2"></path><rect x="8" y="2" width="8" height="4" rx="1" ry="1"></rect>`,
  "clock": `<circle cx="12" cy="12" r="10"></circle><polyline points="12 6 12 12 16 14"></polyline>`,
  "cloud-drizzle": `<line x1="8" y1="19" x2="8" y2="21"></line><line x1="8" y1="13" x2="8" y2="15"></line><line x1="16" y1="19" x2="16" y2="21"></line><line x1="16" y1="13" x2="16" y2="15"></line><line x1="12" y1="21" x2="12" y2="23"></line><line x1="12" y1="15" x2="12" y2="17"></line><path d="M20 16.58A5 5 0 0 0 18 7h-1.26A8 8 0 1 0 4 15.25"></path>`,
  "cloud-lightning": `<path d="M19 16.9A5 5 0 0 0 18 7h-1.26a8 8 0 1 0-11.62 9"></path><polyline points="13 11 9 17 15 17 11 23"></polyline>`,
  "cloud-off": `<path d="M22.61 16.95A5 5 0 0 0 18 10h-1.26a8 8 0 0 0-7.05-6M5 5a8 8 0 0 0 4 15h9a5 5 0 0 0 1.7-.3"></path><line x1="1" y1="1" x2="23" y2="23"></line>`,
  "cloud-rain": `<line x1="16" y1="13" x2="16" y2="21"></line><line x1="8" y1="13" x2="8" y2="21"></line><line x1="12" y1="15" x2="12" y2="23"></line><path d="M20 16.58A5 5 0 0 0 18 7h-1.26A8 8 0 1 0 4 15.25"></path>`,
  "cloud-snow": `<path d="M20 17.58A5 5 0 0 0 18 8h-1.26A8 8 0 1 0 4 16.25"></path><line x1="8" y1="16" x2="8.01" y2="16"></line><line x1="8" y1="20" x2="8.01" y2="20"></line><line x1="12" y1="18" x2="12.01" y2="18"></line><line x1="12" y1="22" x2="12.01" y2="22"></line><line x1="16" y1="16" x2="16.01" y2="16"></line><line x1="16" y1="20" x2="16.01" y2="20"></line>`,
  "cloud": `<path d="M18 10h-1.26A8 8 0 1 0 9 20h9a5 5 0 0 0 0-10z"></path>`,
  "code": `<polyline points="16 18 22 12 16 6"></polyline><polyline points="8 6 2 12 8 18"></polyline>`,
  "codepen": `<polygon points="12 2 22 8.5 22 15.5 12 22 2 15.5 2 8.5 12 2"></polygon><line x1="12" y1="22" x2="12" y2="15.5"></line><polyline points="22 8.5 12 15.5 2 8.5"></polyline><polyline points="2 15.5 12 8.5 22 15.5"></polyline><line x1="12" y1="2" x2="12" y2="8.5"></line>`,
  "codesandbox": `<path d="M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z"></path><polyline points="7.5 4.21 12 6.81 16.5 4.21"></polyline><polyline points="7.5 19.79 7.5 14.6 3 12"></polyline><polyline points="21 12 16.5 14.6 16.5 19.79"></polyline><polyline points="3.27 6.96 12 12.01 20.73 6.96"></polyline><line x1="12" y1="22.08" x2="12" y2="12"></line>`,
  "coffee": `<path d="M18 8h1a4 4 0 0 1 0 8h-1"></path><path d="M2 8h16v9a4 4 0 0 1-4 4H6a4 4 0 0 1-4-4V8z"></path><line x1="6" y1="1" x2="6" y2="4"></line><line x1="10" y1="1" x2="10" y2="4"></line><line x1="14" y1="1" x2="14" y2="4"></line>`,
  "columns": `<path d="M12 3h7a2 2 0 0 1 2 2v14a2 2 0 0 1-2 2h-7m0-18H5a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h7m0-18v18"></path>`,
  "command": `<path d="M18 3a3 3 0 0 0-3 3v12a3 3 0 0 0 3 3 3 3 0 0 0 3-3 3 3 0 0 0-3-3H6a3 3 0 0 0-3 3 3 3 0 0 0 3 3 3 3 0 0 0 3-3V6a3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3h12a3 3 0 0 0 3-3 3 3 0 0 0-3-3z"></path>`,
  "compass": `<circle cx="12" cy="12" r="10"></circle><polygon points="16.24 7.76 14.12 14.12 7.76 16.24 9.88 9.88 16.24 7.76"></polygon>`,
  "copy": `<rect x="9" y="9" width="13" height="13" rx="2" ry="2"></rect><path d="M5 15H4a2 2 0 0 1-2-2V4a2 2 0 0 1 2-2h9a2 2 0 0 1 2 2v1"></path>`,
  "corner-down-left": `<polyline points="9 10 4 15 9 20"></polyline><path d="M20 4v7a4 4 0 0 1-4 4H4"></path>`,
  "corner-down-right": `<polyline points="15 10 20 15 15 20"></polyline><path d="M4 4v7a4 4 0 0 0 4 4h12"></path>`,
  "corner-left-down": `<polyline points="14 15 9 20 4 15"></polyline><path d="M20 4h-7a4 4 0 0 0-4 4v12"></path>`,
  "corner-left-up": `<polyline points="14 9 9 4 4 9"></polyline><path d="M20 20h-7a4 4 0 0 1-4-4V4"></path>`,
  "corner-right-down": `<polyline points="10 15 15 20 20 15"></polyline><path d="M4 4h7a4 4 0 0 1 4 4v12"></path>`,
  "corner-right-up": `<polyline points="10 9 15 4 20 9"></polyline><path d="M4 20h7a4 4 0 0 0 4-4V4"></path>`,
  "corner-up-left": `<polyline points="9 14 4 9 9 4"></polyline><path d="M20 20v-7a4 4 0 0 0-4-4H4"></path>`,
  "corner-up-right": `<polyline points="15 14 20 9 15 4"></polyline><path d="M4 20v-7a4 4 0 0 1 4-4h12"></path>`,
  "cpu": `<rect x="4" y="4" width="16" height="16" rx="2" ry="2"></rect><rect x="9" y="9" width="6" height="6"></rect><line x1="9" y1="1" x2="9" y2="4"></line><line x1="15" y1="1" x2="15" y2="4"></line><line x1="9" y1="20" x2="9" y2="23"></line><line x1="15" y1="20" x2="15" y2="23"></line><line x1="20" y1="9" x2="23" y2="9"></line><line x1="20" y1="14" x2="23" y2="14"></line><line x1="1" y1="9" x2="4" y2="9"></line><line x1="1" y1="14" x2="4" y2="14"></line>`,
  "credit-card": `<rect x="1" y="4" width="22" height="16" rx="2" ry="2"></rect><line x1="1" y1="10" x2="23" y2="10"></line>`,
  "crop": `<path d="M6.13 1L6 16a2 2 0 0 0 2 2h15"></path><path d="M1 6.13L16 6a2 2 0 0 1 2 2v15"></path>`,
  "crosshair": `<circle cx="12" cy="12" r="10"></circle><line x1="22" y1="12" x2="18" y2="12"></line><line x1="6" y1="12" x2="2" y2="12"></line><line x1="12" y1="6" x2="12" y2="2"></line><line x1="12" y1="22" x2="12" y2="18"></line>`,
  "database": `<ellipse cx="12" cy="5" rx="9" ry="3"></ellipse><path d="M21 12c0 1.66-4 3-9 3s-9-1.34-9-3"></path><path d="M3 5v14c0 1.66 4 3 9 3s9-1.34 9-3V5"></path>`,
  "delete": `<path d="M21 4H8l-7 8 7 8h13a2 2 0 0 0 2-2V6a2 2 0 0 0-2-2z"></path><line x1="18" y1="9" x2="12" y2="15"></line><line x1="12" y1="9" x2="18" y2="15"></line>`,
  "disc": `<circle cx="12" cy="12" r="10"></circle><circle cx="12" cy="12" r="3"></circle>`,
  "divide-circle": `<line x1="8" y1="12" x2="16" y2="12"></line><line x1="12" y1="16" x2="12" y2="16"></line><line x1="12" y1="8" x2="12" y2="8"></line><circle cx="12" cy="12" r="10"></circle>`,
  "divide-square": `<rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect><line x1="8" y1="12" x2="16" y2="12"></line><line x1="12" y1="16" x2="12" y2="16"></line><line x1="12" y1="8" x2="12" y2="8"></line>`,
  "divide": `<circle cx="12" cy="6" r="2"></circle><line x1="5" y1="12" x2="19" y2="12"></line><circle cx="12" cy="18" r="2"></circle>`,
  "dollar-sign": `<line x1="12" y1="1" x2="12" y2="23"></line><path d="M17 5H9.5a3.5 3.5 0 0 0 0 7h5a3.5 3.5 0 0 1 0 7H6"></path>`,
  "download-cloud": `<polyline points="8 17 12 21 16 17"></polyline><line x1="12" y1="12" x2="12" y2="21"></line><path d="M20.88 18.09A5 5 0 0 0 18 9h-1.26A8 8 0 1 0 3 16.29"></path>`,
  "download": `<path d="M21 15v4a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-4"></path><polyline points="7 10 12 15 17 10"></polyline><line x1="12" y1="15" x2="12" y2="3"></line>`,
  "dribbble": `<circle cx="12" cy="12" r="10"></circle><path d="M8.56 2.75c4.37 6.03 6.02 9.42 8.03 17.72m2.54-15.38c-3.72 4.35-8.94 5.66-16.88 5.85m19.5 1.9c-3.5-.93-6.63-.82-8.94 0-2.58.92-5.01 2.86-7.44 6.32"></path>`,
  "droplet": `<path d="M12 2.69l5.66 5.66a8 8 0 1 1-11.31 0z"></path>`,
  "edit-2": `<path d="M17 3a2.828 2.828 0 1 1 4 4L7.5 20.5 2 22l1.5-5.5L17 3z"></path>`,
  "edit-3": `<path d="M12 20h9"></path><path d="M16.5 3.5a2.121 2.121 0 0 1 3 3L7 19l-4 1 1-4L16.5 3.5z"></path>`,
  "edit": `<path d="M11 4H4a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2v-7"></path><path d="M18.5 2.5a2.121 2.121 0 0 1 3 3L12 15l-4 1 1-4 9.5-9.5z"></path>`,
  "external-link": `<path d="M18 13v6a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h6"></path><polyline points="15 3 21 3 21 9"></polyline><line x1="10" y1="14" x2="21" y2="3"></line>`,
  "eye-off": `<path d="M17.94 17.94A10.07 10.07 0 0 1 12 20c-7 0-11-8-11-8a18.45 18.45 0 0 1 5.06-5.94M9.9 4.24A9.12 9.12 0 0 1 12 4c7 0 11 8 11 8a18.5 18.5 0 0 1-2.16 3.19m-6.72-1.07a3 3 0 1 1-4.24-4.24"></path><line x1="1" y1="1" x2="23" y2="23"></line>`,
  "eye": `<path d="M1 12s4-8 11-8 11 8 11 8-4 8-11 8-11-8-11-8z"></path><circle cx="12" cy="12" r="3"></circle>`,
  "facebook": `<path d="M18 2h-3a5 5 0 0 0-5 5v3H7v4h3v8h4v-8h3l1-4h-4V7a1 1 0 0 1 1-1h3z"></path>`,
  "fast-forward": `<polygon points="13 19 22 12 13 5 13 19"></polygon><polygon points="2 19 11 12 2 5 2 19"></polygon>`,
  "feather": `<path d="M20.24 12.24a6 6 0 0 0-8.49-8.49L5 10.5V19h8.5z"></path><line x1="16" y1="8" x2="2" y2="22"></line><line x1="17.5" y1="15" x2="9" y2="15"></line>`,
  "figma": `<path d="M5 5.5A3.5 3.5 0 0 1 8.5 2H12v7H8.5A3.5 3.5 0 0 1 5 5.5z"></path><path d="M12 2h3.5a3.5 3.5 0 1 1 0 7H12V2z"></path><path d="M12 12.5a3.5 3.5 0 1 1 7 0 3.5 3.5 0 1 1-7 0z"></path><path d="M5 19.5A3.5 3.5 0 0 1 8.5 16H12v3.5a3.5 3.5 0 1 1-7 0z"></path><path d="M5 12.5A3.5 3.5 0 0 1 8.5 9H12v7H8.5A3.5 3.5 0 0 1 5 12.5z"></path>`,
  "file-minus": `<path d="M14 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V8z"></path><polyline points="14 2 14 8 20 8"></polyline><line x1="9" y1="15" x2="15" y2="15"></line>`,
  "file-plus": `<path d="M14 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V8z"></path><polyline points="14 2 14 8 20 8"></polyline><line x1="12" y1="18" x2="12" y2="12"></line><line x1="9" y1="15" x2="15" y2="15"></line>`,
  "file-text": `<path d="M14 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V8z"></path><polyline points="14 2 14 8 20 8"></polyline><line x1="16" y1="13" x2="8" y2="13"></line><line x1="16" y1="17" x2="8" y2="17"></line><polyline points="10 9 9 9 8 9"></polyline>`,
  "file": `<path d="M13 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V9z"></path><polyline points="13 2 13 9 20 9"></polyline>`,
  "film": `<rect x="2" y="2" width="20" height="20" rx="2.18" ry="2.18"></rect><line x1="7" y1="2" x2="7" y2="22"></line><line x1="17" y1="2" x2="17" y2="22"></line><line x1="2" y1="12" x2="22" y2="12"></line><line x1="2" y1="7" x2="7" y2="7"></line><line x1="2" y1="17" x2="7" y2="17"></line><line x1="17" y1="17" x2="22" y2="17"></line><line x1="17" y1="7" x2="22" y2="7"></line>`,
  "filter": `<polygon points="22 3 2 3 10 12.46 10 19 14 21 14 12.46 22 3"></polygon>`,
  "flag": `<path d="M4 15s1-1 4-1 5 2 8 2 4-1 4-1V3s-1 1-4 1-5-2-8-2-4 1-4 1z"></path><line x1="4" y1="22" x2="4" y2="15"></line>`,
  "folder-minus": `<path d="M22 19a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h5l2 3h9a2 2 0 0 1 2 2z"></path><line x1="9" y1="14" x2="15" y2="14"></line>`,
  "folder-plus": `<path d="M22 19a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h5l2 3h9a2 2 0 0 1 2 2z"></path><line x1="12" y1="11" x2="12" y2="17"></line><line x1="9" y1="14" x2="15" y2="14"></line>`,
  "folder": `<path d="M22 19a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h5l2 3h9a2 2 0 0 1 2 2z"></path>`,
  "framer": `<path d="M5 16V9h14V2H5l14 14h-7m-7 0l7 7v-7m-7 0h7"></path>`,
  "frown": `<circle cx="12" cy="12" r="10"></circle><path d="M16 16s-1.5-2-4-2-4 2-4 2"></path><line x1="9" y1="9" x2="9.01" y2="9"></line><line x1="15" y1="9" x2="15.01" y2="9"></line>`,
  "gift": `<polyline points="20 12 20 22 4 22 4 12"></polyline><rect x="2" y="7" width="20" height="5"></rect><line x1="12" y1="22" x2="12" y2="7"></line><path d="M12 7H7.5a2.5 2.5 0 0 1 0-5C11 2 12 7 12 7z"></path><path d="M12 7h4.5a2.5 2.5 0 0 0 0-5C13 2 12 7 12 7z"></path>`,
  "git-branch": `<line x1="6" y1="3" x2="6" y2="15"></line><circle cx="18" cy="6" r="3"></circle><circle cx="6" cy="18" r="3"></circle><path d="M18 9a9 9 0 0 1-9 9"></path>`,
  "git-commit": `<circle cx="12" cy="12" r="4"></circle><line x1="1.05" y1="12" x2="7" y2="12"></line><line x1="17.01" y1="12" x2="22.96" y2="12"></line>`,
  "git-merge": `<circle cx="18" cy="18" r="3"></circle><circle cx="6" cy="6" r="3"></circle><path d="M6 21V9a9 9 0 0 0 9 9"></path>`,
  "git-pull-request": `<circle cx="18" cy="18" r="3"></circle><circle cx="6" cy="6" r="3"></circle><path d="M13 6h3a2 2 0 0 1 2 2v7"></path><line x1="6" y1="9" x2="6" y2="21"></line>`,
  "github": `<path d="M9 19c-5 1.5-5-2.5-7-3m14 6v-3.87a3.37 3.37 0 0 0-.94-2.61c3.14-.35 6.44-1.54 6.44-7A5.44 5.44 0 0 0 20 4.77 5.07 5.07 0 0 0 19.91 1S18.73.65 16 2.48a13.38 13.38 0 0 0-7 0C6.27.65 5.09 1 5.09 1A5.07 5.07 0 0 0 5 4.77a5.44 5.44 0 0 0-1.5 3.78c0 5.42 3.3 6.61 6.44 7A3.37 3.37 0 0 0 9 18.13V22"></path>`,
  "gitlab": `<path d="M22.65 14.39L12 22.13 1.35 14.39a.84.84 0 0 1-.3-.94l1.22-3.78 2.44-7.51A.42.42 0 0 1 4.82 2a.43.43 0 0 1 .58 0 .42.42 0 0 1 .11.18l2.44 7.49h8.1l2.44-7.51A.42.42 0 0 1 18.6 2a.43.43 0 0 1 .58 0 .42.42 0 0 1 .11.18l2.44 7.51L23 13.45a.84.84 0 0 1-.35.94z"></path>`,
  "globe": `<circle cx="12" cy="12" r="10"></circle><line x1="2" y1="12" x2="22" y2="12"></line><path d="M12 2a15.3 15.3 0 0 1 4 10 15.3 15.3 0 0 1-4 10 15.3 15.3 0 0 1-4-10 15.3 15.3 0 0 1 4-10z"></path>`,
  "grid": `<rect x="3" y="3" width="7" height="7"></rect><rect x="14" y="3" width="7" height="7"></rect><rect x="14" y="14" width="7" height="7"></rect><rect x="3" y="14" width="7" height="7"></rect>`,
  "hard-drive": `<line x1="22" y1="12" x2="2" y2="12"></line><path d="M5.45 5.11L2 12v6a2 2 0 0 0 2 2h16a2 2 0 0 0 2-2v-6l-3.45-6.89A2 2 0 0 0 16.76 4H7.24a2 2 0 0 0-1.79 1.11z"></path><line x1="6" y1="16" x2="6.01" y2="16"></line><line x1="10" y1="16" x2="10.01" y2="16"></line>`,
  "hash": `<line x1="4" y1="9" x2="20" y2="9"></line><line x1="4" y1="15" x2="20" y2="15"></line><line x1="10" y1="3" x2="8" y2="21"></line><line x1="16" y1="3" x2="14" y2="21"></line>`,
  "headphones": `<path d="M3 18v-6a9 9 0 0 1 18 0v6"></path><path d="M21 19a2 2 0 0 1-2 2h-1a2 2 0 0 1-2-2v-3a2 2 0 0 1 2-2h3zM3 19a2 2 0 0 0 2 2h1a2 2 0 0 0 2-2v-3a2 2 0 0 0-2-2H3z"></path>`,
  "heart": `<path d="M20.84 4.61a5.5 5.5 0 0 0-7.78 0L12 5.67l-1.06-1.06a5.5 5.5 0 0 0-7.78 7.78l1.06 1.06L12 21.23l7.78-7.78 1.06-1.06a5.5 5.5 0 0 0 0-7.78z"></path>`,
  "help-circle": `<circle cx="12" cy="12" r="10"></circle><path d="M9.09 9a3 3 0 0 1 5.83 1c0 2-3 3-3 3"></path><line x1="12" y1="17" x2="12.01" y2="17"></line>`,
  "hexagon": `<path d="M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z"></path>`,
  "home": `<path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline>`,
  "image": `<rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect><circle cx="8.5" cy="8.5" r="1.5"></circle><polyline points="21 15 16 10 5 21"></polyline>`,
  "inbox": `<polyline points="22 12 16 12 14 15 10 15 8 12 2 12"></polyline><path d="M5.45 5.11L2 12v6a2 2 0 0 0 2 2h16a2 2 0 0 0 2-2v-6l-3.45-6.89A2 2 0 0 0 16.76 4H7.24a2 2 0 0 0-1.79 1.11z"></path>`,
  "info": `<circle cx="12" cy="12" r="10"></circle><line x1="12" y1="16" x2="12" y2="12"></line><line x1="12" y1="8" x2="12.01" y2="8"></line>`,
  "instagram": `<rect x="2" y="2" width="20" height="20" rx="5" ry="5"></rect><path d="M16 11.37A4 4 0 1 1 12.63 8 4 4 0 0 1 16 11.37z"></path><line x1="17.5" y1="6.5" x2="17.51" y2="6.5"></line>`,
  "italic": `<line x1="19" y1="4" x2="10" y2="4"></line><line x1="14" y1="20" x2="5" y2="20"></line><line x1="15" y1="4" x2="9" y2="20"></line>`,
  "key": `<path d="M21 2l-2 2m-7.61 7.61a5.5 5.5 0 1 1-7.778 7.778 5.5 5.5 0 0 1 7.777-7.777zm0 0L15.5 7.5m0 0l3 3L22 7l-3-3m-3.5 3.5L19 4"></path>`,
  "layers": `<polygon points="12 2 2 7 12 12 22 7 12 2"></polygon><polyline points="2 17 12 22 22 17"></polyline><polyline points="2 12 12 17 22 12"></polyline>`,
  "layout": `<rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect><line x1="3" y1="9" x2="21" y2="9"></line><line x1="9" y1="21" x2="9" y2="9"></line>`,
  "life-buoy": `<circle cx="12" cy="12" r="10"></circle><circle cx="12" cy="12" r="4"></circle><line x1="4.93" y1="4.93" x2="9.17" y2="9.17"></line><line x1="14.83" y1="14.83" x2="19.07" y2="19.07"></line><line x1="14.83" y1="9.17" x2="19.07" y2="4.93"></line><line x1="14.83" y1="9.17" x2="18.36" y2="5.64"></line><line x1="4.93" y1="19.07" x2="9.17" y2="14.83"></line>`,
  "link-2": `<path d="M15 7h3a5 5 0 0 1 5 5 5 5 0 0 1-5 5h-3m-6 0H6a5 5 0 0 1-5-5 5 5 0 0 1 5-5h3"></path><line x1="8" y1="12" x2="16" y2="12"></line>`,
  "link": `<path d="M10 13a5 5 0 0 0 7.54.54l3-3a5 5 0 0 0-7.07-7.07l-1.72 1.71"></path><path d="M14 11a5 5 0 0 0-7.54-.54l-3 3a5 5 0 0 0 7.07 7.07l1.71-1.71"></path>`,
  "linkedin": `<path d="M16 8a6 6 0 0 1 6 6v7h-4v-7a2 2 0 0 0-2-2 2 2 0 0 0-2 2v7h-4v-7a6 6 0 0 1 6-6z"></path><rect x="2" y="9" width="4" height="12"></rect><circle cx="4" cy="4" r="2"></circle>`,
  "list": `<line x1="8" y1="6" x2="21" y2="6"></line><line x1="8" y1="12" x2="21" y2="12"></line><line x1="8" y1="18" x2="21" y2="18"></line><line x1="3" y1="6" x2="3.01" y2="6"></line><line x1="3" y1="12" x2="3.01" y2="12"></line><line x1="3" y1="18" x2="3.01" y2="18"></line>`,
  "loader": `<line x1="12" y1="2" x2="12" y2="6"></line><line x1="12" y1="18" x2="12" y2="22"></line><line x1="4.93" y1="4.93" x2="7.76" y2="7.76"></line><line x1="16.24" y1="16.24" x2="19.07" y2="19.07"></line><line x1="2" y1="12" x2="6" y2="12"></line><line x1="18" y1="12" x2="22" y2="12"></line><line x1="4.93" y1="19.07" x2="7.76" y2="16.24"></line><line x1="16.24" y1="7.76" x2="19.07" y2="4.93"></line>`,
  "lock": `<rect x="3" y="11" width="18" height="11" rx="2" ry="2"></rect><path d="M7 11V7a5 5 0 0 1 10 0v4"></path>`,
  "log-in": `<path d="M15 3h4a2 2 0 0 1 2 2v14a2 2 0 0 1-2 2h-4"></path><polyline points="10 17 15 12 10 7"></polyline><line x1="15" y1="12" x2="3" y2="12"></line>`,
  "log-out": `<path d="M9 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h4"></path><polyline points="16 17 21 12 16 7"></polyline><line x1="21" y1="12" x2="9" y2="12"></line>`,
  "mail": `<path d="M4 4h16c1.1 0 2 .9 2 2v12c0 1.1-.9 2-2 2H4c-1.1 0-2-.9-2-2V6c0-1.1.9-2 2-2z"></path><polyline points="22,6 12,13 2,6"></polyline>`,
  "map-pin": `<path d="M21 10c0 7-9 13-9 13s-9-6-9-13a9 9 0 0 1 18 0z"></path><circle cx="12" cy="10" r="3"></circle>`,
  "map": `<polygon points="1 6 1 22 8 18 16 22 23 18 23 2 16 6 8 2 1 6"></polygon><line x1="8" y1="2" x2="8" y2="18"></line><line x1="16" y1="6" x2="16" y2="22"></line>`,
  "maximize-2": `<polyline points="15 3 21 3 21 9"></polyline><polyline points="9 21 3 21 3 15"></polyline><line x1="21" y1="3" x2="14" y2="10"></line><line x1="3" y1="21" x2="10" y2="14"></line>`,
  "maximize": `<path d="M8 3H5a2 2 0 0 0-2 2v3m18 0V5a2 2 0 0 0-2-2h-3m0 18h3a2 2 0 0 0 2-2v-3M3 16v3a2 2 0 0 0 2 2h3"></path>`,
  "meh": `<circle cx="12" cy="12" r="10"></circle><line x1="8" y1="15" x2="16" y2="15"></line><line x1="9" y1="9" x2="9.01" y2="9"></line><line x1="15" y1="9" x2="15.01" y2="9"></line>`,
  "menu": `<line x1="3" y1="12" x2="21" y2="12"></line><line x1="3" y1="6" x2="21" y2="6"></line><line x1="3" y1="18" x2="21" y2="18"></line>`,
  "message-circle": `<path d="M21 11.5a8.38 8.38 0 0 1-.9 3.8 8.5 8.5 0 0 1-7.6 4.7 8.38 8.38 0 0 1-3.8-.9L3 21l1.9-5.7a8.38 8.38 0 0 1-.9-3.8 8.5 8.5 0 0 1 4.7-7.6 8.38 8.38 0 0 1 3.8-.9h.5a8.48 8.48 0 0 1 8 8v.5z"></path>`,
  "message-square": `<path d="M21 15a2 2 0 0 1-2 2H7l-4 4V5a2 2 0 0 1 2-2h14a2 2 0 0 1 2 2z"></path>`,
  "mic-off": `<line x1="1" y1="1" x2="23" y2="23"></line><path d="M9 9v3a3 3 0 0 0 5.12 2.12M15 9.34V4a3 3 0 0 0-5.94-.6"></path><path d="M17 16.95A7 7 0 0 1 5 12v-2m14 0v2a7 7 0 0 1-.11 1.23"></path><line x1="12" y1="19" x2="12" y2="23"></line><line x1="8" y1="23" x2="16" y2="23"></line>`,
  "mic": `<path d="M12 1a3 3 0 0 0-3 3v8a3 3 0 0 0 6 0V4a3 3 0 0 0-3-3z"></path><path d="M19 10v2a7 7 0 0 1-14 0v-2"></path><line x1="12" y1="19" x2="12" y2="23"></line><line x1="8" y1="23" x2="16" y2="23"></line>`,
  "minimize-2": `<polyline points="4 14 10 14 10 20"></polyline><polyline points="20 10 14 10 14 4"></polyline><line x1="14" y1="10" x2="21" y2="3"></line><line x1="3" y1="21" x2="10" y2="14"></line>`,
  "minimize": `<path d="M8 3v3a2 2 0 0 1-2 2H3m18 0h-3a2 2 0 0 1-2-2V3m0 18v-3a2 2 0 0 1 2-2h3M3 16h3a2 2 0 0 1 2 2v3"></path>`,
  "minus-circle": `<circle cx="12" cy="12" r="10"></circle><line x1="8" y1="12" x2="16" y2="12"></line>`,
  "minus-square": `<rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect><line x1="8" y1="12" x2="16" y2="12"></line>`,
  "minus": `<line x1="5" y1="12" x2="19" y2="12"></line>`,
  "monitor": `<rect x="2" y="3" width="20" height="14" rx="2" ry="2"></rect><line x1="8" y1="21" x2="16" y2="21"></line><line x1="12" y1="17" x2="12" y2="21"></line>`,
  "moon": `<path d="M21 12.79A9 9 0 1 1 11.21 3 7 7 0 0 0 21 12.79z"></path>`,
  "more-horizontal": `<circle cx="12" cy="12" r="1"></circle><circle cx="19" cy="12" r="1"></circle><circle cx="5" cy="12" r="1"></circle>`,
  "more-vertical": `<circle cx="12" cy="12" r="1"></circle><circle cx="12" cy="5" r="1"></circle><circle cx="12" cy="19" r="1"></circle>`,
  "mouse-pointer": `<path d="M3 3l7.07 16.97 2.51-7.39 7.39-2.51L3 3z"></path><path d="M13 13l6 6"></path>`,
  "move": `<polyline points="5 9 2 12 5 15"></polyline><polyline points="9 5 12 2 15 5"></polyline><polyline points="15 19 12 22 9 19"></polyline><polyline points="19 9 22 12 19 15"></polyline><line x1="2" y1="12" x2="22" y2="12"></line><line x1="12" y1="2" x2="12" y2="22"></line>`,
  "music": `<path d="M9 18V5l12-2v13"></path><circle cx="6" cy="18" r="3"></circle><circle cx="18" cy="16" r="3"></circle>`,
  "navigation-2": `<polygon points="12 2 19 21 12 17 5 21 12 2"></polygon>`,
  "navigation": `<polygon points="3 11 22 2 13 21 11 13 3 11"></polygon>`,
  "octagon": `<polygon points="7.86 2 16.14 2 22 7.86 22 16.14 16.14 22 7.86 22 2 16.14 2 7.86 7.86 2"></polygon>`,
  "package": `<line x1="16.5" y1="9.4" x2="7.5" y2="4.21"></line><path d="M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z"></path><polyline points="3.27 6.96 12 12.01 20.73 6.96"></polyline><line x1="12" y1="22.08" x2="12" y2="12"></line>`,
  "paperclip": `<path d="M21.44 11.05l-9.19 9.19a6 6 0 0 1-8.49-8.49l9.19-9.19a4 4 0 0 1 5.66 5.66l-9.2 9.19a2 2 0 0 1-2.83-2.83l8.49-8.48"></path>`,
  "pause-circle": `<circle cx="12" cy="12" r="10"></circle><line x1="10" y1="15" x2="10" y2="9"></line><line x1="14" y1="15" x2="14" y2="9"></line>`,
  "pause": `<rect x="6" y="4" width="4" height="16"></rect><rect x="14" y="4" width="4" height="16"></rect>`,
  "pen-tool": `<path d="M12 19l7-7 3 3-7 7-3-3z"></path><path d="M18 13l-1.5-7.5L2 2l3.5 14.5L13 18l5-5z"></path><path d="M2 2l7.586 7.586"></path><circle cx="11" cy="11" r="2"></circle>`,
  "percent": `<line x1="19" y1="5" x2="5" y2="19"></line><circle cx="6.5" cy="6.5" r="2.5"></circle><circle cx="17.5" cy="17.5" r="2.5"></circle>`,
  "phone-call": `<path d="M15.05 5A5 5 0 0 1 19 8.95M15.05 1A9 9 0 0 1 23 8.94m-1 7.98v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"></path>`,
  "phone-forwarded": `<polyline points="19 1 23 5 19 9"></polyline><line x1="15" y1="5" x2="23" y2="5"></line><path d="M22 16.92v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"></path>`,
  "phone-incoming": `<polyline points="16 2 16 8 22 8"></polyline><line x1="23" y1="1" x2="16" y2="8"></line><path d="M22 16.92v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"></path>`,
  "phone-missed": `<line x1="23" y1="1" x2="17" y2="7"></line><line x1="17" y1="1" x2="23" y2="7"></line><path d="M22 16.92v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"></path>`,
  "phone-off": `<path d="M10.68 13.31a16 16 0 0 0 3.41 2.6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7 2 2 0 0 1 1.72 2v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.42 19.42 0 0 1-3.33-2.67m-2.67-3.34a19.79 19.79 0 0 1-3.07-8.63A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91"></path><line x1="23" y1="1" x2="1" y2="23"></line>`,
  "phone-outgoing": `<polyline points="23 7 23 1 17 1"></polyline><line x1="16" y1="8" x2="23" y2="1"></line><path d="M22 16.92v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"></path>`,
  "phone": `<path d="M22 16.92v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"></path>`,
  "pie-chart": `<path d="M21.21 15.89A10 10 0 1 1 8 2.83"></path><path d="M22 12A10 10 0 0 0 12 2v10z"></path>`,
  "play-circle": `<circle cx="12" cy="12" r="10"></circle><polygon points="10 8 16 12 10 16 10 8"></polygon>`,
  "play": `<polygon points="5 3 19 12 5 21 5 3"></polygon>`,
  "plus-circle": `<circle cx="12" cy="12" r="10"></circle><line x1="12" y1="8" x2="12" y2="16"></line><line x1="8" y1="12" x2="16" y2="12"></line>`,
  "plus-square": `<rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect><line x1="12" y1="8" x2="12" y2="16"></line><line x1="8" y1="12" x2="16" y2="12"></line>`,
  "plus": `<line x1="12" y1="5" x2="12" y2="19"></line><line x1="5" y1="12" x2="19" y2="12"></line>`,
  "pocket": `<path d="M4 3h16a2 2 0 0 1 2 2v6a10 10 0 0 1-10 10A10 10 0 0 1 2 11V5a2 2 0 0 1 2-2z"></path><polyline points="8 10 12 14 16 10"></polyline>`,
  "power": `<path d="M18.36 6.64a9 9 0 1 1-12.73 0"></path><line x1="12" y1="2" x2="12" y2="12"></line>`,
  "printer": `<polyline points="6 9 6 2 18 2 18 9"></polyline><path d="M6 18H4a2 2 0 0 1-2-2v-5a2 2 0 0 1 2-2h16a2 2 0 0 1 2 2v5a2 2 0 0 1-2 2h-2"></path><rect x="6" y="14" width="12" height="8"></rect>`,
  "radio": `<circle cx="12" cy="12" r="2"></circle><path d="M16.24 7.76a6 6 0 0 1 0 8.49m-8.48-.01a6 6 0 0 1 0-8.49m11.31-2.82a10 10 0 0 1 0 14.14m-14.14 0a10 10 0 0 1 0-14.14"></path>`,
  "refresh-ccw": `<polyline points="1 4 1 10 7 10"></polyline><polyline points="23 20 23 14 17 14"></polyline><path d="M20.49 9A9 9 0 0 0 5.64 5.64L1 10m22 4l-4.64 4.36A9 9 0 0 1 3.51 15"></path>`,
  "refresh-cw": `<polyline points="23 4 23 10 17 10"></polyline><polyline points="1 20 1 14 7 14"></polyline><path d="M3.51 9a9 9 0 0 1 14.85-3.36L23 10M1 14l4.64 4.36A9 9 0 0 0 20.49 15"></path>`,
  "repeat": `<polyline points="17 1 21 5 17 9"></polyline><path d="M3 11V9a4 4 0 0 1 4-4h14"></path><polyline points="7 23 3 19 7 15"></polyline><path d="M21 13v2a4 4 0 0 1-4 4H3"></path>`,
  "rewind": `<polygon points="11 19 2 12 11 5 11 19"></polygon><polygon points="22 19 13 12 22 5 22 19"></polygon>`,
  "rotate-ccw": `<polyline points="1 4 1 10 7 10"></polyline><path d="M3.51 15a9 9 0 1 0 2.13-9.36L1 10"></path>`,
  "rotate-cw": `<polyline points="23 4 23 10 17 10"></polyline><path d="M20.49 15a9 9 0 1 1-2.12-9.36L23 10"></path>`,
  "rss": `<path d="M4 11a9 9 0 0 1 9 9"></path><path d="M4 4a16 16 0 0 1 16 16"></path><circle cx="5" cy="19" r="1"></circle>`,
  "save": `<path d="M19 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h11l5 5v11a2 2 0 0 1-2 2z"></path><polyline points="17 21 17 13 7 13 7 21"></polyline><polyline points="7 3 7 8 15 8"></polyline>`,
  "scissors": `<circle cx="6" cy="6" r="3"></circle><circle cx="6" cy="18" r="3"></circle><line x1="20" y1="4" x2="8.12" y2="15.88"></line><line x1="14.47" y1="14.48" x2="20" y2="20"></line><line x1="8.12" y1="8.12" x2="12" y2="12"></line>`,
  "search": `<circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line>`,
  "send": `<line x1="22" y1="2" x2="11" y2="13"></line><polygon points="22 2 15 22 11 13 2 9 22 2"></polygon>`,
  "server": `<rect x="2" y="2" width="20" height="8" rx="2" ry="2"></rect><rect x="2" y="14" width="20" height="8" rx="2" ry="2"></rect><line x1="6" y1="6" x2="6.01" y2="6"></line><line x1="6" y1="18" x2="6.01" y2="18"></line>`,
  "settings": `<circle cx="12" cy="12" r="3"></circle><path d="M19.4 15a1.65 1.65 0 0 0 .33 1.82l.06.06a2 2 0 0 1 0 2.83 2 2 0 0 1-2.83 0l-.06-.06a1.65 1.65 0 0 0-1.82-.33 1.65 1.65 0 0 0-1 1.51V21a2 2 0 0 1-2 2 2 2 0 0 1-2-2v-.09A1.65 1.65 0 0 0 9 19.4a1.65 1.65 0 0 0-1.82.33l-.06.06a2 2 0 0 1-2.83 0 2 2 0 0 1 0-2.83l.06-.06a1.65 1.65 0 0 0 .33-1.82 1.65 1.65 0 0 0-1.51-1H3a2 2 0 0 1-2-2 2 2 0 0 1 2-2h.09A1.65 1.65 0 0 0 4.6 9a1.65 1.65 0 0 0-.33-1.82l-.06-.06a2 2 0 0 1 0-2.83 2 2 0 0 1 2.83 0l.06.06a1.65 1.65 0 0 0 1.82.33H9a1.65 1.65 0 0 0 1-1.51V3a2 2 0 0 1 2-2 2 2 0 0 1 2 2v.09a1.65 1.65 0 0 0 1 1.51 1.65 1.65 0 0 0 1.82-.33l.06-.06a2 2 0 0 1 2.83 0 2 2 0 0 1 0 2.83l-.06.06a1.65 1.65 0 0 0-.33 1.82V9a1.65 1.65 0 0 0 1.51 1H21a2 2 0 0 1 2 2 2 2 0 0 1-2 2h-.09a1.65 1.65 0 0 0-1.51 1z"></path>`,
  "share-2": `<circle cx="18" cy="5" r="3"></circle><circle cx="6" cy="12" r="3"></circle><circle cx="18" cy="19" r="3"></circle><line x1="8.59" y1="13.51" x2="15.42" y2="17.49"></line><line x1="15.41" y1="6.51" x2="8.59" y2="10.49"></line>`,
  "share": `<path d="M4 12v8a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2v-8"></path><polyline points="16 6 12 2 8 6"></polyline><line x1="12" y1="2" x2="12" y2="15"></line>`,
  "shield-off": `<path d="M19.69 14a6.9 6.9 0 0 0 .31-2V5l-8-3-3.16 1.18"></path><path d="M4.73 4.73L4 5v7c0 6 8 10 8 10a20.29 20.29 0 0 0 5.62-4.38"></path><line x1="1" y1="1" x2="23" y2="23"></line>`,
  "shield": `<path d="M12 22s8-4 8-10V5l-8-3-8 3v7c0 6 8 10 8 10z"></path>`,
  "shopping-bag": `<path d="M6 2L3 6v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2V6l-3-4z"></path><line x1="3" y1="6" x2="21" y2="6"></line><path d="M16 10a4 4 0 0 1-8 0"></path>`,
  "shopping-cart": `<circle cx="9" cy="21" r="1"></circle><circle cx="20" cy="21" r="1"></circle><path d="M1 1h4l2.68 13.39a2 2 0 0 0 2 1.61h9.72a2 2 0 0 0 2-1.61L23 6H6"></path>`,
  "shuffle": `<polyline points="16 3 21 3 21 8"></polyline><line x1="4" y1="20" x2="21" y2="3"></line><polyline points="21 16 21 21 16 21"></polyline><line x1="15" y1="15" x2="21" y2="21"></line><line x1="4" y1="4" x2="9" y2="9"></line>`,
  "sidebar": `<rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect><line x1="9" y1="3" x2="9" y2="21"></line>`,
  "skip-back": `<polygon points="19 20 9 12 19 4 19 20"></polygon><line x1="5" y1="19" x2="5" y2="5"></line>`,
  "skip-forward": `<polygon points="5 4 15 12 5 20 5 4"></polygon><line x1="19" y1="5" x2="19" y2="19"></line>`,
  "slack": `<path d="M14.5 10c-.83 0-1.5-.67-1.5-1.5v-5c0-.83.67-1.5 1.5-1.5s1.5.67 1.5 1.5v5c0 .83-.67 1.5-1.5 1.5z"></path><path d="M20.5 10H19V8.5c0-.83.67-1.5 1.5-1.5s1.5.67 1.5 1.5-.67 1.5-1.5 1.5z"></path><path d="M9.5 14c.83 0 1.5.67 1.5 1.5v5c0 .83-.67 1.5-1.5 1.5S8 21.33 8 20.5v-5c0-.83.67-1.5 1.5-1.5z"></path><path d="M3.5 14H5v1.5c0 .83-.67 1.5-1.5 1.5S2 16.33 2 15.5 2.67 14 3.5 14z"></path><path d="M14 14.5c0-.83.67-1.5 1.5-1.5h5c.83 0 1.5.67 1.5 1.5s-.67 1.5-1.5 1.5h-5c-.83 0-1.5-.67-1.5-1.5z"></path><path d="M15.5 19H14v1.5c0 .83.67 1.5 1.5 1.5s1.5-.67 1.5-1.5-.67-1.5-1.5-1.5z"></path><path d="M10 9.5C10 8.67 9.33 8 8.5 8h-5C2.67 8 2 8.67 2 9.5S2.67 11 3.5 11h5c.83 0 1.5-.67 1.5-1.5z"></path><path d="M8.5 5H10V3.5C10 2.67 9.33 2 8.5 2S7 2.67 7 3.5 7.67 5 8.5 5z"></path>`,
  "slash": `<circle cx="12" cy="12" r="10"></circle><line x1="4.93" y1="4.93" x2="19.07" y2="19.07"></line>`,
  "sliders": `<line x1="4" y1="21" x2="4" y2="14"></line><line x1="4" y1="10" x2="4" y2="3"></line><line x1="12" y1="21" x2="12" y2="12"></line><line x1="12" y1="8" x2="12" y2="3"></line><line x1="20" y1="21" x2="20" y2="16"></line><line x1="20" y1="12" x2="20" y2="3"></line><line x1="1" y1="14" x2="7" y2="14"></line><line x1="9" y1="8" x2="15" y2="8"></line><line x1="17" y1="16" x2="23" y2="16"></line>`,
  "smartphone": `<rect x="5" y="2" width="14" height="20" rx="2" ry="2"></rect><line x1="12" y1="18" x2="12.01" y2="18"></line>`,
  "smile": `<circle cx="12" cy="12" r="10"></circle><path d="M8 14s1.5 2 4 2 4-2 4-2"></path><line x1="9" y1="9" x2="9.01" y2="9"></line><line x1="15" y1="9" x2="15.01" y2="9"></line>`,
  "speaker": `<rect x="4" y="2" width="16" height="20" rx="2" ry="2"></rect><circle cx="12" cy="14" r="4"></circle><line x1="12" y1="6" x2="12.01" y2="6"></line>`,
  "square": `<rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect>`,
  "star": `<polygon points="12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2"></polygon>`,
  "stop-circle": `<circle cx="12" cy="12" r="10"></circle><rect x="9" y="9" width="6" height="6"></rect>`,
  "sun": `<circle cx="12" cy="12" r="5"></circle><line x1="12" y1="1" x2="12" y2="3"></line><line x1="12" y1="21" x2="12" y2="23"></line><line x1="4.22" y1="4.22" x2="5.64" y2="5.64"></line><line x1="18.36" y1="18.36" x2="19.78" y2="19.78"></line><line x1="1" y1="12" x2="3" y2="12"></line><line x1="21" y1="12" x2="23" y2="12"></line><line x1="4.22" y1="19.78" x2="5.64" y2="18.36"></line><line x1="18.36" y1="5.64" x2="19.78" y2="4.22"></line>`,
  "sunrise": `<path d="M17 18a5 5 0 0 0-10 0"></path><line x1="12" y1="2" x2="12" y2="9"></line><line x1="4.22" y1="10.22" x2="5.64" y2="11.64"></line><line x1="1" y1="18" x2="3" y2="18"></line><line x1="21" y1="18" x2="23" y2="18"></line><line x1="18.36" y1="11.64" x2="19.78" y2="10.22"></line><line x1="23" y1="22" x2="1" y2="22"></line><polyline points="8 6 12 2 16 6"></polyline>`,
  "sunset": `<path d="M17 18a5 5 0 0 0-10 0"></path><line x1="12" y1="9" x2="12" y2="2"></line><line x1="4.22" y1="10.22" x2="5.64" y2="11.64"></line><line x1="1" y1="18" x2="3" y2="18"></line><line x1="21" y1="18" x2="23" y2="18"></line><line x1="18.36" y1="11.64" x2="19.78" y2="10.22"></line><line x1="23" y1="22" x2="1" y2="22"></line><polyline points="16 5 12 9 8 5"></polyline>`,
  "table": `<path d="M9 3H5a2 2 0 0 0-2 2v4m6-6h10a2 2 0 0 1 2 2v4M9 3v18m0 0h10a2 2 0 0 0 2-2V9M9 21H5a2 2 0 0 1-2-2V9m0 0h18"></path>`,
  "tablet": `<rect x="4" y="2" width="16" height="20" rx="2" ry="2"></rect><line x1="12" y1="18" x2="12.01" y2="18"></line>`,
  "tag": `<path d="M20.59 13.41l-7.17 7.17a2 2 0 0 1-2.83 0L2 12V2h10l8.59 8.59a2 2 0 0 1 0 2.82z"></path><line x1="7" y1="7" x2="7.01" y2="7"></line>`,
  "target": `<circle cx="12" cy="12" r="10"></circle><circle cx="12" cy="12" r="6"></circle><circle cx="12" cy="12" r="2"></circle>`,
  "terminal": `<polyline points="4 17 10 11 4 5"></polyline><line x1="12" y1="19" x2="20" y2="19"></line>`,
  "thermometer": `<path d="M14 14.76V3.5a2.5 2.5 0 0 0-5 0v11.26a4.5 4.5 0 1 0 5 0z"></path>`,
  "thumbs-down": `<path d="M10 15v4a3 3 0 0 0 3 3l4-9V2H5.72a2 2 0 0 0-2 1.7l-1.38 9a2 2 0 0 0 2 2.3zm7-13h2.67A2.31 2.31 0 0 1 22 4v7a2.31 2.31 0 0 1-2.33 2H17"></path>`,
  "thumbs-up": `<path d="M14 9V5a3 3 0 0 0-3-3l-4 9v11h11.28a2 2 0 0 0 2-1.7l1.38-9a2 2 0 0 0-2-2.3zM7 22H4a2 2 0 0 1-2-2v-7a2 2 0 0 1 2-2h3"></path>`,
  "toggle-left": `<rect x="1" y="5" width="22" height="14" rx="7" ry="7"></rect><circle cx="8" cy="12" r="3"></circle>`,
  "toggle-right": `<rect x="1" y="5" width="22" height="14" rx="7" ry="7"></rect><circle cx="16" cy="12" r="3"></circle>`,
  "tool": `<path d="M14.7 6.3a1 1 0 0 0 0 1.4l1.6 1.6a1 1 0 0 0 1.4 0l3.77-3.77a6 6 0 0 1-7.94 7.94l-6.91 6.91a2.12 2.12 0 0 1-3-3l6.91-6.91a6 6 0 0 1 7.94-7.94l-3.76 3.76z"></path>`,
  "trash-2": `<polyline points="3 6 5 6 21 6"></polyline><path d="M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"></path><line x1="10" y1="11" x2="10" y2="17"></line><line x1="14" y1="11" x2="14" y2="17"></line>`,
  "trash": `<polyline points="3 6 5 6 21 6"></polyline><path d="M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"></path>`,
  "trello": `<rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect><rect x="7" y="7" width="3" height="9"></rect><rect x="14" y="7" width="3" height="5"></rect>`,
  "trending-down": `<polyline points="23 18 13.5 8.5 8.5 13.5 1 6"></polyline><polyline points="17 18 23 18 23 12"></polyline>`,
  "trending-up": `<polyline points="23 6 13.5 15.5 8.5 10.5 1 18"></polyline><polyline points="17 6 23 6 23 12"></polyline>`,
  "triangle": `<path d="M10.29 3.86L1.82 18a2 2 0 0 0 1.71 3h16.94a2 2 0 0 0 1.71-3L13.71 3.86a2 2 0 0 0-3.42 0z"></path>`,
  "truck": `<rect x="1" y="3" width="15" height="13"></rect><polygon points="16 8 20 8 23 11 23 16 16 16 16 8"></polygon><circle cx="5.5" cy="18.5" r="2.5"></circle><circle cx="18.5" cy="18.5" r="2.5"></circle>`,
  "tv": `<rect x="2" y="7" width="20" height="15" rx="2" ry="2"></rect><polyline points="17 2 12 7 7 2"></polyline>`,
  "twitch": `<path d="M21 2H3v16h5v4l4-4h5l4-4V2zm-10 9V7m5 4V7"></path>`,
  "twitter": `<path d="M23 3a10.9 10.9 0 0 1-3.14 1.53 4.48 4.48 0 0 0-7.86 3v1A10.66 10.66 0 0 1 3 4s-4 9 5 13a11.64 11.64 0 0 1-7 2c9 5 20 0 20-11.5a4.5 4.5 0 0 0-.08-.83A7.72 7.72 0 0 0 23 3z"></path>`,
  "type": `<polyline points="4 7 4 4 20 4 20 7"></polyline><line x1="9" y1="20" x2="15" y2="20"></line><line x1="12" y1="4" x2="12" y2="20"></line>`,
  "umbrella": `<path d="M23 12a11.05 11.05 0 0 0-22 0zm-5 7a3 3 0 0 1-6 0v-7"></path>`,
  "underline": `<path d="M6 3v7a6 6 0 0 0 6 6 6 6 0 0 0 6-6V3"></path><line x1="4" y1="21" x2="20" y2="21"></line>`,
  "unlock": `<rect x="3" y="11" width="18" height="11" rx="2" ry="2"></rect><path d="M7 11V7a5 5 0 0 1 9.9-1"></path>`,
  "upload-cloud": `<polyline points="16 16 12 12 8 16"></polyline><line x1="12" y1="12" x2="12" y2="21"></line><path d="M20.39 18.39A5 5 0 0 0 18 9h-1.26A8 8 0 1 0 3 16.3"></path><polyline points="16 16 12 12 8 16"></polyline>`,
  "upload": `<path d="M21 15v4a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-4"></path><polyline points="17 8 12 3 7 8"></polyline><line x1="12" y1="3" x2="12" y2="15"></line>`,
  "user-check": `<path d="M16 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"></path><circle cx="8.5" cy="7" r="4"></circle><polyline points="17 11 19 13 23 9"></polyline>`,
  "user-minus": `<path d="M16 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"></path><circle cx="8.5" cy="7" r="4"></circle><line x1="23" y1="11" x2="17" y2="11"></line>`,
  "user-plus": `<path d="M16 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"></path><circle cx="8.5" cy="7" r="4"></circle><line x1="20" y1="8" x2="20" y2="14"></line><line x1="23" y1="11" x2="17" y2="11"></line>`,
  "user-x": `<path d="M16 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"></path><circle cx="8.5" cy="7" r="4"></circle><line x1="18" y1="8" x2="23" y2="13"></line><line x1="23" y1="8" x2="18" y2="13"></line>`,
  "user": `<path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path><circle cx="12" cy="7" r="4"></circle>`,
  "users": `<path d="M17 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"></path><circle cx="9" cy="7" r="4"></circle><path d="M23 21v-2a4 4 0 0 0-3-3.87"></path><path d="M16 3.13a4 4 0 0 1 0 7.75"></path>`,
  "video-off": `<path d="M16 16v1a2 2 0 0 1-2 2H3a2 2 0 0 1-2-2V7a2 2 0 0 1 2-2h2m5.66 0H14a2 2 0 0 1 2 2v3.34l1 1L23 7v10"></path><line x1="1" y1="1" x2="23" y2="23"></line>`,
  "video": `<polygon points="23 7 16 12 23 17 23 7"></polygon><rect x="1" y="5" width="15" height="14" rx="2" ry="2"></rect>`,
  "voicemail": `<circle cx="5.5" cy="11.5" r="4.5"></circle><circle cx="18.5" cy="11.5" r="4.5"></circle><line x1="5.5" y1="16" x2="18.5" y2="16"></line>`,
  "volume-1": `<polygon points="11 5 6 9 2 9 2 15 6 15 11 19 11 5"></polygon><path d="M15.54 8.46a5 5 0 0 1 0 7.07"></path>`,
  "volume-2": `<polygon points="11 5 6 9 2 9 2 15 6 15 11 19 11 5"></polygon><path d="M19.07 4.93a10 10 0 0 1 0 14.14M15.54 8.46a5 5 0 0 1 0 7.07"></path>`,
  "volume-x": `<polygon points="11 5 6 9 2 9 2 15 6 15 11 19 11 5"></polygon><line x1="23" y1="9" x2="17" y2="15"></line><line x1="17" y1="9" x2="23" y2="15"></line>`,
  "volume": `<polygon points="11 5 6 9 2 9 2 15 6 15 11 19 11 5"></polygon>`,
  "watch": `<circle cx="12" cy="12" r="7"></circle><polyline points="12 9 12 12 13.5 13.5"></polyline><path d="M16.51 17.35l-.35 3.83a2 2 0 0 1-2 1.82H9.83a2 2 0 0 1-2-1.82l-.35-3.83m.01-10.7l.35-3.83A2 2 0 0 1 9.83 1h4.35a2 2 0 0 1 2 1.82l.35 3.83"></path>`,
  "wifi-off": `<line x1="1" y1="1" x2="23" y2="23"></line><path d="M16.72 11.06A10.94 10.94 0 0 1 19 12.55"></path><path d="M5 12.55a10.94 10.94 0 0 1 5.17-2.39"></path><path d="M10.71 5.05A16 16 0 0 1 22.58 9"></path><path d="M1.42 9a15.91 15.91 0 0 1 4.7-2.88"></path><path d="M8.53 16.11a6 6 0 0 1 6.95 0"></path><line x1="12" y1="20" x2="12.01" y2="20"></line>`,
  "wifi": `<path d="M5 12.55a11 11 0 0 1 14.08 0"></path><path d="M1.42 9a16 16 0 0 1 21.16 0"></path><path d="M8.53 16.11a6 6 0 0 1 6.95 0"></path><line x1="12" y1="20" x2="12.01" y2="20"></line>`,
  "wind": `<path d="M9.59 4.59A2 2 0 1 1 11 8H2m10.59 11.41A2 2 0 1 0 14 16H2m15.73-8.27A2.5 2.5 0 1 1 19.5 12H2"></path>`,
  "x-circle": `<circle cx="12" cy="12" r="10"></circle><line x1="15" y1="9" x2="9" y2="15"></line><line x1="9" y1="9" x2="15" y2="15"></line>`,
  "x-octagon": `<polygon points="7.86 2 16.14 2 22 7.86 22 16.14 16.14 22 7.86 22 2 16.14 2 7.86 7.86 2"></polygon><line x1="15" y1="9" x2="9" y2="15"></line><line x1="9" y1="9" x2="15" y2="15"></line>`,
  "x-square": `<rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect><line x1="9" y1="9" x2="15" y2="15"></line><line x1="15" y1="9" x2="9" y2="15"></line>`,
  "x": `<line x1="18" y1="6" x2="6" y2="18"></line><line x1="6" y1="6" x2="18" y2="18"></line>`,
  "youtube": `<path d="M22.54 6.42a2.78 2.78 0 0 0-1.94-2C18.88 4 12 4 12 4s-6.88 0-8.6.46a2.78 2.78 0 0 0-1.94 2A29 29 0 0 0 1 11.75a29 29 0 0 0 .46 5.33A2.78 2.78 0 0 0 3.4 19c1.72.46 8.6.46 8.6.46s6.88 0 8.6-.46a2.78 2.78 0 0 0 1.94-2 29 29 0 0 0 .46-5.25 29 29 0 0 0-.46-5.33z"></path><polygon points="9.75 15.02 15.5 11.75 9.75 8.48 9.75 15.02"></polygon>`,
  "zap-off": `<polyline points="12.41 6.75 13 2 10.57 4.92"></polyline><polyline points="18.57 12.91 21 10 15.66 10"></polyline><polyline points="8 8 3 14 12 14 11 22 16 16"></polyline><line x1="1" y1="1" x2="23" y2="23"></line>`,
  "zap": `<polygon points="13 2 3 14 12 14 11 22 21 10 12 10 13 2"></polygon>`,
  "zoom-in": `<circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line><line x1="11" y1="8" x2="11" y2="14"></line><line x1="8" y1="11" x2="14" y2="11"></line>`,
  "zoom-out": `<circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line><line x1="8" y1="11" x2="14" y2="11"></line>`
};
const icon = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const fallbackProps = qwik.useContext(IconContext, defaultIconProps);
  const size = props.size ?? fallbackProps.size;
  return /* @__PURE__ */ qwik._jsxQ("svg", {
    width: size,
    height: size,
    dangerouslySetInnerHTML: IconContentMap[props.name]
  }, {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: qwik._fnSignal((p0, p1) => p1.color ?? p0.color, [
      fallbackProps,
      props
    ], "p1.color??p0.color"),
    "stroke-width": qwik._fnSignal((p0, p1) => p1.strokeWidth ?? p0.strokeWidth, [
      fallbackProps,
      props
    ], "p1.strokeWidth??p0.strokeWidth"),
    "stroke-linecap": qwik._fnSignal((p0, p1) => p1.strokeLineCap ?? p0.strokeLineCap, [
      fallbackProps,
      props
    ], "p1.strokeLineCap??p0.strokeLineCap"),
    "stroke-linejoin": qwik._fnSignal((p0, p1) => p1.strokeLineJoin ?? p0.strokeLineJoin, [
      fallbackProps,
      props
    ], "p1.strokeLineJoin??p0.strokeLineJoin"),
    class: qwik._fnSignal((p0, p1) => `feather feather-${p1.name} ${p1.class ?? p0.class}`, [
      fallbackProps,
      props
    ], "`feather feather-${p1.name} ${p1.class??p0.class}`")
  }, null, 3, "oD_0");
}, "icon_component_t7mEevdlts4"));
exports.ActivityIcon = activityIcon;
exports.AirplayIcon = airplayIcon;
exports.AlertCircleIcon = alertCircleIcon;
exports.AlertOctagonIcon = alertOctagonIcon;
exports.AlertTriangleIcon = alertTriangleIcon;
exports.AlignCenterIcon = alignCenterIcon;
exports.AlignJustifyIcon = alignJustifyIcon;
exports.AlignLeftIcon = alignLeftIcon;
exports.AlignRightIcon = alignRightIcon;
exports.AnchorIcon = anchorIcon;
exports.ApertureIcon = apertureIcon;
exports.ArchiveIcon = archiveIcon;
exports.ArrowDownCircleIcon = arrowDownCircleIcon;
exports.ArrowDownIcon = arrowDownIcon;
exports.ArrowDownLeftIcon = arrowDownLeftIcon;
exports.ArrowDownRightIcon = arrowDownRightIcon;
exports.ArrowLeftCircleIcon = arrowLeftCircleIcon;
exports.ArrowLeftIcon = arrowLeftIcon;
exports.ArrowRightCircleIcon = arrowRightCircleIcon;
exports.ArrowRightIcon = arrowRightIcon;
exports.ArrowUpCircleIcon = arrowUpCircleIcon;
exports.ArrowUpIcon = arrowUpIcon;
exports.ArrowUpLeftIcon = arrowUpLeftIcon;
exports.ArrowUpRightIcon = arrowUpRightIcon;
exports.AtSignIcon = atSignIcon;
exports.AwardIcon = awardIcon;
exports.BarChart2Icon = barChart2Icon;
exports.BarChartIcon = barChartIcon;
exports.BatteryChargingIcon = batteryChargingIcon;
exports.BatteryIcon = batteryIcon;
exports.BellIcon = bellIcon;
exports.BellOffIcon = bellOffIcon;
exports.BluetoothIcon = bluetoothIcon;
exports.BoldIcon = boldIcon;
exports.BookIcon = bookIcon;
exports.BookOpenIcon = bookOpenIcon;
exports.BookmarkIcon = bookmarkIcon;
exports.BoxIcon = boxIcon;
exports.BriefcaseIcon = briefcaseIcon;
exports.CalendarIcon = calendarIcon;
exports.CameraIcon = cameraIcon;
exports.CameraOffIcon = cameraOffIcon;
exports.CastIcon = castIcon;
exports.CheckCircleIcon = checkCircleIcon;
exports.CheckIcon = checkIcon;
exports.CheckSquareIcon = checkSquareIcon;
exports.ChevronDownIcon = chevronDownIcon;
exports.ChevronLeftIcon = chevronLeftIcon;
exports.ChevronRightIcon = chevronRightIcon;
exports.ChevronUpIcon = chevronUpIcon;
exports.ChevronsDownIcon = chevronsDownIcon;
exports.ChevronsLeftIcon = chevronsLeftIcon;
exports.ChevronsRightIcon = chevronsRightIcon;
exports.ChevronsUpIcon = chevronsUpIcon;
exports.ChromeIcon = chromeIcon;
exports.CircleIcon = circleIcon;
exports.ClipboardIcon = clipboardIcon;
exports.ClockIcon = clockIcon;
exports.CloudDrizzleIcon = cloudDrizzleIcon;
exports.CloudIcon = cloudIcon;
exports.CloudLightningIcon = cloudLightningIcon;
exports.CloudOffIcon = cloudOffIcon;
exports.CloudRainIcon = cloudRainIcon;
exports.CloudSnowIcon = cloudSnowIcon;
exports.CodeIcon = codeIcon;
exports.CodepenIcon = codepenIcon;
exports.CodesandboxIcon = codesandboxIcon;
exports.CoffeeIcon = coffeeIcon;
exports.ColumnsIcon = columnsIcon;
exports.CommandIcon = commandIcon;
exports.CompassIcon = compassIcon;
exports.CopyIcon = copyIcon;
exports.CornerDownLeftIcon = cornerDownLeftIcon;
exports.CornerDownRightIcon = cornerDownRightIcon;
exports.CornerLeftDownIcon = cornerLeftDownIcon;
exports.CornerLeftUpIcon = cornerLeftUpIcon;
exports.CornerRightDownIcon = cornerRightDownIcon;
exports.CornerRightUpIcon = cornerRightUpIcon;
exports.CornerUpLeftIcon = cornerUpLeftIcon;
exports.CornerUpRightIcon = cornerUpRightIcon;
exports.CpuIcon = cpuIcon;
exports.CreditCardIcon = creditCardIcon;
exports.CropIcon = cropIcon;
exports.CrosshairIcon = crosshairIcon;
exports.DatabaseIcon = databaseIcon;
exports.DeleteIcon = deleteIcon;
exports.DiscIcon = discIcon;
exports.DivideCircleIcon = divideCircleIcon;
exports.DivideIcon = divideIcon;
exports.DivideSquareIcon = divideSquareIcon;
exports.DollarSignIcon = dollarSignIcon;
exports.DownloadCloudIcon = downloadCloudIcon;
exports.DownloadIcon = downloadIcon;
exports.DribbbleIcon = dribbbleIcon;
exports.DropletIcon = dropletIcon;
exports.Edit2Icon = edit2Icon;
exports.Edit3Icon = edit3Icon;
exports.EditIcon = editIcon;
exports.ExternalLinkIcon = externalLinkIcon;
exports.EyeIcon = eyeIcon;
exports.EyeOffIcon = eyeOffIcon;
exports.FacebookIcon = facebookIcon;
exports.FastForwardIcon = fastForwardIcon;
exports.FeatherIcon = featherIcon;
exports.FigmaIcon = figmaIcon;
exports.FileIcon = fileIcon;
exports.FileMinusIcon = fileMinusIcon;
exports.FilePlusIcon = filePlusIcon;
exports.FileTextIcon = fileTextIcon;
exports.FilmIcon = filmIcon;
exports.FilterIcon = filterIcon;
exports.FlagIcon = flagIcon;
exports.FolderIcon = folderIcon;
exports.FolderMinusIcon = folderMinusIcon;
exports.FolderPlusIcon = folderPlusIcon;
exports.FramerIcon = framerIcon;
exports.FrownIcon = frownIcon;
exports.GiftIcon = giftIcon;
exports.GitBranchIcon = gitBranchIcon;
exports.GitCommitIcon = gitCommitIcon;
exports.GitMergeIcon = gitMergeIcon;
exports.GitPullRequestIcon = gitPullRequestIcon;
exports.GithubIcon = githubIcon;
exports.GitlabIcon = gitlabIcon;
exports.GlobeIcon = globeIcon;
exports.GridIcon = gridIcon;
exports.HardDriveIcon = hardDriveIcon;
exports.HashIcon = hashIcon;
exports.HeadphonesIcon = headphonesIcon;
exports.HeartIcon = heartIcon;
exports.HelpCircleIcon = helpCircleIcon;
exports.HexagonIcon = hexagonIcon;
exports.HomeIcon = homeIcon;
exports.Icon = icon;
exports.IconContext = IconContext;
exports.ImageIcon = imageIcon;
exports.InboxIcon = inboxIcon;
exports.InfoIcon = infoIcon;
exports.InstagramIcon = instagramIcon;
exports.ItalicIcon = italicIcon;
exports.KeyIcon = keyIcon;
exports.LayersIcon = layersIcon;
exports.LayoutIcon = layoutIcon;
exports.LifeBuoyIcon = lifeBuoyIcon;
exports.Link2Icon = link2Icon;
exports.LinkIcon = linkIcon;
exports.LinkedinIcon = linkedinIcon;
exports.ListIcon = listIcon;
exports.LoaderIcon = loaderIcon;
exports.LockIcon = lockIcon;
exports.LogInIcon = logInIcon;
exports.LogOutIcon = logOutIcon;
exports.MailIcon = mailIcon;
exports.MapIcon = mapIcon;
exports.MapPinIcon = mapPinIcon;
exports.Maximize2Icon = maximize2Icon;
exports.MaximizeIcon = maximizeIcon;
exports.MehIcon = mehIcon;
exports.MenuIcon = menuIcon;
exports.MessageCircleIcon = messageCircleIcon;
exports.MessageSquareIcon = messageSquareIcon;
exports.MicIcon = micIcon;
exports.MicOffIcon = micOffIcon;
exports.Minimize2Icon = minimize2Icon;
exports.MinimizeIcon = minimizeIcon;
exports.MinusCircleIcon = minusCircleIcon;
exports.MinusIcon = minusIcon;
exports.MinusSquareIcon = minusSquareIcon;
exports.MonitorIcon = monitorIcon;
exports.MoonIcon = moonIcon;
exports.MoreHorizontalIcon = moreHorizontalIcon;
exports.MoreVerticalIcon = moreVerticalIcon;
exports.MousePointerIcon = mousePointerIcon;
exports.MoveIcon = moveIcon;
exports.MusicIcon = musicIcon;
exports.Navigation2Icon = navigation2Icon;
exports.NavigationIcon = navigationIcon;
exports.OctagonIcon = octagonIcon;
exports.PackageIcon = packageIcon;
exports.PaperclipIcon = paperclipIcon;
exports.PauseCircleIcon = pauseCircleIcon;
exports.PauseIcon = pauseIcon;
exports.PenToolIcon = penToolIcon;
exports.PercentIcon = percentIcon;
exports.PhoneCallIcon = phoneCallIcon;
exports.PhoneForwardedIcon = phoneForwardedIcon;
exports.PhoneIcon = phoneIcon;
exports.PhoneIncomingIcon = phoneIncomingIcon;
exports.PhoneMissedIcon = phoneMissedIcon;
exports.PhoneOffIcon = phoneOffIcon;
exports.PhoneOutgoingIcon = phoneOutgoingIcon;
exports.PieChartIcon = pieChartIcon;
exports.PlayCircleIcon = playCircleIcon;
exports.PlayIcon = playIcon;
exports.PlusCircleIcon = plusCircleIcon;
exports.PlusIcon = plusIcon;
exports.PlusSquareIcon = plusSquareIcon;
exports.PocketIcon = pocketIcon;
exports.PowerIcon = powerIcon;
exports.PrinterIcon = printerIcon;
exports.RadioIcon = radioIcon;
exports.RefreshCcwIcon = refreshCcwIcon;
exports.RefreshCwIcon = refreshCwIcon;
exports.RepeatIcon = repeatIcon;
exports.RewindIcon = rewindIcon;
exports.RotateCcwIcon = rotateCcwIcon;
exports.RotateCwIcon = rotateCwIcon;
exports.RssIcon = rssIcon;
exports.SaveIcon = saveIcon;
exports.ScissorsIcon = scissorsIcon;
exports.SearchIcon = searchIcon;
exports.SendIcon = sendIcon;
exports.ServerIcon = serverIcon;
exports.SettingsIcon = settingsIcon;
exports.Share2Icon = share2Icon;
exports.ShareIcon = shareIcon;
exports.ShieldIcon = shieldIcon;
exports.ShieldOffIcon = shieldOffIcon;
exports.ShoppingBagIcon = shoppingBagIcon;
exports.ShoppingCartIcon = shoppingCartIcon;
exports.ShuffleIcon = shuffleIcon;
exports.SidebarIcon = sidebarIcon;
exports.SkipBackIcon = skipBackIcon;
exports.SkipForwardIcon = skipForwardIcon;
exports.SlackIcon = slackIcon;
exports.SlashIcon = slashIcon;
exports.SlidersIcon = slidersIcon;
exports.SmartphoneIcon = smartphoneIcon;
exports.SmileIcon = smileIcon;
exports.SpeakerIcon = speakerIcon;
exports.SquareIcon = squareIcon;
exports.StarIcon = starIcon;
exports.StopCircleIcon = stopCircleIcon;
exports.SunIcon = sunIcon;
exports.SunriseIcon = sunriseIcon;
exports.SunsetIcon = sunsetIcon;
exports.TableIcon = tableIcon;
exports.TabletIcon = tabletIcon;
exports.TagIcon = tagIcon;
exports.TargetIcon = targetIcon;
exports.TerminalIcon = terminalIcon;
exports.ThermometerIcon = thermometerIcon;
exports.ThumbsDownIcon = thumbsDownIcon;
exports.ThumbsUpIcon = thumbsUpIcon;
exports.ToggleLeftIcon = toggleLeftIcon;
exports.ToggleRightIcon = toggleRightIcon;
exports.ToolIcon = toolIcon;
exports.Trash2Icon = trash2Icon;
exports.TrashIcon = trashIcon;
exports.TrelloIcon = trelloIcon;
exports.TrendingDownIcon = trendingDownIcon;
exports.TrendingUpIcon = trendingUpIcon;
exports.TriangleIcon = triangleIcon;
exports.TruckIcon = truckIcon;
exports.TvIcon = tvIcon;
exports.TwitchIcon = twitchIcon;
exports.TwitterIcon = twitterIcon;
exports.TypeIcon = typeIcon;
exports.UmbrellaIcon = umbrellaIcon;
exports.UnderlineIcon = underlineIcon;
exports.UnlockIcon = unlockIcon;
exports.UploadCloudIcon = uploadCloudIcon;
exports.UploadIcon = uploadIcon;
exports.UserCheckIcon = userCheckIcon;
exports.UserIcon = userIcon;
exports.UserMinusIcon = userMinusIcon;
exports.UserPlusIcon = userPlusIcon;
exports.UserXIcon = userXIcon;
exports.UsersIcon = usersIcon;
exports.VideoIcon = videoIcon;
exports.VideoOffIcon = videoOffIcon;
exports.VoicemailIcon = voicemailIcon;
exports.Volume1Icon = volume1Icon;
exports.Volume2Icon = volume2Icon;
exports.VolumeIcon = volumeIcon;
exports.VolumeXIcon = volumeXIcon;
exports.WatchIcon = watchIcon;
exports.WifiIcon = wifiIcon;
exports.WifiOffIcon = wifiOffIcon;
exports.WindIcon = windIcon;
exports.XCircleIcon = xCircleIcon;
exports.XIcon = xIcon;
exports.XOctagonIcon = xOctagonIcon;
exports.XSquareIcon = xSquareIcon;
exports.YoutubeIcon = youtubeIcon;
exports.ZapIcon = zapIcon;
exports.ZapOffIcon = zapOffIcon;
exports.ZoomInIcon = zoomInIcon;
exports.ZoomOutIcon = zoomOutIcon;
